--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CAssetGame = {

    -- tmx中格子的大小
    tile_width = 120,
    tile_height = 80,

    -- tmx的最小格子高度
    min_height = 100,

    -- 默认的移动速度，卡死速度，重力加速度
    default_move_speed = 600,
    default_exit_move_speed = 100,
    default_g = 1960,

    -- 角色默认的跳跃速度
    default_first_jump_speed = 800,
    default_second_jump_speed = 600,
    default_dash_speed = 400,
    default_dash_dt = 0.5,
    default_max_dash_times = 1,
    default_max_jump_times = 2,
    default_max_hp = 0,

    -- 游戏中米数相关的公式
    m_to_pixel = 20,
    m_to_score = 10,
    dt_to_hp = 9,

    -- 时间转换为分数
    game_time_to_score = 10,

    -- 默认体力
    default_action_point = 5,

    -- 幸运草随机道具库
    random_item_id = { 2,3,4,5,6,7,8 },

    -- 角色固定的身体大小
    player_rect = { x=-42, y=14, width=78, height=120 },

    -- 关卡掉落宝箱的品种与随机权值
    stage_drop_item_boxes = {
        { item_boxes_id = 1, random_weight = 6 },
        { item_boxes_id = 2, random_weight = 3 },
        { item_boxes_id = 3, random_weight = 1 },
    },

    -- 默认受击伤害
    default_damage = 60,

    -- 初始怒气要求
    fury_condition = 10000,
    next_fury_condition_times = 1,
    super_dash_distance = 3000,
    fury_super_dash_distance = 3000,
    super_dash_animation = "spine/super_dash/skeleton",
    super_dash_min_height = 250,

    -- 死亡冲刺
    die_super_dash_distance = 5000,

    -- 全系统开放
    all_open = true,

    -- 复活价格
    revive_price = 20,

    -- 带点券的礼包
    point_gift_packet_id = 10,

    -- 吸铁石的范围
    magnet_distance = 500,

    -- 掉落伤害
    drop_height = -500,
    drop_damage = 200,

    -- 死亡高度
    die_jump_speed = 1200,

    -- 点券广告CD
    ad_point_cd = 180,
}

if game.CAssetGame.stage_drop_item_boxes then

    game.CAssetGame.stage_drop_item_boxes.total_random_weight = 0
    for i=1,#game.CAssetGame.stage_drop_item_boxes do
        game.CAssetGame.stage_drop_item_boxes.total_random_weight = 
        game.CAssetGame.stage_drop_item_boxes.total_random_weight + game.CAssetGame.stage_drop_item_boxes[i].random_weight
    end
end

--[[
if assets.version.branch=="yys" or assets.version.branch=="mobile" or assets.version.branch=="telecom" or assets.version.branch=="unicom" then
    game.CAssetGame.all_open = false
end
]]--

return game.CAssetGame

--endregion
