-- region *.lua
-- Date
-- 此文件由[BabeLua]插件自动生成

game.CAssetGuideBOSS = {

    -- 遇到BOSS
    {
        condition_type = "boss_enter",
        guide = function(callback)
            callback()
            return true
        end,
    },

    -- 跑过一定距离以后引导剧情
    {
        condition_type = "move_distance",
        condition_value = 7200,
        guide = function(callback)
            
            -- 暂时游戏
            local game_ui = dxm.CUIManager:GetInstancePtr().layer_ui._background
            if game_ui ~= nil then
                game_ui.map:Pause()
            end

            -- 播放剧情对话
            dxm.UIHelper:Open("app.views.game_story.game_story_ui", 2, function()
                game_ui.map:Resume()
                callback()
            end )
        end,
    },

    -- BOSS狂暴了
    {
        condition_type = "boss_fury",
        guide = function(callback)
            
            -- 暂时游戏
            local game_ui = dxm.CUIManager:GetInstancePtr().layer_ui._background
            if game_ui ~= nil then
                game_ui.map:Pause()
            end

            -- 播放剧情对话
            dxm.UIHelper:Open("app.views.game_story.game_story_ui", 3, function()
                game_ui.map:Resume()
                callback()
            end )
            return true
        end,
    },
}

return game.CAssetGuideBOSS

-- endregion
