--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

assets.mounts = {}

require("app.assets.xml_export.mount_levels")
local function LoadScriptFile(file_path)

    local locale_string_file = file_path .. ".lua"
    local fullpath = cc.FileUtils:getInstance():fullPathForFilename(locale_string_file)
    local locale_string_file1 = file_path .. ".luac"
    local fullpath1 = cc.FileUtils:getInstance():fullPathForFilename(locale_string_file1)
    if cc.FileUtils:getInstance():isFileExist(fullpath) or cc.FileUtils:getInstance():isFileExist(fullpath1) then
        require(file_path)
    end
end

if assets.opened.is_yys and assets.version.branch ~= "yijie" then
   require("app.assets.xml_export.mounts")
elseif assets.version.branch == "yijie" then
    LoadScriptFile("app/assets/xml_export/mounts_yijie")
    if assets.mounts_yijie then
        assets.mounts = assets.mounts_yijie
    end
elseif assets.version.branch == "google" then
    require("app.assets.xml_export.mounts")
else
    LoadScriptFile("app/assets/xml_export/mounts_ios")
    if assets.mounts_ios then
        assets.mounts = assets.mounts_ios
    end 
end

-- 初始角色选择
assets.mounts.init_select_mount = 0

function assets.mounts:GetEntry(id)

    id = id or 0
    return assets.mounts.config[id]
end

function assets.mounts:GetLevelGamebill(level)

    level = level or 0
    local entry = assets.mount_levels.config[level]
    if entry then return entry.Gamebill end
    return 2016
end

return assets.mounts

--endregion
