--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

assets.skins = {}

require("app.assets.xml_export.skin_levels")

local function LoadScriptFile(file_path)

    local locale_string_file = file_path .. ".lua"
    local fullpath = cc.FileUtils:getInstance():fullPathForFilename(locale_string_file)
    local locale_string_file1 = file_path .. ".luac"
    local fullpath1 = cc.FileUtils:getInstance():fullPathForFilename(locale_string_file1)
    if cc.FileUtils:getInstance():isFileExist(fullpath) or cc.FileUtils:getInstance():isFileExist(fullpath1) then
        require(file_path)
    end
end


if assets.opened.is_yys and assets.version.branch ~= "yijie" then
   require("app.assets.xml_export.skins")
elseif assets.version.branch == "yijie" then
    LoadScriptFile("app/assets/xml_export/skins_yijie")
    if assets.skins_yijie then
        assets.skins = assets.skins_yijie
    end
elseif assets.version.branch == "google" then
    require("app.assets.xml_export.skins")
else
    LoadScriptFile("app/assets/xml_export/skins_ios")
    if assets.skins_ios then
        assets.skins = assets.skins_ios
    end 
end

-- 初始角色选择
assets.skins.init_select_role = 1

function assets.skins:GetEntry(id)

    id = id or 0
    return assets.skins.config[id]
end

function assets.skins:GetLevelGamebill(level)

    level = level or 0
    local entry = assets.skin_levels.config[level]
    if entry then return entry.Gamebill end
    return 2016
end

return assets.skins

--endregion
