--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

assets.turn_table = {}

require("app.assets.xml_export.turn_table")

-- 每天免费次数
assets.turn_table.free_times = 1
-- 每次的点券数
assets.turn_table.point_per_once = 25

assets.turn_table.total_percent = 0
for _, entry in pairs(assets.turn_table.config) do 
    assets.turn_table.total_percent = assets.turn_table.total_percent + entry.probability
end

function assets.turn_table:GetEntry(id)

    id = id or 0
    return assets.turn_table.config[id]
end

function assets.turn_table:GetRandomID()

    local random_percent = math.random(1, assets.turn_table.total_percent)
    local current_percent = 0
    for id, entry in pairs(assets.turn_table.config) do 
        current_percent = current_percent + entry.probability
        if random_percent<=current_percent then
            return id
        end 
    end
    return 1
end


return assets.turn_table

--endregion
