--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

local map_config = {

    name = "map_name_9_12",
    section_group_list = {
        {
            background = "snowfield_day",
            weather = "snow",
            static_section_list = {
                { tmx_file = "tmx/stage_2_start.tmx", },
                { tmx_file = "tmx/stage_2_12.tmx", },
            },
        },
         {
            background = "snowfield_day",
            weather = "snow",
            static_section_list = {
                { tmx_file = "tmx/stage_4_9.tmx", },
            },
        },
		{
            background = "snowfield_day",
            weather = "snow",
            static_section_list = {
                { tmx_file = "tmx/stage_1_9.tmx", },
            },
        },
        {
            background = "forest_night",
            weather = "rain",
            --event = "fog",--
            static_section_list = {
                { tmx_file = "tmx/stage_4_8.tmx", },
            },
        },
         {
            background = "volcano_day",
            weather = "snow",
            static_section_list = {
                { tmx_file = "tmx/stage_3_8.tmx", },
                { tmx_file = "tmx/volcano_end.tmx", },
            },
        },
    },
    desc = "map_desc_8_12",
    -- game_time = 75,
    action_point = 5,
	level_condition = 52 ,
    
    star_condition = {
        [1] = { type = game.CAssetGameCondition.win, desc = "game_win" },
        [2] = { type = game.CAssetGameCondition.item_collect, param = game.CAssetGameObject.grape.id, value = 14, desc = "item_collect" },
        [3] = { type = game.CAssetGameCondition.score, value = 58000, desc = "game_score" }
    },
    reward = "gamebill/100/exp/10",
    
}

return map_config

--endregion
