

assets.share = assets.share or {}

local share = assets.share

share.config={
    [1] = { 
        id=1,
        desc='single_stage_ranking_desc',
        condition_type='single_stage_ranking',
        complate_times=1,
        condition_param='min/1/max/5',
        priority=2,
        need_best='true',
    },
    [2] = { 
        id=2,
        desc='successive_win_times_desc',
        condition_type='successive_win_times',
        complate_times=10,
        priority=3,
    },
    [3] = { 
        id=3,
        desc='stage_ranking_desc',
        condition_type='stage_ranking',
        complate_times=1,
        condition_param='min/1/max/50',
        priority=4,
        need_best='true',
    },
    [4] = { 
        id=4,
        desc='endless_ranking_desc',
        condition_type='endless_ranking',
        complate_times=1,
        condition_param='min/1/max/50',
        priority=5,
        need_best='true',
    },
    [5] = { 
        id=5,
        desc='new_medal_desc',
        condition_type='new_medal',
        complate_times=1,
        priority=6,
    },
    [6] = { 
        id=6,
        desc='combo_count_desc',
        condition_type='combo_count',
        complate_times=1,
        condition_param='combo_count/20',
        priority=1,
    },
}
return share
