

assets.skills = assets.skills or {}

local skills = assets.skills

skills.config={
    [1] = { 
        ID=1,
        Name='skill_name_1',
        Desc='skill_desc_1',
        EffectDesc='skill_EffectDesc_1',
        EffectSimpleDesc='skill_EffectSimpleDesc_1',
        Icon='images/icon_skills/skill7.png',
        Type='hp',
        LevelMap={500,512,524,536,548,560,572,584,596,608,620,632,644,656,668,680,692,704,716,728,740,752,764,776,788,800,812,824,836,848,860,872,884,896,908,920,932,944,956,968,980,992,1004,1016,1028,1040,1052,1064,1076,1088,1100,1112,1124,1136,1148,1160,1172,1184,1196},
    },
    [2] = { 
        ID=2,
        Name='skill_name_2',
        Desc='skill_desc_2',
        EffectDesc='skill_EffectDesc_2',
        EffectSimpleDesc='skill_EffectSimpleDesc_2',
        Icon='images/icon_skills/skill8.png',
        Type='double_jumps',
        LevelMap={0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
    },
    [3] = { 
        ID=3,
        Name='skill_name_3',
        Desc='skill_desc_3',
        EffectDesc='skill_EffectDesc_3',
        EffectSimpleDesc='skill_EffectSimpleDesc_3',
        Icon='images/icon_skills/skill9.png',
        Type='attack_power',
        LevelMap={20,30,40,50,60,70,80,90,100,110,120,130,140,150,160,170,180,190,200,210,220,230,240,250,260,270,280,290,300,310,320,330,340,350,360,370,380,390,400,410,420,430,440,450,460,470,480,490,500,510,520,530,540,550,560,570,580,590,600,610},
    },
    [4] = { 
        ID=4,
        Name='skill_name_4',
        Desc='skill_desc_4',
        EffectDesc='skill_EffectDesc_4',
        EffectSimpleDesc='skill_EffectSimpleDesc_4',
        Icon='images/icon_skills/skill5.png',
        Type='monster_score_percent_add',
        LevelMap={10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69},
    },
    [5] = { 
        ID=5,
        Name='skill_name_5',
        Desc='skill_desc_5',
        EffectDesc='skill_EffectDesc_5',
        EffectSimpleDesc='skill_EffectSimpleDesc_5',
        Icon='images/icon_skills/skill10.png',
        Type='time_score_percent_add',
        LevelMap={10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69},
    },
    [6] = { 
        ID=6,
        Name='skill_name_6',
        Desc='skill_desc_6',
        EffectDesc='skill_EffectDesc_6',
        EffectSimpleDesc='skill_EffectSimpleDesc_6',
        Icon='images/icon_skills/skill1.png',
        Type='distance_score_percent_add',
        LevelMap={10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69},
    },
    [7] = { 
        ID=7,
        Name='skill_name_7',
        Desc='skill_desc_7',
        EffectDesc='skill_EffectDesc_7',
        EffectSimpleDesc='skill_EffectSimpleDesc_7',
        Icon='images/icon_skills/skill2.png',
        Type='pick_score_percent_add',
        LevelMap={10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69},
    },
    [8] = { 
        ID=8,
        Name='skill_name_8',
        Desc='skill_desc_8',
        EffectDesc='skill_EffectDesc_8',
        EffectSimpleDesc='skill_EffectSimpleDesc_8',
        Icon='images/icon_skills/skill6.png',
        Type='time_frozen',
        LevelMap={1,1,1,1,1,1,1,2,2,2,2,2,2,3,3,3,3,3,3,4},
    },
    [9] = { 
        ID=9,
        Name='skill_name_9',
        Desc='skill_desc_9',
        EffectDesc='skill_EffectDesc_9',
        EffectSimpleDesc='skill_EffectSimpleDesc_9',
        Icon='images/icon_skills/skill11.png',
        Type='clear_all_blocks',
        LevelMap={1,1,1,1,1,1,1,2,2,2,2,2,2,2,3,3,3,3,3,3,3,3,4,4,4,4,4,4,4,5},
    },
    [10] = { 
        ID=10,
        Name='skill_name_10',
        Desc='skill_desc_10',
        EffectDesc='skill_EffectDesc_10',
        EffectSimpleDesc='skill_EffectSimpleDesc_10',
        Icon='images/icon_skills/skill3.png',
        Type='strength_magnet',
        LevelMap={1,1,1,1,1,1,1,1,1,1,1,1,1,1,2},
    },
    [11] = { 
        ID=11,
        Name='skill_name_11',
        Desc='skill_desc_11',
        EffectDesc='skill_EffectDesc_11',
        EffectSimpleDesc='skill_EffectSimpleDesc_11',
        Icon='images/icon_skills/skill4.png',
        Type='strength_sprint',
        LevelMap={1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,2,3},
    },
    [12] = { 
        ID=12,
        Name='skill_name_4',
        Desc='skill_desc_4',
        EffectDesc='skill_EffectDesc_4',
        EffectSimpleDesc='skill_EffectSimpleDesc_12',
        Icon='images/icon_skills/skill4.png',
        Type='bomb',
        LevelMap={1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,2,3,3,3,3,3,3,3,3,3,3,4},
    },
    [13] = { 
        ID=13,
        Name='skill_name_5',
        Desc='skill_desc_5',
        EffectDesc='skill_EffectDesc_5',
        EffectSimpleDesc='skill_EffectSimpleDesc_13',
        Icon='images/icon_skills/skill5.png',
        Type='battle_gamebill',
        LevelMap={1,2,3,4,5,6,7,8,9,10,11,12,13,14,15},
    },
    [14] = { 
        ID=14,
        Name='skill_name_5',
        Desc='skill_desc_5',
        EffectDesc='skill_EffectDesc_5',
        EffectSimpleDesc='skill_EffectSimpleDesc_14',
        Icon='images/icon_skills/skill5.png',
        Type='battle_gamebill',
        LevelMap={1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20},
    },
    [15] = { 
        ID=15,
        Name='skill_name_5',
        Desc='skill_desc_5',
        EffectDesc='skill_EffectDesc_5',
        EffectSimpleDesc='skill_EffectSimpleDesc_15',
        Icon='images/icon_skills/skill5.png',
        Type='battle_gamebill',
        LevelMap={1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30},
    },
    [16] = { 
        ID=16,
        Name='skill_name_6',
        Desc='skill_desc_6',
        EffectDesc='skill_EffectDesc_6',
        EffectSimpleDesc='skill_EffectSimpleDesc_16',
        Icon='images/icon_skills/skill6.png',
        Type='battle_aim_line',
        LevelMap={5,6,7,8,9,10,11,12,13,14,15,16,17,18,19},
    },
    [17] = { 
        ID=17,
        Name='skill_name_6',
        Desc='skill_desc_6',
        EffectDesc='skill_EffectDesc_6',
        EffectSimpleDesc='skill_EffectSimpleDesc_17',
        Icon='images/icon_skills/skill6.png',
        Type='battle_aim_line',
        LevelMap={5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24},
    },
    [18] = { 
        ID=18,
        Name='skill_name_6',
        Desc='skill_desc_6',
        EffectDesc='skill_EffectDesc_6',
        EffectSimpleDesc='skill_EffectSimpleDesc_18',
        Icon='images/icon_skills/skill6.png',
        Type='battle_aim_line',
        LevelMap={5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34},
    },
    [19] = { 
        ID=19,
        Name='skill_name_19',
        Desc='skill_desc_19',
        EffectDesc='skill_EffectDesc_1',
        EffectSimpleDesc='skill_EffectSimpleDesc_19',
        Icon='images/icon_skills/skill1.png',
        Type='double_jumps',
        LevelMap={1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1},
    },
    [20] = { 
        ID=20,
        Name='skill_name_3',
        Desc='skill_desc_3',
        EffectDesc='skill_EffectDesc_3',
        EffectSimpleDesc='skill_EffectSimpleDesc_3',
        Icon='images/icon_skills/skill9.png',
        Type='attack_power',
        LevelMap={45,60,75,90,105,121,136,151,166,181,196,211,227,242,257,272,287,302,318,333,348,363,378,393,408,424,439,454,469,484,499,515,530,545,560,575,590,605,621,636,651,666,681,696,711,727,742,757,772,787,802,818,833,848,863,878,893,908,924,939},
    },
    [21] = { 
        ID=21,
        Name='skill_name_3',
        Desc='skill_desc_3',
        EffectDesc='skill_EffectDesc_3',
        EffectSimpleDesc='skill_EffectSimpleDesc_3',
        Icon='images/icon_skills/skill9.png',
        Type='attack_power',
        LevelMap={35,50,65,80,95,111,126,141,156,171,186,201,217,232,247,262,277,292,308,323,338,353,368,383,398,414,429,444,459,474,489,505,520,535,550,565,580,595,611,626,641,656,671,686,701,717,732,747,762,777,792,808,823,838,853,868,883,898,914,929},
    },
    [22] = { 
        ID=22,
        Name='skill_name_1',
        Desc='skill_desc_1',
        EffectDesc='skill_EffectDesc_1',
        EffectSimpleDesc='skill_EffectSimpleDesc_1',
        Icon='images/icon_skills/skill7.png',
        Type='hp',
        LevelMap={528,550,572,594,616,638,660,682,704,726,748,770,792,814,836,858,880,902,924,946,968,990,1012,1034,1056,1078,1100,1122,1144,1166,1188,1210,1232,1254,1276,1298,1320,1342,1364,1386,1408,1430,1452,1474,1496,1518,1540,1562,1584,1606,1628,1650,1672,1694,1716,1738,1760,1782,1804},
    },
    [23] = { 
        ID=23,
        Name='skill_name_1',
        Desc='skill_desc_1',
        EffectDesc='skill_EffectDesc_1',
        EffectSimpleDesc='skill_EffectSimpleDesc_1',
        Icon='images/icon_skills/skill7.png',
        Type='hp',
        LevelMap={560,584,608,632,656,680,704,728,752,776,800,824,848,872,896,920,944,968,992,1016,1040,1064,1088,1112,1136,1160,1184,1208,1232,1256,1280,1304,1328,1352,1376,1400,1424,1448,1472,1496,1520,1544,1568,1592,1616,1640,1664,1688,1712,1736,1760,1784,1808,1832,1856,1880,1904,1928,1952},
    },
    [24] = { 
        ID=24,
        Name='skill_name_12',
        Desc='skill_desc_12',
        EffectDesc='skill_EffectDesc_12',
        EffectSimpleDesc='skill_EffectSimpleDesc_12',
        Icon='images/icon_skills/skill12.png',
        Type='defense',
        LevelMap={0,0,1,1,2,2,3,3,4,4,5,5,6,6,7,7,8,8,9,9,10,10,11,11,12,12,13,13,14,15},
    },
    [25] = { 
        ID=25,
        Name='skill_name_12',
        Desc='skill_desc_12',
        EffectDesc='skill_EffectDesc_12',
        EffectSimpleDesc='skill_EffectSimpleDesc_12',
        Icon='images/icon_skills/skill12.png',
        Type='defense',
        LevelMap={0,0,1,1,2,2,3,3,4,4,5,5,6,6,7,7,8,8,9,9,10,10,11,11,12,12,13,13,14,14,15,15,16,16,17,17,18,18,19,19,20,20,21,21,22},
    },
    [26] = { 
        ID=26,
        Name='skill_name_12',
        Desc='skill_desc_12',
        EffectDesc='skill_EffectDesc_12',
        EffectSimpleDesc='skill_EffectSimpleDesc_12',
        Icon='images/icon_skills/skill12.png',
        Type='defense',
        LevelMap={0,0,1,1,2,2,3,3,4,4,5,5,6,6,7,7,8,8,9,9,10,10,11,11,12,12,13,13,14,14,15,15,16,16,17,17,18,18,19,19,20,20,21,21,22,22,23,23,24,24,25,25,26,26,27,27,28,28,29,30},
    },
}
return skills
