

assets.stage_level = assets.stage_level or {}

local stage_level = assets.stage_level

stage_level.config={
    [1] = { 
        id=1,
        min=1,
        max=15,
        star_unlock_condition=40,
        star_unlock_point=16,
        star_unlock_money=5,
        star_reward_desc='stage_reward_desc_1',
        star_reward_condition_1=15,
        star_reward_item_1='item/3/6',
        star_reward_condition_2=30,
        star_reward_item_2='item/3/8/item/1/2',
        star_reward_condition_3=45,
        star_reward_item_3='item/3/8/item/1/2/point/15',
        stage_id_for_show_star_reward=7,
    },
    [2] = { 
        id=2,
        min=16,
        max=30,
        star_unlock_condition=40,
        star_unlock_point=16,
        star_unlock_money=5,
        star_reward_desc='stage_reward_desc_2',
        star_reward_condition_1=15,
        star_reward_item_1='item/3/6',
        star_reward_condition_2=30,
        star_reward_item_2='item/3/8/item/1/2',
        star_reward_condition_3=45,
        star_reward_item_3='item/3/8/item/1/2/point/15',
        stage_id_for_show_star_reward=22,
    },
    [3] = { 
        id=3,
        min=31,
        max=45,
        star_unlock_condition=40,
        star_unlock_point=16,
        star_unlock_money=5,
        star_reward_desc='stage_reward_desc_3',
        star_reward_condition_1=15,
        star_reward_item_1='item/3/6',
        star_reward_condition_2=30,
        star_reward_item_2='item/3/8/item/1/2',
        star_reward_condition_3=45,
        star_reward_item_3='item/3/8/item/1/2/point/15',
        stage_id_for_show_star_reward=37,
    },
    [4] = { 
        id=4,
        min=46,
        max=60,
        star_unlock_condition=40,
        star_unlock_point=16,
        star_unlock_money=5,
        star_reward_desc='stage_reward_desc_4',
        star_reward_condition_1=15,
        star_reward_item_1='item/3/6',
        star_reward_condition_2=30,
        star_reward_item_2='item/3/8/item/1/2',
        star_reward_condition_3=45,
        star_reward_item_3='item/3/8/item/1/2/point/15',
        stage_id_for_show_star_reward=52,
    },
    [5] = { 
        id=5,
        min=61,
        max=75,
        star_unlock_condition=40,
        star_unlock_point=16,
        star_unlock_money=5,
        star_reward_desc='stage_reward_desc_5',
        star_reward_condition_1=15,
        star_reward_item_1='item/3/6',
        star_reward_condition_2=30,
        star_reward_item_2='item/3/8/item/1/2',
        star_reward_condition_3=45,
        star_reward_item_3='item/3/8/item/1/2/point/15',
        stage_id_for_show_star_reward=67,
    },
    [6] = { 
        id=6,
        min=76,
        max=90,
        star_unlock_condition=40,
        star_unlock_point=16,
        star_unlock_money=5,
        star_reward_desc='stage_reward_desc_6',
        star_reward_condition_1=15,
        star_reward_item_1='item/3/6',
        star_reward_condition_2=30,
        star_reward_item_2='item/3/8/item/1/2',
        star_reward_condition_3=45,
        star_reward_item_3='item/3/8/item/1/2/point/15',
        stage_id_for_show_star_reward=82,
    },
    [7] = { 
        id=7,
        min=91,
        max=105,
        star_unlock_condition=40,
        star_unlock_point=16,
        star_unlock_money=5,
        star_reward_desc='stage_reward_desc_7',
        star_reward_condition_1=15,
        star_reward_item_1='item/3/6',
        star_reward_condition_2=30,
        star_reward_item_2='item/3/8/item/1/2',
        star_reward_condition_3=45,
        star_reward_item_3='item/3/8/item/1/2/point/15',
        stage_id_for_show_star_reward=97,
    },
    [8] = { 
        id=8,
        min=105,
        max=120,
        star_unlock_condition=40,
        star_unlock_point=16,
        star_unlock_money=5,
        star_reward_desc='stage_reward_desc_8',
        star_reward_condition_1=15,
        star_reward_item_1='item/3/6',
        star_reward_condition_2=30,
        star_reward_item_2='item/3/8/item/1/2',
        star_reward_condition_3=45,
        star_reward_item_3='item/3/8/item/1/2/point/15',
        stage_id_for_show_star_reward=112,
    },
}
return stage_level
