--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CGiftPackage = {}
cc.exports.sGiftPackage = game.CGiftPackage
local CGiftPackage = game.CGiftPackage

-- 首充奖励(对应运营商的0.1元礼包);
function CGiftPackage:OpenFirstRecharge(close_callback)

    if assets.opened.is_yys then 
        if close_callback then close_callback() end
        return 
    end

    if not sPlayer.player_modules.recharge:IsFirstRechargeRewarded() then 
        sUI:Open("app.views.ui.recharge.first_recharge_ui", close_callback)
    else
        if close_callback then close_callback() end
    end
end

-- 充值奖励型进阶礼包(非运营商版本);
function CGiftPackage:OpenRewardRechargeGiftPackage(close_callback)

    if assets.opened.is_yys then 
        if close_callback then close_callback() end
        return 
    end

    if sPlayer.player_modules.recharge:HasRechargeReward() then 
        sUI:Open("app.views.ui.recharge.reward_recharge_ui", close_callback)
    else
        if close_callback then close_callback() end
    end    
end

-- 购买型礼包界面
-- 1-5: 购买型进阶礼包
-- 6：过关坑点礼包
-- 7: 签到坑点礼包
function CGiftPackage:OpenGiftPackageV2(package_id, close_callback)
    
    if not sPlayer.player_modules.recharge:IsGiftPackageBuyed(package_id) then        
        sUI:Open("app.views.ui.shop.gift_package_v2_ui", package_id, 
            function() 
                if close_callback then close_callback() end
            end)
    else
        if close_callback then close_callback() end
    end
end

function CGiftPackage:OpenGiftPackage(package_id, close_callback)
    
    if not sPlayer.player_modules.recharge:IsGiftPackageBuyed(package_id) then        
        sUI:Open("app.views.ui.shop.gift_package_ui", package_id, 
            function() 
                if close_callback then close_callback() end
            end)
    else
        if close_callback then close_callback() end
    end
end

function CGiftPackage:OpenBadGuyGiftPackage(package_id, callback)
    
    if sCtrlRecharge:CanOpenBad() then
        self:OpenGiftPackageV2(package_id, callback)
    else
        if callback then callback() end
    end
end

-- 过关坑点;
function CGiftPackage:OpenBadGuyStageLoseGiftPackage(callback)
    self:OpenBadGuyGiftPackage(4, callback)
end

-- 签到坑点;
function CGiftPackage:OpenBadGuySignGiftPackage(callback)
    self:OpenBadGuyGiftPackage(7, callback)
end

-- 体力坑点;
function CGiftPackage:OpenBadGuyActionPointGiftPackage(callback)
    self:OpenBadGuyGiftPackage(1, callback)
end

-- 金币坑点
function CGiftPackage:OpenBadGuyGoldGiftPackage(callback)
    self:OpenBadGuyGiftPackage(2, callback)
end

-- 退出游戏坑点
function CGiftPackage:OpenBadGuyExitGameGiftPackage(callback)
    self:OpenBadGuyGiftPackage(4, callback)
end

-- 回主场景坑点
function CGiftPackage:OpenBadGuyBackMainGiftPackage(callback)
    self:OpenBadGuyGiftPackage(5, callback)
end

-- 复活坑点
function CGiftPackage:OpenBadGuyReviveGiftPackage(callback)
    self:OpenBadGuyGiftPackage(3, callback)
end

-- 购买型进阶礼包(运营商版本);
function CGiftPackage:GetAdvanceGiftPackageID()

    if not assets.opened.is_yys then return 0 end

    if not sPlayer.player_modules.recharge:IsGiftPackageBuyed(1) then 
        return 1
    elseif not sPlayer.player_modules.recharge:IsGiftPackageBuyed(2) then 
        return 2
    elseif not sPlayer.player_modules.recharge:IsGiftPackageBuyed(3) then 
        return 3
    elseif not sPlayer.player_modules.recharge:IsGiftPackageBuyed(4) then 
        return 4
    elseif not sPlayer.player_modules.recharge:IsGiftPackageBuyed(5) then 
        return 5
    end  
    return 0
end

function CGiftPackage:OpenAdvanceGiftPackageUI(callback)

    local gift_package_id = self:GetAdvanceGiftPackageID()
    if gift_package_id == 0 then return end
    self:OpenGiftPackageV2(gift_package_id, callback)
end


return CGiftPackage
--endregion
