--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CCtrlItem = {}

cc.exports.sCtrlItem = game.CCtrlItem
local CCtrlItem = game.CCtrlItem

function CCtrlItem:UseItem(item_id,count)
    count = count or 1

    if sPlayer.player_modules.package:GetItemCount(item_id) < count then
        -- 提示数量不足;
        sUI:Open(dxm.CMessageTipUI, sStrings:GetString("item_is_not_enough"))
        return false
    end

    local entry = assets.items.config[item_id]
    if entry.item_type == assets.items.ItemType.kTypeActionPointBox and sPlayer.player_modules.action_point:IsFull() then
        -- 提示体力已满;
        sUI:Open(dxm.CMessageTipUI, sStrings:GetString("action_point_is_full"))
        return false
    end

    return sPlayer.player_modules.package:UseItem(item_id,count)
end

function CCtrlItem:PointIsNotEnough()

    -- 能否购买钻石
    local can_add_point = true
    if assets.version.branch == "baidu" then
        can_add_point = false
    end

    if can_add_point then
        sUI:Open("dxm.ui.prefab.message_box_ok_cancel_ui", sStrings:GetString("point_is_not_enough"), function(ok)
            if ok then

                local top_ui = sShortcutHelper:GetTop()
                if top_ui then
                    game.CCtrlMainMenu:OpenShopUI("diamon", false)
                else
                    game.CCtrlMainMenu:OpenShopDialogUI("diamon", false)
                end

                if game.CAssetGame.point_gift_packet_id and not sPlayer.player_modules.recharge:IsGiftPackageBuyed(game.CAssetGame.point_gift_packet_id) then
                    sGiftPackage:OpenGiftPackageV2(game.CAssetGame.point_gift_packet_id)
                end
            end
        end )
    else
        sUI:Open("dxm.ui.prefab.message_box_ok_cancel_ui", sStrings:GetString("point_is_not_enough_bd"), function(ok)
            if ok then
                sCtrlReward:AdPoint()
            end
        end )
    end
end

function CCtrlItem:GamebillIsNotEnough()

    sUI:Open("dxm.ui.prefab.message_box_ok_cancel_ui", sStrings:GetString("not_enough_gamebill"), function(ok)
        if ok then
            local top_ui = sShortcutHelper:GetTop()
            if top_ui then
                game.CCtrlMainMenu:OpenShopUI("gamebill", false)
            else
                game.CCtrlMainMenu:OpenShopDialogUI("gamebill", false)
            end
        end
    end )
end

function CCtrlItem:ActionPointIsNotEnough()

    sUI:Open("dxm.ui.prefab.message_box_ok_cancel_ui", sStrings:GetString("not_enough_action_point"), function(ok)
        if ok then
            local top_ui = sShortcutHelper:GetTop()
            if top_ui then
                game.CCtrlMainMenu:OpenShopUI("action_point", false)
            else
                game.CCtrlMainMenu:OpenShopDialogUI("action_point", false)
            end
        end
    end )
end


return CCtrlItem

--endregion
