--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CCtrlQRCode = {}

local CCtrlQRCode = game.CCtrlQRCode

function CCtrlQRCode:OpenParam(full_param_str)
    
    -- 对参数进行拆解
    local is_end = false
    local find_start_index = 0
    local param = {}
    while not is_end do

        local param_str = nil

        local find_last_index = string.find(full_param_str, "&", find_start_index)
        if find_last_index then
            param_str = string.sub(full_param_str, find_start_index, find_last_index-1)
            find_start_index = find_last_index + 1
        else
            param_str = string.sub(full_param_str, find_start_index)
            is_end = true
        end

        if param_str ~= nil then
            print(param_str)
            local firstidx, lastidx, key, value = string.find(param_str, "([%w_]+)%s*=%s*([%w_]+)")
            param[key] = value
        end
    end

    -- 参数验证调整
    if param.game_id ~= sHttpUser.game_id or param.user_id == nil then
        dxm.CMessageTipUI:Show(sStrings:GetString("incorrect_qr_code"))
        return
    end

    -- 弹出好友的个人信息
    sHttpUser:SearchPlayerByID(param.user_id, function(code, data)

        if code == 0 and data.result then
            sUI:Open("app.views.ui.friend.friend_info_ui", data.result)
        else
            sUI:Create("dxm.ui.prefab.message_box_tips_ui", sStrings:GetString("user_id_is_not_exist"))
        end
    end)
end

return CCtrlQRCode

--endregion
