--region *.lua
--Date
--此文件由[BabeLua]插件自动生成


-- 定时系统, 每日, 每周;

game.CPlayerModuleScheduler = class("game.CPlayerModuleScheduler")

local CPlayerModuleScheduler = game.CPlayerModuleScheduler

function CPlayerModuleScheduler:ctor()

    player.db.scheduler.last_daily_event_time = player.db.scheduler.last_daily_event_time or sTimeUtils:ToTime("2016-10-31-24-00-00")
    player.db.scheduler.last_weekly_event_time = player.db.scheduler.last_weekly_event_time or sTimeUtils:ToTime("2016-10-31-24-00-00")
    
    self.daily_event = dxm.CEvent.new()
    self.weekly_event = dxm.CEvent.new()
    self.update_event = dxm.CEvent.new()

    self.time_scheduler = dxm.CTimeScheduler.new()

    self.time_scheduler:AddUpdate(assets.const.day_seconds, player.db.scheduler.last_daily_event_time,function(times)
            self.daily_event:Fire()
            player.db.scheduler.last_daily_event_time = player.db.scheduler.last_daily_event_time + times * assets.const.day_seconds
        end)

    self.time_scheduler:AddUpdate(assets.const.week_seconds, player.db.scheduler.last_weekly_event_time,function(times)
            self.weekly_event:Fire()
            player.db.scheduler.last_weekly_event_time = player.db.scheduler.last_weekly_event_time + times * assets.const.week_seconds
        end)

    cc.Director:getInstance():getScheduler():scheduleScriptFunc(function(dt)
		    self.update_event:Fire(dt)
	    end, 0, false)
end

function CPlayerModuleScheduler:OnInit()


end

function CPlayerModuleScheduler:OnUpdate(dt)

    self.time_scheduler:Update(dt)
end

-- 添加每日事件;
function CPlayerModuleScheduler:AddDaily(callback)

    if callback then
        return self.daily_event:Connect(function()
            if callback then callback() end
        end)   
    end
    return nil
end

-- 添加每周事件;
function CPlayerModuleScheduler:AddWeekly(callback)

    if callback then
        return self.weekly_event:Connect(function()
            if callback then callback() end
        end)   
    end
    return nil
end

-- 添加每次更新事件;
function CPlayerModuleScheduler:AddUpdate(callback)

    if callback then
        return self.update_event:Connect(function(dt)
            if callback then callback(dt) end
        end)   
    end
    return nil
end

return CPlayerModuleScheduler

--endregion
