--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

require("app.models.reward.reward_list")

game.CPlayerModuleReward = class("game.CPlayerModuleReward")

local CPlayerModuleReward = game.CPlayerModuleReward

function CPlayerModuleReward:ctor()
    
end

function CPlayerModuleReward:TakeReward(...)
    local reward_list = {...}
    for k , v in pairs(reward_list) do
        self:Take(v.reward_type,v.id,v.count)
    end
end

function CPlayerModuleReward:TakeRewardList(reward_list)
    self:TakeReward(unpack(reward_list.list))
end

function CPlayerModuleReward:TakeRewardString(reward_string)
    local reward_list = game.CRewardList:ParseFromString(reward_string)
    self:TakeRewardList(reward_list)
end

function CPlayerModuleReward:Take(reward_type,reward_id,reward_count)
    reward_id = reward_id or -1
    print("take reward log , reward_type( "..reward_type.." ) reward_id ( "..reward_id.." )".."reward_count( "..reward_count.." )")
    if reward_type == game.RewardType.kTypeItem then
        sPlayer.player_modules.package:AddItem(reward_id,reward_count)
    elseif reward_type == game.RewardType.kTypeActionPoint then
        sPlayer.player_modules.action_point:Change(reward_count, true)
    elseif reward_type == game.RewardType.kTypeGamebill then
        sPlayer.player_modules.numbers:Chg(enum.NumberType.kTypeGamebill, reward_count, true)
    elseif reward_type == game.RewardType.kTypePoint then
        sPlayer.player_modules.point:ChangePoint(reward_count)
    elseif reward_type == game.RewardType.kTypeExp then
        sPlayer.player_modules.level:AddExp(reward_count)
    elseif reward_type == game.RewardType.kTypeItemBox then
        for i=1,reward_count do
            sPlayer.player_modules.item_box:AddBox(reward_id)
        end
    elseif reward_type == game.RewardType.kTypeMount then
        sPlayer.player_modules.mounts:Reward(reward_id)
    elseif reward_type == game.RewardType.kTypeSkin then
        sPlayer.player_modules.skins:Reward(reward_id)
    end
end

return CPlayerModuleReward

--endregion
