--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CGameEventFog = class("game.CGameEventFog", game.CGameEvent)
local CGameEventFog = game.CGameEventFog

function CGameEventFog:ctor()
    CGameEventFog.super.ctor(self)

    self.sprite_fog = nil
end

function CGameEventFog:Init(map)
    CGameEventFog.super.Init(self, map)

    return true
end

function CGameEventFog:Create(...)
    local event = CGameEventFog.new()
    if event and event:Init(...) then
        return event
    end
    return nil
end

function CGameEventFog:Run()

    self.sprite_fog = cc.Sprite:create("images/map/real_object/fog.png")
    if self.sprite_fog then

        -- 安装更新器
        if self.map.updater then
            self.map.updater:InstallOnNode(self.sprite_fog)
        end

        self.sprite_fog:setAnchorPoint(cc.p(0,0))
        self.sprite_fog:setPositionX(self.map.visible_size.width)
        self.sprite_fog:runAction(cc.MoveTo:create(1, cc.p(self.map.visible_size.width*0.66, 0)))

        self.map:addChild(self.sprite_fog, 1)
    end
end

function CGameEventFog:Stop()
    
    if self.sprite_fog then

        self.sprite_fog:runAction(cc.Sequence:create(
        cc.MoveTo:create(1, cc.p(self.map.visible_size.width, 0)),
        cc.CallFunc:create(function() sActionUtils:Delay(0.1, nil, self.sprite_fog)  end)
        ))
        self.sprite_fog = nil
    end
end

return game.CGameEventFog

--endregion
