--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CObjectComponentHP = class("game.CObjectComponentHP")
local CObjectComponentHP = game.CObjectComponentHP

function CObjectComponentHP:ctor()
    self.game_object = nil
    self.hp = 0
    self.max_hp = 0
    self.hp_changed_event = dxm.CEvent.new()
end

function CObjectComponentHP:Init(game_object)
    if not game_object then
        return false
    end
    self.game_object = game_object
    return true
end

function CObjectComponentHP:Create(...)
    local component = CObjectComponentHP.new()
    if component and component:Init(...) then
        return component
    end
    return nil
end

function CObjectComponentHP:Update(dt)
    -- TODO:
end

function CObjectComponentHP:ChgHP(number)
    if number == 0 then
        return
    end

    self.hp = self.hp + number
    if self.hp < 0 then
        self.hp = 0
    end
    self.hp_changed_event:Fire(self.hp, number)
end

function CObjectComponentHP:MoreHP(hp)
    if hp <= 0 then
        return
    end
    self.max_hp = self.max_hp + hp
    self.hp = self.hp + hp
    self.hp_changed_event:Fire(self.hp, number)
end

return CObjectComponentHP

--endregion
