--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CGameObjectChomper = class("game.CGameObjectChomper",game.CGameObject)
local CGameObjectChomper = game.CGameObjectChomper

function CGameObjectChomper:ctor()
    CGameObjectChomper.super.ctor(self)
    self.can_attack = true
    self.attack_group = 1
    self.ignore_gravity = true
end

function CGameObjectChomper:Init(map, config)
    if CGameObjectChomper.super.Init(self, map, config) == false then
        return false
    end

    self.animation_status = "idle"

    return true
end

function CGameObjectChomper:Create(...)
    local object = CGameObjectChomper.new()
    if object and object:Init(...) then
        return object
    end
end

function CGameObjectChomper:Update(dt)
    self.total_dt = self.total_dt + dt
    if self.total_dt >= self.config.attack_cd and self.animation_status == "idle" then
        self:Bite()
        self.total_dt = self.total_dt - self.config.attack_cd
    end

    return CGameObjectChomper.super.Update(dt)
end

function CGameObjectChomper:OnEnter()
end

function CGameObjectChomper:OnExit()
    if self.shadow then
        self.shadow:removeFromParent()
    end
end

function CGameObjectChomper:Bite()
    --TODO ：播放动画
end

return CGameObjectChomper

--endregion
