-- region *.lua
-- Date
-- 此文件由[BabeLua]插件自动生成

game.CGameObjectCrow = class("game.CGameObjectCrow", game.CGameObject)
local CGameObjectCrow = game.CGameObjectCrow

function CGameObjectCrow:ctor()
    CGameObjectCrow.super.ctor(self)

    self.ignore_gravity = true
    self.ignore_ground = true

    self.can_attack = true
    self.attack_group = 1

    --self.can_be_attacked = true
end

function CGameObjectCrow:Init(map, object_id)
    if CGameObjectCrow.super.Init(self, map, object_id) == false then
        return false
    end

    -- 增加移动组件
    local move_component = self.component_list.move
    if move_component then
        move_component:ChgXSpeed(self.config.move_speed or 0)
    end

    local hp_component = self.component_list.hp
    if hp_component then
        hp_component:MoreHP(self.config.max_hp or 1)
    end
    return true
end

function CGameObjectCrow:Create(...)
    local crow = CGameObjectCrow.new()
    if crow and crow:Init(...) then
        return crow
    end

    return nil
end

function CGameObjectCrow:Update(dt)
    local ret = CGameObjectCrow.super.Update(self, dt)
    return ret
end

function CGameObjectCrow:OnEnter()
    CGameObjectCrow.super.OnEnter(self)
end

return CGameObjectCrow

-- endregion
