--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CGameObjectSnail = class("game.CGameObjectSnail",game.CGameObject)
local CGameObjectSnail = game.CGameObjectSnail

function CGameObjectSnail:ctor()
    CGameObjectSnail.super.ctor(self)

    self.can_attack = true
    self.attack_group = 1

    --self.can_be_attacked = true
end

function CGameObjectSnail:Init(map,object_id)
    if CGameObjectSnail.super.Init(self,map,object_id) == false then
        return false
    end

    local move_component = self.component_list.move
    if move_component then
        move_component:ChgXSpeed(self.config.move_speed)
    end

    local hp_component = self.component_list.hp
    if hp_component then
        hp_component:MoreHP(self.config.max_hp or 1)
    end
    
    self:setScaleX(- self:getScaleX())

    return true
end

function CGameObjectSnail:Create(...)
    local snail = CGameObjectSnail.new()
    if snail and snail:Init(...) then
        return snail
    end

    return nil
end

function CGameObjectSnail:Update(dt)
    return CGameObjectSnail.super.Update(self,dt)
end

function CGameObjectSnail:OnEnter()
    CGameObjectSnail.super.OnEnter(self)
end

return CGameObjectSnail

--endregion
