--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CGameObjectSpring = class("game.CGameObjectSpring",game.CGameObject)
local CGameObjectSpring = game.CGameObjectSpring

function CGameObjectSpring:ctor()
    CGameObjectSpring.super.ctor(self)

    self.can_be_picked_up = true
end

function CGameObjectSpring:Init(map,object_id)
    if CGameObjectSpring.super.Init(self,map,object_id) == false then
        return false
    end
    return true
end

function CGameObjectSpring:Create(...)
    local spring = CGameObjectSpring.new()
    if spring and spring:Init(...) then
        return spring
    end
    return nil
end

function CGameObjectSpring:Update(dt)
    return CGameObjectSpring.super.Update(self,dt)
end

function CGameObjectSpring:OnEnter()
    
end

function CGameObjectSpring:Effect(game_object)
    print("---------------------------")
    local move_component = game_object.component_list.move

    -- 物件正下落时给个反馈力
    if move_component and move_component.y_speed < 0 then
        move_component.y_speed = math.abs(move_component.y_speed) * 1.5
    end
end

return CGameObjectSpring

--endregion
