--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CGamePauseUI = class("game.CGamePauseUI", dxm.CStackUI)

local CGamePauseUI = game.CGamePauseUI

function CGamePauseUI:ctor()
    CGamePauseUI.super.ctor(self)

    self.callback = nil
end

function CGamePauseUI:Init(callback)
    self.callback = callback
    return self:InitWithFile("csd/Game/GameStart")
end

function CGamePauseUI:Create(...)

    local ui = CGamePauseUI.new()
    if ui == nil or ui:Init(...) == false then
        return nil
    end
    return ui
end

function CGamePauseUI:onEnter()

    self:AddReleaseEvent(function() 
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release)  
        self:RunCallback(true) 
    end, "ButtonConfirm")

    self:AddReleaseEvent(function()
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release)  
        self:RunCallback(false)         
    end, "ButtonCancel")
end

function CGamePauseUI:onExit()
end

function CGamePauseUI:RunCallback(is_ok)

    self:Close()

    if self.callback then
        self.callback(is_ok)
    end
end

return CGamePauseUI

--endregion
