--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

require "app.views.game.game_section.game_section_list"

game.CGameSectionDynamicList = class("game.CGameSectionDynamicList", game.CGameSectionList)
local CGameSectionDynamicList = game.CGameSectionDynamicList

function CGameSectionDynamicList:ctor()
    CGameSectionDynamicList.super.ctor(self)

    self.random_section_config_list = nil
    self.random_section_times = nil
end

function CGameSectionDynamicList:Init(map, random_section_config_list, random_section_times)

    if #random_section_config_list <= 0 or (random_section_times and random_section_times <= 0) then
        return false
    end
    self.random_section_config_list = random_section_config_list
    self.random_section_times = random_section_times

    return CGameSectionDynamicList.super.Init(self, map)
end

function CGameSectionDynamicList:Create(...)

    local section_list = CGameSectionDynamicList.new()
    if section_list and section_list:Init(...) then
        return section_list
    end
    return nil
end

function CGameSectionDynamicList:GetNextSectionConfig(is_loop)

    if self.random_section_times then
    
        if self.random_section_times <= 0 then

            if is_loop then
                self.random_section_times = 1
            else
                return nil
            end
        end
        self.random_section_times = self.random_section_times - 1
    end
    return self.random_section_config_list[self.map.random:RandomInt32(1, #self.random_section_config_list)]
end

return CGameSectionDynamicList

--endregion
