-- region *.lua
-- Date
-- 此文件由[BabeLua]插件自动生成

cc.exports.sTmxCache = {}

local CTmxCache = sTmxCache

function CTmxCache:Add(tmx_file)

    if not self.config_list then 
        self.config_list = {}
    end
    if self.config_list[tmx_file] then
        return self.config_list[tmx_file]
    end

    local config = require("app.views.game.tmx_config"):Create(tmx_file)
    if config then
        self.config_list[tmx_file] = config
        return config
    end
    return nil
end

function CTmxCache:Get(tmx_file)

    if self.config_list[tmx_file] then
        return self.config_list[tmx_file]
    end
    return nil
end

return CTmxCache

-- endregion
