-- region *.lua
-- Date
-- 此文件由[BabeLua]插件自动生成

cc.exports.sPathHelper = { }

local CPathHelper = cc.exports.sPathHelper

function CPathHelper:GetRewardIconPath(reward)

    if reward.reward_type == game.RewardType.kTypeItem then
        local item_entry = assets.items.config[reward.id]
        if not item_entry then return "" end
        return item_entry.icon_path
    elseif reward.reward_type == game.RewardType.kTypeItemBox then
        local entry = assets.item_boxes.config[reward.id]
        if not entry then return "" end
        return entry.icon_path
    elseif reward.reward_type == game.RewardType.kTypeMount then
        local entry = assets.mounts.config[reward.id]
        if not entry then return "" end
        return entry.Icon
    elseif reward.reward_type == game.RewardType.kTypeSkin then
        local entry = assets.skins.config[reward.id]
        if not entry then return "" end
        return entry.Icon
    elseif reward.reward_type == game.RewardType.kTypePoint then
        return "images/icon_goods/Goods34.png"
    elseif reward.reward_type == game.RewardType.kTypeGamebill then
        return "images/icon_goods/Goods5.png"
    elseif reward.reward_type == game.RewardType.kTypeActionPoint then
        return "images/icon_goods/Goods4.png"
    elseif reward.reward_type == game.RewardType.kTypeExp then
        return "images/icon_goods/Goods1.png"
    end
    return ""
end

local icon_paths = {}
for i=1, 5 do
    icon_paths[i] = "images/head/role"..i..".png" 
end

function CPathHelper:GetPlayerIconPath(head_icon)

    head_icon = tonumber(head_icon)
    head_icon = head_icon or 1
    return icon_paths[head_icon]
end

return CPathHelper

-- endregion
