-- region *.lua
-- Date
-- 此文件由[BabeLua]插件自动生成


game.CSpriteHelper = {}

local CSpriteHelper = game.CSpriteHelper

local use_batch_node = false
local balls_prefix = "images/balls/"
if use_batch_node then 
    balls_prefix = ""
end

CSpriteHelper.score_number = "images/nums/num.png"
CSpriteHelper.score2_number = "images/nums/num2.png"
CSpriteHelper.ready_go_number = "images/nums/num3.png"

function CSpriteHelper.GetBallsImage(name)
    return balls_prefix..name..".png"
end

function CSpriteHelper.IsUseBatchNode()
    return use_batch_node
end

function CSpriteHelper.CreateSprite(name)
    if CSpriteHelper.IsUseBatchNode() then 
        return cc.Sprite:createWithSpriteFrameName(name)
    else
        return cc.Sprite:create(name)
    end
end

function CSpriteHelper.InitSprite(spite, name)
    if CSpriteHelper.IsUseBatchNode() then 
        if spite:initWithSpriteFrameName(name)==false then 
            return false
        end
    else
        if spite:initWithFile(name)==false then 
            return false
        end
    end
    return true
end

return CSpriteHelper

-- endregion
