--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CFriendAddQRCodeUI = class("game.CFriendAddQRCodeUI", dxm.CBaseUI)

local CFriendAddQRCodeUI = game.CFriendAddQRCodeUI

function CFriendAddQRCodeUI:ctor()
    CFriendAddQRCodeUI.super.ctor(self)
end

function CFriendAddQRCodeUI:Init(widget)
    return self:InitWithWidget(widget)
end

function CFriendAddQRCodeUI:Create(...)
    local ui = CFriendAddQRCodeUI.new()
    if ui and ui:Init(...) then
        return ui
    end
    return nil
end

function CFriendAddQRCodeUI:onEnter()

    -- 发送自己的二维码（同上）
    self:AddReleaseEvent(function()
        dxm.audio:playSound(assets.sound.config.sound.ui_button_release)
        -- TODO: 分享一个自定义的网页链接
    end,"ButtonBusinessCard")
    self:SetWidgetEnableAndVisible(false, "ButtonBusinessCard")

    -- 扫码功能
    self:AddReleaseEvent(function()
        dxm.audio:playSound(assets.sound.config.sound.ui_button_release)
        sDeviceUtils:ScanQRCode(function(text)

            if text == "" then
                return
            end

            -- 获取参数字符串
            local full_param_str = nil
            local find_last_index = string.find(text, "?", 0)
            if find_last_index then  
                full_param_str = string.sub(text, find_last_index+1)  
            end

            -- 解析内容
            game.CCtrlQRCode:OpenParam(full_param_str)
        end)
    end,"ButtonScanCode")

    self:AddReleaseEvent(function(sender)
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release)   
        self:Close()
    end,
    "ButtonReturn") 

    -- 更新二维码图片
    sQRCodeSystem:GetQRCodeFile(function(file_path) 

        if file_path == nil then
            return
        end

        -- 显示图片
        local panel_qr_code = self:GetWidget("PanelQRcode")
        if panel_qr_code ~= nil then

            local image_qr_code = self:GetWidget(panel_qr_code, "ImageQRcode")
            if image_qr_code ~= nil then
                image_qr_code:loadTexture(file_path)
                image_qr_code:setScale(panel_qr_code:getContentSize().width/image_qr_code:getContentSize().width)
            end
        end
    end)
end

function CFriendAddQRCodeUI:onExit()

end

return CFriendAddQRCodeUI

--endregion
