--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CMailAskForUnlockStageCellUI = class("game.CMailAskForUnlockStageCellUI",dxm.CBaseUI)

local CMailAskForUnlockStageCellUI = game.CMailAskForUnlockStageCellUI

function CMailAskForUnlockStageCellUI:ctor()
    CMailAskForUnlockStageCellUI.super.ctor(self)

    self.message = nil
end

function CMailAskForUnlockStageCellUI:Init(message)
    if message == nil or self:InitWithFile("csd/Mail/MailUnlock") == false then
        return false
    end
    self.message = message
    return true
end

function CMailAskForUnlockStageCellUI:Create(...)
    local ui = CMailAskForUnlockStageCellUI.new()
    if ui and ui:Init(...) then
        return ui
    end
    return nil
end

function CMailAskForUnlockStageCellUI:onEnter()

    -- 取消按钮
    self:AddReleaseEvent(function() 
        dxm.audio:playSound(assets.sound.config.sound.ui_button_release)
        sMessageSystem:RemovePlayerMessage(self.message.message_id)
    end,"ButtonIgnore")

    -- 确认按钮
    self:AddReleaseEvent(function()
        dxm.audio:playSound(assets.sound.config.sound.ui_button_release)
        sMessageSystem:ConfirmPlayerMessage(self.message.message_id)
    end,"ButtonAgree")

    -- 显示关卡名称
    self:SetLabelText(sStringUtils:GetCombinedStringByID("stage_name", {stage_id=self.message.content.action_data.stage_id}), "TextLock")

    -- 显示发起者头像
    self:SetImageViewPicture(sPathHelper:GetPlayerIconPath(self.message.sender.user_info.head_icon), "ImageHeadPortrait")

    -- 显示发起者名称
    self:SetLabelText(self.message.sender.user_name or "ID:"..tonumber(self.message.sender.user_id)+assets.const.min_user_id, "TextPlayerName")
end

function CMailAskForUnlockStageCellUI:onExit()
end

return CMailAskForUnlockStageCellUI

--endregion
