--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CADRewardUI = class("game.CADRewardUI", dxm.CDialogUI)

local CADRewardUI = game.CADRewardUI

function CADRewardUI:ctor()
    CADRewardUI.super.ctor(self)
end

function CADRewardUI:Init(reward_list, double_times)
    self.reward_list = reward_list
    self.double_times = double_times
    return self:InitWithFile("csd/Main/MainGetDiamonds")
end

function CADRewardUI:Create(...)
    local ui = CADRewardUI.new()
    if ui and ui:Init(...) then
        return ui
    end
    return nil
end

function CADRewardUI:onEnter()
    local reward = self.reward_list.list[1] or { count=0 }

    self:SetLabelText(tostring(reward.count), "AtlasLabelNumber")

    if self.double_times == 1 then
        self:SetLabelText("", "TextDouble")
    else
        self:SetLabelText(sStringUtils:GetCombinedStringByID("ad_reward_tip", {double_times=self.double_times}), "TextDouble")
    end

    self:AddReleaseEvent(function()
        dxm.audio:playSound(assets.sound.config.sound.ui_button_release)
        self:Close()
    end, "ButtonOK")  
end

function CADRewardUI:onExit()

end

return CADRewardUI

--endregion
