--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CWelcomeBackTipUI = class("game.CWelcomeBackTipUI",dxm.CDialogUI)

local CWelcomeBackTipUI = game.CWelcomeBackTipUI

function CWelcomeBackTipUI:ctor()
    CWelcomeBackTipUI.super.ctor(self)
end

function CWelcomeBackTipUI:Init()
    self:InitWithFile("csd/Additional/WelcomeBackTip")
    return true
end

function CWelcomeBackTipUI:Show()
    
    local ui = self:Create()
    if ui then
        dxm.CUIManager:GetInstancePtr():OpenUI(ui, dxm.UIOrder.kUIOrderNotice) 
    end
end

function CWelcomeBackTipUI:Create()
    local ui = CWelcomeBackTipUI.new()
    if ui and ui:Init() then
        return ui
    end

    return nil
end

function CWelcomeBackTipUI:onEnter()

    local message = dxm.CStringCombiner.new()        
    if not player.db.info.name or player.db.info.name=="" or player.db.info.name=="nickname" then
       message:Init(sStrings:GetString("welcome_back_without_name"))
    else
       message:Init(sStrings:GetString("welcome_back_with_name"))  
       message:SetValue("name", player.db.info.name)
    end 

    self.widget:setOpacity(255)
    local self_ui = self
    sActionUtils:Delay(3, function()
        if self_ui.is_entered == true then
            self_ui.widget:runAction(cc.FadeOut:create(1))
            sActionUtils:Delay(1, function()
                if self_ui.is_entered == true then self_ui:RemoveFromParent() end
            end)
        end
    end)

    self:PlayAnimation("WelcomeAnimation", false)
    self:SetLabelText(message:Combine(), "TextWelcomeBack")
end


function CWelcomeBackTipUI:onExit()

end

return CWelcomeBackTipUI

--endregion
