--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CMedalCellUI = class("game.CMedalCellUI",dxm.CBaseUI)

local CMedalCellUI = game.CMedalCellUI

function CMedalCellUI:ctor()
    CMedalCellUI.super.ctor(self)
    self.icon_ui_list = {}
    self.max_count = 3
end

function CMedalCellUI:Init()
    return self:InitWithFile("csd/Medal/MedalStripRoot")
end

function CMedalCellUI:Create()
    local ui = CMedalCellUI.new()
    if ui and ui:Init() then
        return ui
    end

    return nil
end

function CMedalCellUI:onEnter()
    for key , icon_ui in ipairs(self.icon_ui_list) do
        print("===============================",icon_ui.group_id)
        self:AddChildWithWidgetName("PanelRoot"..key,icon_ui)
    end
end

function CMedalCellUI:onExit()
end

function CMedalCellUI:IsFull()
    if #self.icon_ui_list >= self.max_count then
        return true
    end

    return false
end

function CMedalCellUI:Empty()
    return (#self.icon_ui_list == 0)
end

function CMedalCellUI:Push(icon_ui)
    if not icon_ui then
        return
    end

    if #self.icon_ui_list >= self.max_count then
        return
    end

    self.icon_ui_list[#self.icon_ui_list + 1] = icon_ui
end

return CMedalCellUI

--endregion
