--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CNewMedalTipUI = class("game.CNewMedalTipUI",dxm.CTipUI)

local CNewMedalTipUI = game.CNewMedalTipUI

function CNewMedalTipUI:ctor()
    CNewMedalTipUI.super.ctor(self)
end

function CNewMedalTipUI:Init(medal_id)
    self.medal_id = medal_id
    return self:InitWithFile("csd/Medal/MedalPopAnimation")
end

function CNewMedalTipUI:Create(medal_id)
    local ui = CNewMedalTipUI.new()
    if ui and ui:Init(medal_id) then    
        return ui
    end

    return nil
end

function CNewMedalTipUI:onEnter()
    local complete_count = player.player_modules.medal_task:GetMedalProgress(self.medal_id)
    for i = 1, 5 do
        self:SetWidgetVisible(complete_count >= i ,"ImageStar"..i)
    end
    
    self:SetLabelText(sStrings:GetString("medal_name_"..self.medal_id),"TextMedalName")

    self:AddReleaseEvent(function()
        dxm.audio:playSound(assets.sound.config.sound.ui_button_release)
        self:Close()
    end,"Panel_5")
end

function CNewMedalTipUI:onExit()

end

return CNewMedalTipUI

--endregion
