-- region *.lua
-- Date
-- 此文件由[BabeLua]插件自动生成

game.CNameUI = class("game.CNameUI", dxm.CDialogUI)

local CNameUI = game.CNameUI

function CNameUI:ctor()
    CNameUI.super.ctor(self)
end

function CNameUI:Init(callback)
    self.callback = callback
    return self:InitWithFile("csd/Land/Name")
end

function CNameUI:Create(...)

    local ui = CNameUI.new()
    if ui == nil or ui:Init(...) == false then
        return nil
    end
    
    return ui
end

function CNameUI:onEnter()
    
    self:SetLabelText("", "TextFieldName")
    self:AddReleaseEvent(function() 
        
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release)  
        local text_field = self:GetWidget("TextFieldName")
        if text_field then 
            local text = text_field:getString()
            if sIllegalStrings:Check(text) then
                sUI:Open("dxm.ui.prefab.message_box_ok_ui", sStrings:GetString("has_illegal_word"))
                return 
            end

            if string.len(text) == 0 then text = "nickname" end
            player.player_modules.info:SetName(text, function() 
                if self.callback then self.callback() end
            end)
            sCtrlMainMenu:WelcomeBack()
            self:Close()
        end
    end, "ButtonOK")

    self:SetLabelText(assets.names:Get(), "TextFieldName")
    self:AddReleaseEvent(function()   
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release)       
        self:SetLabelText(assets.names:Get(), "TextFieldName")
    end, "ButtonRandom")

    self:AddReleaseEvent( function(sender)
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release)   
        self:Close()
    end , "ButtonClose")
end

function CNameUI:onExit()

end


return CNameUI

-- endregion
