--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CItemTipUI = class("game.CItemTipUI",dxm.CDialogUI)

local CItemTipUI = game.CItemTipUI

function CItemTipUI:ctor()
    CItemTipUI.super.ctor(self)
end

function CItemTipUI:Init(item_id, callback)

    self.item_id = item_id
    self.callback = callback
    return self:InitWithFile("csd/Main/PackageTip")
end

function CItemTipUI:Create(...)
    local ui = CItemTipUI.new()
    if ui and ui:Init(...) then
        return ui
    end

    return nil
end

function CItemTipUI:Show(message)
    local ui = CItemTipUI:Create(message)
    if ui then ui:Open() end
end

function CItemTipUI:onEnter()

    local item_entry = assets.items._GetEntry(self.item_id)    
    
    self:SetLabelText(sStrings:GetString(item_entry.name), "TextName")
    self:SetLabelText(sStrings:GetString(item_entry.desc), "TextExplain")

    print("open messaget tips")
    self:SetWidgetVisible(false,"PanelBottom1")
    self:SetWidgetVisible(true,"PanelBottom2")

    self:AddReleaseEvent(function()
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release)   
        game.CCtrlItem:UseItem(self.item_id, 1)
        if self.callback then self.callback() end
        -- if player.player_module.package:GetItemCount(self.item_id) == 0 then
            self:Close()
        -- end
    end,"ButtonUse")

    -- self:SetWidgetEnableAndVisible(item_entry.item_type==assets.items.ItemType.kTypeBox, "ButtonUse")
    self:SetWidgetEnableAndVisible(false, "ButtonUse")

    self:AddReleaseEvent(function()
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release) 
        if self.callback then self.callback() end
        self:Close()
    end,"Panel_5")
end

function CItemTipUI:onExit()
    
end

return CItemTipUI
--endregion
