--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CGiftPackageUI = class("game.CGiftPackageUI",dxm.CDialogUI)

local CGiftPackageUI = game.CGiftPackageUI

function CGiftPackageUI:ctor()
    CGiftPackageUI.super.ctor(self)
end

function CGiftPackageUI:Init(id, close_callback)

    self.close_callback = close_callback
    
    self.id = id
    if self.id == 6 then
        return self:InitWithFile("csd/Additional/AdditionalPackageReceiveBadGuy")
    elseif self.id == 7 then
        return self:InitWithFile("csd/Additional/AdditionalPackageReceiveBadGuy2")
    else    
        return self:InitWithFile("csd/Additional/AdditionalPackageReceiveYYS")
    end
    return false
end

function CGiftPackageUI:Create(...)

    local ui = CGiftPackageUI.new()
    if ui and ui:Init(...) then
        return ui
    end
    return nil
end

function CGiftPackageUI:onEnter()

    self:AddReleaseEvent(function()
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release)  
        player.player_modules.recharge:BuyGiftPackage(self.id, function(is_successful)
            if is_successful then
                local center_pos = dxm.VisibleRect:center()
                require("app.views.ui.reward_pop.reward_pop_ui"):Show(center_pos, assets.shop_gift_package.config[self.id].reward)
            end
            local close_callback = self.close_callback
            self:Close()
            if close_callback then 
                close_callback() 
            elseif self.id<5 then
                -- 自动弹出下一级礼包;
                -- sGiftPackage:OpenAdvanceGiftPackageUI()
            end
        end)
    end,"ButtonReceive")

    self:AddReleaseEvent(function() 
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release) 
        player.player_modules.recharge:BuyGiftPackage(self.id, function(is_successful)
            if is_successful then
                local center_pos = dxm.VisibleRect:center()
                require("app.views.ui.reward_pop.reward_pop_ui"):Show(center_pos,assets.shop_gift_package.config[self.id].reward)
                -- dxm.CMessageTipUI:Show(sStrings:GetString("buy_one_dime_gift_successful"), 35)
            end
            local close_callback = self.close_callback
            self:Close()                
            if close_callback then 
                close_callback() 
            elseif self.id < 5 then
                -- 自动弹出下一级礼包;
                -- sGiftPackage:OpenAdvanceGiftPackageUI()
            end
        end)
    end,"ButtonBuy")

    if self.id == 6 or self.id == 7 then       
        self:AddReleaseEvent(function()
            dxm.audio:playEffect(assets.sound.config.sound.ui_button_release) 
            player.player_modules.recharge:BuyGiftPackage(self.id, function(is_successful)
                if is_successful then
                    local center_pos = dxm.VisibleRect:center()
                    require("app.views.ui.reward_pop.reward_pop_ui"):Show(center_pos,assets.shop_gift_package.config[self.id].reward)
                end
                local close_callback = self.close_callback
                self:Close()  
                if close_callback then 
                    close_callback() 
                end
            end)
        end,"Panel_5")
    end

    self:AddReleaseEvent(function()     
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release)    
        player.player_modules.recharge:BuyGiftPackage(self.id, function(is_successful)
            if is_successful then
                local center_pos = dxm.VisibleRect:center()
                require("app.views.ui.reward_pop.reward_pop_ui"):Show(center_pos,assets.shop_gift_package.config[self.id].reward)           
            end
            local close_callback = self.close_callback
            self:Close()
            if close_callback then 
                close_callback() 
            elseif self.id < 5 then
                -- 自动弹出下一级礼包;
                -- sGiftPackage:OpenAdvanceGiftPackageUI()
            end
        end)
    end,"ButtonRecharge")

    self:SetWidgetVisible(false, "ButtonReceive")

    self:AddReleaseEvent(function()
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release)         
        if self.id == 6 or self.id == 7 then              
            sPlayer.player_modules.stat:Chg(enum.StatType.kTypeBadGuyCloseTimes, 1)   
        end   
        local close_callback = self.close_callback
        self:Close()
        if close_callback then close_callback() end

    end,"ButtonClose")

    for i = 1, 5 do
        self:SetWidgetVisible(self.id == i, "PanelStage" .. i)
    end

    if self.id == 6 then       
        self:SetWidgetVisible(true, "PanelStage4")
    end
end

function CGiftPackageUI:onExit()

end

return CGiftPackageUI
--endregion
