--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CShopCellUI = class("game.CShopCellUI",dxm.CBaseUI)

local CShopCellUI = game.CShopCellUI

function CShopCellUI:ctor()
    CShopCellUI.super.ctor(self)
    self.goods_icon_ui_list = {}
    self.max_icon_ui_count = 3
end

function CShopCellUI:Init()
    if assets.opened.is_yys then
        if self:InitWithFile("csd/Additional/ShopStripYYS") == false then        
            return false
        end
    else
        if self:InitWithFile("csd/Additional/ShopStrip") == false then        
            return false
        end
    end

    return true
end

function CShopCellUI:Create()

    local ui = CShopCellUI.new()
    if ui and ui:Init() then
        return ui
    end
    return nil
end

function CShopCellUI:onEnter()
    print("=========================================333333333======")
    for key , icon_ui  in pairs(self.goods_icon_ui_list) do
        self:AddChildWithWidgetName("PanelRoot"..key,icon_ui)
    end
end

function CShopCellUI:onExit()

end

function CShopCellUI:Push(goods_icon_ui)
    if not goods_icon_ui then
        return
    end
    self.goods_icon_ui_list[#self.goods_icon_ui_list + 1] = goods_icon_ui
end

function CShopCellUI:IsFull()
    return #self.goods_icon_ui_list >= self.max_icon_ui_count
end

function CShopCellUI:Empty()
    return #self.goods_icon_ui_list == 0
end

return CShopCellUI

--endregion
