--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CShopGoodsIconUI = class("game.CShopGoodsIconUI",dxm.CBaseUI)
local CShopGoodsIconUI = game.CShopGoodsIconUI

function CShopGoodsIconUI:ctor()
    CShopGoodsIconUI.super.ctor(self)
end

function CShopGoodsIconUI:Init(entry)
    self.entry = entry

    return self:InitWithFile("csd/Additional/ShopGoods")
end

function CShopGoodsIconUI:Create(...)
    local ui = CShopGoodsIconUI.new()
    if ui and ui:Init(...) then
        print("===============================================1111111")
        return ui
    end
    
    return nil
end

function CShopGoodsIconUI:onEnter()
    if self.entry.coin_type == "point" then
        self:SetLabelText("x"..self.entry.price, "TextBuy")
        self:SetWidgetVisible(true, "ImageDiamonds")
        self:SetWidgetVisible(false, "ImageGold")
        self:SetWidgetVisible(false, "TextRMBName")
        if self.entry.reward then
            --道具
            local reward = game.CReward:Create(self.entry.reward)
            self:SetLabelText("x" .. reward.count, "TextNumber")
        else
            --金币
            self:SetLabelText("x" .. self.entry.gamebill, "TextNumber")
        end
        
    elseif self.entry.coin_type == "rmb" then
        self:SetWidgetVisible(false, "ImageDiamonds")
        self:SetWidgetVisible(false, "ImageGold")
        self:SetWidgetVisible(true, "TextRMBName")
        self:SetLabelText("x" .. self.entry.money, "TextRMB")
        self:SetLabelText("x" .. self.entry.point, "TextNumber")
    end

    local icon_pos = self:GetWidget("ImageIcon")
    if icon_pos then
        self.icon = cc.Sprite:create(self.entry.icon_path)
        if self.icon then
            icon_pos:addChild(self.icon)
        end
    end

    self:AddReleaseEvent(function()
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release) 
        sUI:Open("app.views.ui.shop.shop_goods_info_ui",self.entry)
    end,"PanelTouch")

end

function CShopGoodsIconUI:onExit()
    if self.icon then
        self.icon:removeFromParent()
        self.icon = nil
    end
end

return CShopGoodsIconUI
--endregion
