--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

dxm.CStageLevelConditionWarningUI = class("dxm.CStageLevelConditionWarningUI",dxm.CDialogUI)

local CStageLevelConditionWarningUI = dxm.CStageLevelConditionWarningUI

function CStageLevelConditionWarningUI:ctor()
    CStageLevelConditionWarningUI.super.ctor(self)
end

function CStageLevelConditionWarningUI:Init(callback)
    self.callback = callback
    return self:InitWithFile("csd/Common/MessageBox2")
end

function CStageLevelConditionWarningUI:Create(...)
    local ui = CStageLevelConditionWarningUI.new()
    if ui and ui:Init(...) then
        return ui
    end
    return nil
end

function CStageLevelConditionWarningUI:onEnter()

    self:AddReleaseEvent(function()
        dxm.audio:playSound(assets.sound.config.sound.ui_button_release)
        if self.callback then self.callback(false) end
        self:Close()
    end,"ButtonCancel")

    self:AddReleaseEvent(function()
        dxm.audio:playSound(assets.sound.config.sound.ui_button_release)
        if self.callback then self.callback(true) end
        self:Close()
    end,"ButtonConfirm") 

    self:AddReleaseEvent(function()
        dxm.audio:playSound(assets.sound.config.sound.ui_button_release)
        
        local skin = sPlayer.player_modules.skins:GetActiveSkin()
        if skin then
            sUI:Open("app.views.ui.skin_and_mount.skin_upgrade_ui", skin)
        end
        self:Close()
    end,"ButtonUpgrade") 

    self:SetLabelText(sStrings:GetString("level_condition_is_not_arrived"), "TextMessage")
end

function CStageLevelConditionWarningUI:onExit()
end

return CStageLevelConditionWarningUI

--endregion

