-- region *.lua
-- Date
-- 此文件由[BabeLua]插件自动生成

game.CStageMapUI = class("game.CStageMapUI", dxm.CStackUI)

local CStageMapUI = game.CStageMapUI

function CStageMapUI:ctor()
    CStageMapUI.super.ctor(self)
end

function CStageMapUI:Init(stage_type)
    self.stage_type = stage_type
    return self:InitWithFile("csd/Checkpoint/Map")
end

function CStageMapUI:Create(...)
    local ui = CStageMapUI.new()
    if ui and ui:Init(...) then
        return ui
    end
    return nil
end

function CStageMapUI:onEnter()

    -- 地图编号
    for i=1,100 do

        local widget = self:GetWidget("PanelTouch"..i)
        if widget then
            self:AddReleaseEvent( function()
                dxm.audio:playSound(assets.sound.config.sound.ui_button_release)
                self:EnterStage(i)
            end , "PanelTouch"..i)
        end
    end

    -- 关闭按钮
    self:AddReleaseEvent( function()
        dxm.audio:playSound(assets.sound.config.sound.ui_button_release)
        self:Close()
    end , "ButtonClose")
end

function CStageMapUI:onExit()
end

function CStageMapUI:EnterStage(stage_id)

    if stage_id > game.CAssetStage.normal.stage_count then
        dxm.CMessageTipUI:Show(sStrings:GetString("stage_is_not_create"))
        return
    end
    sUI:OpenWithClearStack("app.views.ui.stage.stage_list_ui", self.stage_type, stage_id)
end

return CStageMapUI

-- endregion
