-- region *.lua
-- Date
-- 此文件由[BabeLua]插件自动生成

game.CTurnTablePopUI = class("game.CTurnTablePopUI", dxm.CGameDialogUI)

local CTurnTablePopUI = game.CTurnTablePopUI

function CTurnTablePopUI:ctor()
    CTurnTablePopUI.super.ctor(self)
end

function CTurnTablePopUI:Init(reward_id)
    self:InitWithFile("csd/Additional/AdditionalTurntablePop")
    self.reward_id = reward_id
    return true
end

function CTurnTablePopUI:Create(...)
    local ui = CTurnTablePopUI.new()
    if ui and ui:Init(...) then
        return ui
    end

    return nil
end

function CTurnTablePopUI:Show(...)
    local ui = self:Create(...)
    return ui
end

function CTurnTablePopUI:onEnter()
    self:AddReleaseEvent( function()
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release) 
        self:Close()
        local center_pos = dxm.VisibleRect:center()
        local entry = assets.turn_table:GetEntry(self.reward_id) 
        if entry then
            require("app.views.ui.reward_pop.reward_pop_ui"):Show(center_pos, entry.reward)
        end
    end , "Panel_5")

    local entry = assets.turn_table:GetEntry(self.reward_id) 
    if entry then
        local reward = game.CReward:Create(entry.reward)
        self:SetImageViewPicture(entry.icon_path, "ImageIconGoods")        
        self:SetLabelText("x"..reward.count, "TextTip")
    end
end

function CTurnTablePopUI:onExit()

end

return CTurnTablePopUI
-- endregion
