--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

assets.names = {}
local names = assets.names
assets.names.config = {}

function names:Load()

    local function LoadScriptFile(file_path)
        local locale_string_file = file_path..".lua"
        local fullpath = cc.FileUtils:getInstance():fullPathForFilename(locale_string_file)
        local locale_string_file1 = file_path..".luac"
        local fullpath1 = cc.FileUtils:getInstance():fullPathForFilename(locale_string_file1)
        if cc.FileUtils:getInstance():isFileExist(fullpath) or cc.FileUtils:getInstance():isFileExist(fullpath1) then
             require(file_path)
        end  
    end

    LoadScriptFile("app/assets/xml_export/names_"..dxm.CLocale.locale_name)
    LoadScriptFile("app/assets/xml_export/names")

    local names = assets["names_"..dxm.CLocale.locale_name]
    if not names then 
        names = assets["names"]
    end

    self.first_name_list = {}
    self.second_name_list = {}
    for key, value in pairs(names.config) do
        if value.FirstName and value.FirstName~="" then
            self.first_name_list[#self.first_name_list+1] = value.FirstName
        end
        if value.SecondName and value.SecondName~="" then
            self.second_name_list[#self.second_name_list+1] = value.SecondName
        end
    end
end

function names:Get()
    
    if #self.first_name_list==0 or #self.second_name_list==0 then
        return "nickname"
    end

    local first_name = self.first_name_list[math.random(1, #self.first_name_list)]
    local second_name = self.second_name_list[math.random(1, #self.second_name_list)]
    return ""..first_name..second_name
end


return names

--endregion
