--region *.lua
--Date
--此文件由[BabeLua]插件自动生成
require "cocos.init"

cc.exports.dxm = {}
cc.exports.update = {}
cc.exports.assets = {}
cc.exports.game = {}
cc.exports.player = {}

require "dxm.lua_ext.table"

require "dxm.base.definition"
require "dxm.base.singleton"
require "dxm.base.peroid_tasks"
require "dxm.base.string_combiner"
require "dxm.base.token"
require "dxm.base.event"
require "dxm.base.time_scheduler"
require "dxm.base.utf8"
require "dxm.base.tasks"

require "dxm.assets.asset_scripts"
require "dxm.assets.asset_strings"
require "dxm.assets.asset_names"
require "dxm.assets.asset_tips"
require "dxm.assets.asset_config"
require "dxm.assets.locale"

require "dxm.utils.json_utils"
require "dxm.utils.spine_utils"
require "dxm.utils.action_utils"
require "dxm.utils.ui_utils"
require "dxm.utils.download_utils"
require "dxm.utils.file_utils"
require "dxm.utils.third_platform_utils"
require "dxm.utils.time_utils"
require "dxm.utils.string_utils"
require "dxm.utils.shader_utils"
require "dxm.utils.device_utils"
require "dxm.utils.db_utils"
require "dxm.utils.zlib_utils"

require "dxm.ccext.visible_rect"
require "dxm.ccext.audio"
require "dxm.ccext.click_clipping_node"

require "dxm.cexport.init"

require "dxm.system.http_request"
require "dxm.system.http_user"
require "dxm.system.game_recommender"
require "dxm.system.simple_db"
require "dxm.system.audio_system"
require "dxm.system.pay_system"
require "dxm.system.friend_system"
require "dxm.system.message_system"
require "dxm.system.location_system"
require "dxm.system.download_system"
require "dxm.system.update_system"
require "dxm.system.qr_code_system"
require "dxm.system.database"
require "dxm.system.message_dispatcher"
require "dxm.system.illegal_strings"
require "dxm.system.sheduler_system"
require "dxm.system.profile_system"

require "dxm.scene.base_scene"
require "dxm.scene.base_physics_scene"
require "dxm.scene.base_b2_scene"

require "dxm.ui.base.ui_manager"
require "dxm.ui.base.widget_cache_manager"
require "dxm.ui.base.base_ui"
require "dxm.ui.base.layer_ui"
require "dxm.ui.base.background_ui"
require "dxm.ui.base.stack_ui"
require "dxm.ui.base.shortcut_ui"
require "dxm.ui.base.dialog_ui"
require "dxm.ui.base.game_dialog_ui"
require "dxm.ui.base.guide_ui"
require "dxm.ui.base.notice_ui"
require "dxm.ui.base.system_dialog_ui"
require "dxm.ui.base.top_touch_mask_ui"
require "dxm.ui.base.tip_ui"
require "dxm.ui.base.ui_helper"
require "dxm.ui.base.ui_widget"

require "dxm.ui.prefab.loading_ui"
require "dxm.ui.prefab.message_box_ok_cancel_ui"
require "dxm.ui.prefab.message_box_ok_ui"
require "dxm.ui.prefab.message_tip_ui"
require "dxm.ui.prefab.node_ui"
require "dxm.ui.prefab.scroll_view_ui"
require "dxm.ui.prefab.spine_button_ui"
require "dxm.ui.prefab.spine_ui"
require "dxm.ui.prefab.card_ui"
require "dxm.ui.prefab.card_selector_ui"
require "dxm.ui.prefab.clipping_loading_bar_ui"
require "dxm.ui.prefab.newbie_guide_ui"
require "dxm.ui.prefab.scroll_background"
require "dxm.ui.prefab.page_view_ui"

-- 本地数据
function cc.exports.trace(...) 
    -- print(...)
end

--endregion
