-- region *.lua
-- Date
-- 此文件由[BabeLua]插件自动生成

--敏感词库
local CIllegalStrings = {}
cc.exports.sIllegalStrings = CIllegalStrings

function CIllegalStrings:Init(asset_illegal_strings)
    self.asset_illegal_strings = asset_illegal_strings
end

--将字符串中敏感字用*替换返回
function CIllegalStrings:Replace (input_string)

    for i,v in ipairs(self.asset_illegal_strings.config) do
        string.gsub(input_string, v.String, "*")
    end
end

--字符串中是否含有敏感字
function CIllegalStrings:Check(input_string)

    for i,v in ipairs(self.asset_illegal_strings.config) do
        if string.find(input_string, v.String) ~= nil then
            return true
        end
    end
    return false
end

return CIllegalStrings 

-- endregion
