--region *.lua
--Date
--此文件由[BabeLua]插件自动生成


dxm = dxm or {}
dxm.CTopTouchMaskUI = class("dxm.CTopTouchMaskUI", dxm.CBaseUI)
local CTopTouchMaskUI = dxm.CTopTouchMaskUI

function CTopTouchMaskUI:ctor( void )
    CTopTouchMaskUI.super.ctor(self)
	self._open_ref = 0
end

function CTopTouchMaskUI:Init( opacity )
	local panel = ccui.Layout:create()
	if panel == nil then
		return false
	end

    local rect = dxm.VisibleRect:getVisibleRect()
	panel:setContentSize(cc.size(rect.width, rect.height));
	panel:setBackGroundColorType(ccui.LayoutBackGroundColorType.solid);
	panel:setBackGroundColorOpacity(opacity);
	panel:setBackGroundColor(cc.c3b(0,0,0));
	if dxm.CBaseUI.InitWithWidget(self, panel) == false then
    	return false
	end

	panel:setTouchEnabled(true);
	return true
end

function CTopTouchMaskUI:Create( opacity )
	local ui = CTopTouchMaskUI.new()
	if ui==nil or ui:Init(opacity)==false then	
		return nil
    end
	return ui
end

function CTopTouchMaskUI:onEnter()    
    self.play_open_animation = false
end

function CTopTouchMaskUI:Open(ui_order)
    if self._open_ref==0 then
        dxm.CUIManager:GetInstancePtr():OpenUI(self, ui_order, true)
    end

	self._open_ref = self._open_ref+1
end

function CTopTouchMaskUI:Close()
	self._open_ref = self._open_ref - 1;
	if self._open_ref==0 then
		self:_CloseAction(self.widget, function() 
            self:RemoveFromParent()
        end)
    end
end

function CTopTouchMaskUI:GetOpenRef()
    return self._open_ref
end

function CTopTouchMaskUI:_CloseAction(node, end_callback)

    if not node then
        return
    end

    node:stopAllActions()

    local actions = {}
    actions[#actions + 1] = cc.FadeOut:create(0.2)

    if begin_callback then begin_callback() end
    
    actions[#actions + 1] = cc.CallFunc:create( function()
        if end_callback then end_callback() end
    end )

    local action = cc.Sequence:create(actions)
    node:runAction(action)
end

--endregion
