--region *.lua
--Date
--此文件由[BabeLua]插件自动生成
dxm = dxm or {}
dxm.CCardUI = class("dxm.CCardUI",dxm.CBaseUI)

local CCardUI = dxm.CCardUI

function CCardUI:ctor()
    CCardUI.super.ctor(self)
    self.show = nil
    self.container_ui = nil
end

function CCardUI:Init(base_ui)
    local widget = ccui.Widget:create()
    widget:setCascadeColorEnabled(true)
	widget:setCascadeOpacityEnabled(true)
	widget:setAnchorPoint(cc.p(0, 0))

    self:InitWithWidget(widget)
    self.container_ui = base_ui
    self.show = false
    return true
end

function CCardUI:Create(base_ui)
    local ui = CCardUI.new()
    
    if ui and ui:Init(base_ui) then
        return ui
    end
    return nil
end

function CCardUI:IsShow()
    return self.show
end

function CCardUI:SetShow(value)
    self.show = value
end

function CCardUI:GetContainer()
    return self.container_ui.widget
end

function CCardUI:GetRootNode()
    return self.widget
end

function CCardUI:SetRotation3D(angle)
    
end

function CCardUI:onEnter()
    self:AddChild(self.container_ui)
    self:SetWidgetEnable(false)

    local card_width,card_height = self.container_ui.widget:getContentSize().width ,self.container_ui.widget:getContentSize().height

	self.widget:setContentSize(cc.p(card_width,card_height))

    self.container_ui.widget:setAnchorPoint(cc.p(0,0))
	self.container_ui.widget:setCascadeOpacityEnabled(true)
	self.container_ui.widget:setCascadeColorEnabled(true)
	self.container_ui.widget:setContentSize(card_size)

    print("onEnter -----------------")
end

function CCardUI:onExit()
    print("onExit -----------------")
end

function CCardUI:SetSwallowTouches(widget,value)
    print("CCardUI:SetSwallowTouches",widget:isSwallowTouches())

    for k , v in pairs(widget:getChildren()) do
        self:SetSwallowTouches(v,value)
    end
end

function CCardUI:ClickCallback()
    if self.container_ui.ClickCallback then
        self.container_ui:ClickCallback()   
    end
end

--function CCardUI:ClickEvent(touch_location)
--    if self.widget then
--        self.widget:onTouchEnded()
--    end
--end

return CCardUI

--endregion
