--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

dxm.CMessageBoxOkUI = class("dxm.CMessageBoxOkUI",dxm.CDialogUI)

local CMessageBoxOkUI = dxm.CMessageBoxOkUI

function CMessageBoxOkUI:ctor()
    CMessageBoxOkUI.super.ctor(self)
end

function CMessageBoxOkUI:Init(message, callback)
    self.message = message
    self.callback = callback
    return self:InitWithFile("csd/Common/MessageBox")
end

function CMessageBoxOkUI:Create(...)
    local ui = CMessageBoxOkUI.new()
    if ui and ui:Init(...) then
        return ui
    end

    return nil
end

function CMessageBoxOkUI:Show(message)
    local ui = CMessageBoxOkUI:Create(message)
    if ui then ui:Open() end
end

function CMessageBoxOkUI:onEnter()
    print("open messaget tips")
    self:SetWidgetVisible(false,"PanelBottom1")
    self:SetWidgetVisible(true,"PanelBottom2")

    self:AddReleaseEvent(function()
        dxm.audio:playSound(assets.sound.config.sound.ui_button_release)  
        if self.callback then self.callback() end
        self:Close()
    end,"PanelBottom2","ButtonConfirm")
    print("message :"..self.message)
    self:SetLabelText(self.message,"TextMessage")
end

function CMessageBoxOkUI:onExit()
    
end

return CMessageBoxOkUI
--endregion
