--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

cc.exports.sDeviceUtils = {}

function sDeviceUtils:GetDeviceId()
    return CDeviceUtil:GetInstancePtr():GetDeviceId()
end

function sDeviceUtils:GetSDPath()
    return CDeviceUtil:GetInstancePtr():GetSDPath()
end

function sDeviceUtils:GetWritablePath()
    return CDeviceUtil:GetInstancePtr():GetWritablePath()
end

function sDeviceUtils:Exit()
    return CDeviceUtil:GetInstancePtr():Exit()
end

function sDeviceUtils:Install(app_path)
    return CDeviceUtil:GetInstancePtr():Install(app_path)
end

function sDeviceUtils:Download(url)
    return CDeviceUtil:GetInstancePtr():Download(url)
end

function sDeviceUtils:OpenURL(url)
    return CDeviceUtil:GetInstancePtr():OpenURL(url)
end

function sDeviceUtils:OpenWebView(url, close_callback, left, top, width, height)
    return CDeviceUtil:GetInstancePtr():OpenWebView(url, close_callback, left or 0, top or 0, width or 0, height or 0)
end

function sDeviceUtils:CloseWebView()
    return CDeviceUtil:GetInstancePtr():CloseWebView()
end

-- callback()
function sDeviceUtils:OpenVideo(url, callback)
    return CDeviceUtil:GetInstancePtr():OpenVideo(url, callback)
end

function sDeviceUtils:GetLocaleName()
    return CDeviceUtil:GetInstancePtr():GetLocaleName()
end

function sDeviceUtils:GetVersionName()
    return CDeviceUtil:GetInstancePtr():GetAppVersionName()
end

function sDeviceUtils:GetVersionCode()
    return CDeviceUtil:GetInstancePtr():GetAppVersion()
end

function sDeviceUtils:GetState(param)
	
    if device.platform == "ios" then
        if param == "locale" and CDeviceUtil.GetState then
            return CDeviceUtil:GetInstancePtr():GetState(param)
        end
        return ""
    end

    if CDeviceUtil.GetState then
        return CDeviceUtil:GetInstancePtr():GetState(param)
    end

	if param == "locale" then
        return "zh"
    end

	if param == "GPS" then
        return '{"AdminArea":"浙江"}'
    end
	return ""
end

function sDeviceUtils:GetJsonState(param)

    if device.platform == "ios" then
        return "{}"
    end
    if device.platform == "windows" then
	    if param == "GPS" then
            return '{"province":"浙江省", "city":"杭州市"}'
        end
    end   	
    if CDeviceUtil.GetState then
        local rtn = CDeviceUtil:GetInstancePtr():GetState(param)
        if not rtn or rtn == "" then
            rtn = "{}"
        end
        return rtn
    end
	return "{}"
end

function sDeviceUtils:ScanQRCode(callback)

    if CDeviceUtil.ScanQRCode then
        CDeviceUtil:GetInstancePtr():ScanQRCode(callback)
        return
    end

	if callback ~= nil then
        callback("no this function")
    end
end

function sDeviceUtils:SetClipboard(data)

    if CDeviceUtil.SetClipboard then
        CDeviceUtil:GetInstancePtr():SetClipboard(data)
        return
    end
end

function sDeviceUtils:GetClipboard()

    if CDeviceUtil.GetClipboard then
        return CDeviceUtil:GetInstancePtr():GetClipboard()
    end
    return ""
end

function sDeviceUtils:SetOpenListener(callback)

    if CDeviceUtil.SetOpenListener then
        CDeviceUtil:GetInstancePtr():SetOpenListener(callback)
        return
    end
end

function sDeviceUtils:IsAppExist(app_package)

    if CDeviceUtil.IsAppExist then
        return CDeviceUtil:GetInstancePtr():IsAppExist(app_package)
    end

    return false
end

function sDeviceUtils:Restart()

    if CDeviceUtil.Restart then
        CDeviceUtil:GetInstancePtr():Restart()
        return
    end
    self:Exit()
end

function sDeviceUtils:RunCommand(command, param)

    if CDeviceUtil.RunCommand then
        CDeviceUtil:GetInstancePtr():RunCommand(command, param)
    end
end

return sDeviceUtils

--endregion
