--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

dxm.CStringUtils = {}

cc.exports.sStringUtils = dxm.CStringUtils

function dxm.CStringUtils:GetString(message, message_value)

    if type(message) == "string" then
        local head = string.sub(message, 1, 1)
        if head == "@" then
            message = string.sub(message, 2)
            message = sStrings:GetString(message)
        end
        if type(message_value) ~= "table" then
            return message
        else
            return self:GetCombinedString(message, message_value)
        end
    end
    return tostring(message)
end


function dxm.CStringUtils:GetCombinedStringByID(message_id, message_value)

    local message = sStrings:GetString(message_id)
    return self:GetCombinedString(message, message_value)
end

function dxm.CStringUtils:GetCombinedString(message, message_value)

    local string_combiner = dxm.CStringCombiner:new()
    if string_combiner ~= nil then
        string_combiner:Init(message)
        for key,value in pairs(message_value) do
            string_combiner:SetValue(key, value)
        end
        message = string_combiner:Combine()
    end
    return message
end

function dxm.CStringUtils:EncodeURL(s)
    s = string.gsub(s, "([^%w%.%- ])", function(c) return string.format("%%%02X", string.byte(c)) end)
    return string.gsub(s, " ", "+")
end 

function dxm.CStringUtils:DecodeURL(s)
    s = string.gsub(s, '%%(%x%x)', function(h) return string.char(tonumber(h, 16)) end)
    return s
end

function dxm.CStringUtils:HasWord(s, find_s)

    if not s then return false end

    local _, b = string.find(s, find_s)
    return b ~= nil
end

return dxm.CStringUtils

--endregion
