--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

-- 区块描述
--[[
section = 
{
    -- 区块TMX文件路径
    tmx_file = "tmx/stage_beginner_3.tmx",

    -- 区块玩法描述
    desc = "please_press_jump_button",

    -- 进入事件回调
    onEnter = function(map, data) 
        map:Pause()
        sUI:Open("app.views.game_story.game_story_ui", 1, function()
            map:Resume()
        end)
        return nil
    end,

    -- 离开事件回调
    onExit = function(map, data)
    end,

    -- 判断是否越过区块
    onUpdate = function(map, data) 
        if map.player.pickup_list["ball"] and map.player.pickup_list["ball"] >= 2 then
            return true
        end
        return false
    end,
},
]]--

-- 区块组描述
--[[
section_group = {

    -- 背景图（可无缝循环播放，一般需要近景远景各一张）
    background = { 
        { file_path = "images/map/night.png", z = 100, },
        { file_path = "images/map/house.png", z = 10, }
    },

    -- 粒子特效
    particle_path = "particle/rain_1.plist",

    -- 角色移动速度（未来可能被取消，默认为400）
    move_speed = 400,

    -- 重力加速度（未来可能被取消，默认为980，普通地图都是以这个数据为准，未来可以做不同星球的）
    g = 980,

    -- 静态区块列表（顺序播放一段区域序列，默认为静态）
    static_section_list = { ... },
        
    -- 动态区块列表（动态为从区域库中随机播放一定数量的区域）
    dynamic_section_list = {
        random_section_times = 1,
        random_section_list = { ... },
    },
}
]]--

game.CAssetGameSection = {
}

return game.CAssetGameSection

--endregion
