--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

require("app.assets.xml_export.stage_level")

local stage_level = assets.stage_level

function stage_level:GetEntry(stage_level)
    return self.config[stage_level]
end

function stage_level:GetEntryByStageID(stage_id)
    
    for k , v in pairs(stage_level.config) do
        if stage_id >=  v.min and stage_id <= v.max then 
            return v
        end
    end
end

function stage_level:GetEntryByStageIDForStarReward(stage_id)

    for k , v in pairs(stage_level.config) do
        if stage_id ==  v.stage_id_for_show_star_reward then 
            return v
        end
    end
    return nil
end

function stage_level:GetMinStageID(stage_level)
    
    local entry = self:GetEntry(stage_level)
    if entry then 
        return entry.min
    end
    return 0
end

function stage_level:GetMaxStageID(stage_level)
    
    local entry = self:GetEntry(stage_level)
    if entry then 
        return entry.max
    end
    return 0
end

--endregion
