--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

require("app.assets.xml_export.stage_ui_step")

local stage_ui_step = assets.stage_ui_step

function stage_ui_step:GetEntry(id)
    return self.config[id]
end

function stage_ui_step:GetEntryByStageID(stage_id)
    
    for k , v in pairs(stage_ui_step.config) do
        if stage_id >=  v.min and stage_id <= v.max then 
            return v
        end
    end
end

function stage_ui_step:GetMinStageID(id)
    
    local entry = self:GetEntry(id)
    if entry then 
        return entry.min
    end
    return 0
end

function stage_ui_step:GetMaxStageID(id)
    
    local entry = self:GetEntry(id)
    if entry then 
        return entry.max
    end
    return 0
end

return stage_ui_step
--endregion
