--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

local map_config = {

    name = "map_name_7_6",
    section_group_list = {
        {
            background = "snowfield_day",
            weather = "rain",
            static_section_list = {
                { tmx_file = "tmx/stage_2_start.tmx", },
                { tmx_file = "tmx/stage_4_6_1.tmx", },
            },
        },
        {
        	background = "snowfield_day",
            desc = "please_pickup_the_shit_to_fightback",
            onEnter = function(map) map.tmx:CreateObjectByID("eagle", map.tmx.tmx_start_x*game.CAssetGame.tile_width, 3*game.CAssetGame.tile_height, 51) end,
            onUpdate = function(map) return map.boss == nil end,
            static_section_list = {
                { tmx_file = "tmx/stage_4_6_2.tmx", },
            },
        },
        {        
            background = "snowfield_day",
            weather = "rain",
            static_section_list = {
                { tmx_file = "tmx/stage_4_6_3.tmx", },
                { tmx_file = "tmx/stage_2_end.tmx", },
            },
        },        
    },
    desc = "map_desc_7_6",
    -- game_time = 90,
    action_point = 5,
    is_boss = true,
	level_condition = 51 ,
    
    star_condition = {
        [1] = { type = game.CAssetGameCondition.win ,desc = "game_win" },
        [2] = { type = game.CAssetGameCondition.item_collect,param = game.CAssetGameObject.grape.id ,value = 10,desc = "item_collect" },
        [3] = { type = game.CAssetGameCondition.time ,value = 45 ,desc = "game_score"}
    },
    reward = "gamebill/200/exp/50",
}

return map_config

--endregion
