--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

local map_config = {

    name = "map_name_8_8",
    section_group_list = {
        {
            background = "snowfield_day",
            weather = "snow",
            static_section_list = {
                { tmx_file = "tmx/stage_2_start.tmx", },
                { tmx_file = "tmx/stage_4_1.tmx",  },
            },
        },
         {
            background = "snowfield_day",
            weather = "snow",
            static_section_list = {
                { tmx_file = "tmx/stage_1_3.tmx", },
            },
        },
        {
            background = "forest_night",
            weather = "rain",
            --event = "fog",--
            static_section_list = {
                { tmx_file = "tmx/stage_3_2.tmx", },
            },
        },
        {
            background = "forest_night",
            weather = "rain",
            --event = "fog",--
            static_section_list = {
                { tmx_file = "tmx/stage_2_14.tmx", },
                { tmx_file = "tmx/stage_1_end.tmx", },
            },
        },
    },
    desc = "map_desc_8_8",
    -- game_time = 60,
    action_point = 5,
	level_condition = 33 ,
    
    star_condition = {
        [1] = { type = game.CAssetGameCondition.win, desc = "game_win" },
        [2] = { type = game.CAssetGameCondition.item_collect, param = game.CAssetGameObject.apple.id, value = 12, desc = "item_collect" },
        [3] = { type = game.CAssetGameCondition.score, value = 40000, desc = "game_score" }
    },
    reward = "gamebill/100/exp/10",
}

return map_config

--endregion
