

assets.medal_task = assets.medal_task or {}

local medal_task = assets.medal_task

medal_task.config={
    [1] = { 
        id=1,
        name='medal_name_1',
        desc='medal_task_desc_1',
        condition_type='endless_score',
        complate_times=3,
        condition_param='score/3000',
        group_id=1,
    },
    [2] = { 
        id=2,
        name='medal_name_1',
        desc='medal_task_desc_2',
        condition_type='endless_score',
        complate_times=5,
        condition_param='score/6000',
        group_id=1,
    },
    [3] = { 
        id=3,
        name='medal_name_1',
        desc='medal_task_desc_3',
        condition_type='endless_score',
        complate_times=15,
        condition_param='score/10000',
        group_id=1,
    },
    [4] = { 
        id=4,
        name='medal_name_1',
        desc='medal_task_desc_4',
        condition_type='endless_score',
        complate_times=20,
        condition_param='score/15000',
        group_id=1,
    },
    [5] = { 
        id=5,
        name='medal_name_1',
        desc='medal_task_desc_5',
        condition_type='endless_score',
        complate_times=50,
        condition_param='score/20000',
        group_id=1,
    },
    [6] = { 
        id=6,
        name='medal_name_2',
        desc='medal_task_desc_6',
        condition_type='use_item_count',
        complate_times=10,
        condition_param='item_id/4',
        group_id=2,
    },
    [7] = { 
        id=7,
        name='medal_name_2',
        desc='medal_task_desc_7',
        condition_type='use_item_count',
        complate_times=20,
        condition_param='item_id/4',
        group_id=2,
    },
    [8] = { 
        id=8,
        name='medal_name_2',
        desc='medal_task_desc_8',
        condition_type='use_item_count',
        complate_times=50,
        condition_param='item_id/4',
        group_id=2,
    },
    [9] = { 
        id=9,
        name='medal_name_2',
        desc='medal_task_desc_9',
        condition_type='use_item_count',
        complate_times=100,
        condition_param='item_id/4',
        group_id=2,
    },
    [10] = { 
        id=10,
        name='medal_name_2',
        desc='medal_task_desc_10',
        condition_type='use_item_count',
        complate_times=200,
        condition_param='item_id/4',
        group_id=2,
    },
    [11] = { 
        id=11,
        name='medal_name_3',
        desc='medal_task_desc_11',
        condition_type='use_item_count',
        complate_times=10,
        condition_param='item_id/3',
        group_id=3,
    },
    [12] = { 
        id=12,
        name='medal_name_3',
        desc='medal_task_desc_12',
        condition_type='use_item_count',
        complate_times=20,
        condition_param='item_id/3',
        group_id=3,
    },
    [13] = { 
        id=13,
        name='medal_name_3',
        desc='medal_task_desc_13',
        condition_type='use_item_count',
        complate_times=50,
        condition_param='item_id/3',
        group_id=3,
    },
    [14] = { 
        id=14,
        name='medal_name_3',
        desc='medal_task_desc_14',
        condition_type='use_item_count',
        complate_times=100,
        condition_param='item_id/3',
        group_id=3,
    },
    [15] = { 
        id=15,
        name='medal_name_3',
        desc='medal_task_desc_15',
        condition_type='use_item_count',
        complate_times=200,
        condition_param='item_id/3',
        group_id=3,
    },
    [16] = { 
        id=16,
        name='medal_name_4',
        desc='medal_task_desc_16',
        condition_type='use_item_count',
        complate_times=10,
        condition_param='item_id/5',
        group_id=4,
    },
    [17] = { 
        id=17,
        name='medal_name_4',
        desc='medal_task_desc_17',
        condition_type='use_item_count',
        complate_times=20,
        condition_param='item_id/5',
        group_id=4,
    },
    [18] = { 
        id=18,
        name='medal_name_4',
        desc='medal_task_desc_18',
        condition_type='use_item_count',
        complate_times=50,
        condition_param='item_id/5',
        group_id=4,
    },
    [19] = { 
        id=19,
        name='medal_name_4',
        desc='medal_task_desc_19',
        condition_type='use_item_count',
        complate_times=100,
        condition_param='item_id/5',
        group_id=4,
    },
    [20] = { 
        id=20,
        name='medal_name_4',
        desc='medal_task_desc_20',
        condition_type='use_item_count',
        complate_times=200,
        condition_param='item_id/5',
        group_id=4,
    },
    [21] = { 
        id=21,
        name='medal_name_5',
        desc='medal_task_desc_21',
        condition_type='use_item_count',
        complate_times=10,
        condition_param='item_id/7',
        group_id=5,
    },
    [22] = { 
        id=22,
        name='medal_name_5',
        desc='medal_task_desc_22',
        condition_type='use_item_count',
        complate_times=20,
        condition_param='item_id/7',
        group_id=5,
    },
    [23] = { 
        id=23,
        name='medal_name_5',
        desc='medal_task_desc_23',
        condition_type='use_item_count',
        complate_times=50,
        condition_param='item_id/7',
        group_id=5,
    },
    [24] = { 
        id=24,
        name='medal_name_5',
        desc='medal_task_desc_24',
        condition_type='use_item_count',
        complate_times=100,
        condition_param='item_id/7',
        group_id=5,
    },
    [25] = { 
        id=25,
        name='medal_name_5',
        desc='medal_task_desc_25',
        condition_type='use_item_count',
        complate_times=200,
        condition_param='item_id/7',
        group_id=5,
    },
    [26] = { 
        id=26,
        name='medal_name_6',
        desc='medal_task_desc_26',
        condition_type='use_item_count',
        complate_times=10,
        condition_param='item_id/6',
        group_id=6,
    },
    [27] = { 
        id=27,
        name='medal_name_6',
        desc='medal_task_desc_27',
        condition_type='use_item_count',
        complate_times=20,
        condition_param='item_id/6',
        group_id=6,
    },
    [28] = { 
        id=28,
        name='medal_name_6',
        desc='medal_task_desc_28',
        condition_type='use_item_count',
        complate_times=50,
        condition_param='item_id/6',
        group_id=6,
    },
    [29] = { 
        id=29,
        name='medal_name_6',
        desc='medal_task_desc_29',
        condition_type='use_item_count',
        complate_times=100,
        condition_param='item_id/6',
        group_id=6,
    },
    [30] = { 
        id=30,
        name='medal_name_6',
        desc='medal_task_desc_30',
        condition_type='use_item_count',
        complate_times=200,
        condition_param='item_id/6',
        group_id=6,
    },
    [31] = { 
        id=31,
        name='medal_name_7',
        desc='medal_task_desc_31',
        condition_type='stage_lose_times',
        complate_times=30,
        group_id=7,
    },
    [32] = { 
        id=32,
        name='medal_name_7',
        desc='medal_task_desc_32',
        condition_type='stage_lose_times',
        complate_times=50,
        group_id=7,
    },
    [33] = { 
        id=33,
        name='medal_name_7',
        desc='medal_task_desc_33',
        condition_type='stage_lose_times',
        complate_times=150,
        group_id=7,
    },
    [34] = { 
        id=34,
        name='medal_name_7',
        desc='medal_task_desc_34',
        condition_type='stage_lose_times',
        complate_times=300,
        group_id=7,
    },
    [35] = { 
        id=35,
        name='medal_name_7',
        desc='medal_task_desc_35',
        condition_type='stage_lose_times',
        complate_times=500,
        group_id=7,
    },
    [36] = { 
        id=36,
        name='medal_name_8',
        desc='medal_task_desc_36',
        condition_type='use_gamebill_count',
        complate_times=3000,
        group_id=8,
    },
    [37] = { 
        id=37,
        name='medal_name_8',
        desc='medal_task_desc_37',
        condition_type='use_gamebill_count',
        complate_times=5000,
        group_id=8,
    },
    [38] = { 
        id=38,
        name='medal_name_8',
        desc='medal_task_desc_38',
        condition_type='use_gamebill_count',
        complate_times=15000,
        group_id=8,
    },
    [39] = { 
        id=39,
        name='medal_name_8',
        desc='medal_task_desc_39',
        condition_type='use_gamebill_count',
        complate_times=30000,
        group_id=8,
    },
    [40] = { 
        id=40,
        name='medal_name_8',
        desc='medal_task_desc_40',
        condition_type='use_gamebill_count',
        complate_times=50000,
        group_id=8,
    },
    [41] = { 
        id=41,
        name='medal_name_9',
        desc='medal_task_desc_41',
        condition_type='role_count',
        complate_times=4,
        group_id=9,
    },
    [42] = { 
        id=42,
        name='medal_name_9',
        desc='medal_task_desc_42',
        condition_type='role_count',
        complate_times=6,
        group_id=9,
    },
    [43] = { 
        id=43,
        name='medal_name_9',
        desc='medal_task_desc_43',
        condition_type='role_count',
        complate_times=8,
        group_id=9,
    },
    [44] = { 
        id=44,
        name='medal_name_9',
        desc='medal_task_desc_44',
        condition_type='role_count',
        complate_times=10,
        group_id=9,
    },
    [45] = { 
        id=45,
        name='medal_name_9',
        desc='medal_task_desc_45',
        condition_type='role_count',
        complate_times=12,
        group_id=9,
    },
    [46] = { 
        id=46,
        name='medal_name_10',
        desc='medal_task_desc_46',
        condition_type='successive_win_times',
        complate_times=5,
        group_id=10,
    },
    [47] = { 
        id=47,
        name='medal_name_10',
        desc='medal_task_desc_47',
        condition_type='successive_win_times',
        complate_times=10,
        group_id=10,
    },
    [48] = { 
        id=48,
        name='medal_name_10',
        desc='medal_task_desc_48',
        condition_type='successive_win_times',
        complate_times=20,
        group_id=10,
    },
    [49] = { 
        id=49,
        name='medal_name_10',
        desc='medal_task_desc_49',
        condition_type='successive_win_times',
        complate_times=35,
        group_id=10,
    },
    [50] = { 
        id=50,
        name='medal_name_10',
        desc='medal_task_desc_50',
        condition_type='successive_win_times',
        complate_times=50,
        group_id=10,
    },
}
return medal_task
