

assets.stages = assets.stages or {}

local stages = assets.stages

stages.config={
    [1] = { 
        id=1,
        name='stage_name_1',
        desc='stage_desc_1',
        action_point=5,
        file='asset_stage_1.lua',
    },
    [2] = { 
        id=2,
        name='stage_name_2',
        desc='stage_desc_2',
        action_point=5,
        file='asset_stage_2.lua',
    },
    [3] = { 
        id=3,
        name='stage_name_3',
        desc='stage_desc_3',
        action_point=5,
        file='asset_stage_3.lua',
    },
    [4] = { 
        id=4,
        name='stage_name_4',
        desc='stage_desc_4',
        action_point=5,
        file='asset_stage_4.lua',
    },
    [5] = { 
        id=5,
        name='stage_name_5',
        desc='stage_desc_5',
        action_point=5,
        file='asset_stage_5.lua',
        reward_box='item/7/3',
    },
    [6] = { 
        id=6,
        name='stage_name_6',
        desc='stage_desc_6',
        action_point=5,
        file='asset_stage_6.lua',
    },
    [7] = { 
        id=7,
        name='stage_name_7',
        desc='stage_desc_7',
        action_point=5,
        file='asset_stage_7.lua',
    },
    [8] = { 
        id=8,
        name='stage_name_8',
        desc='stage_desc_8',
        action_point=5,
        file='asset_stage_8.lua',
        reward_box='item/4/3',
    },
    [9] = { 
        id=9,
        name='stage_name_9',
        desc='stage_desc_9',
        action_point=5,
        file='asset_stage_9.lua',
    },
    [10] = { 
        id=10,
        name='stage_name_10',
        desc='stage_desc_10',
        action_point=5,
        file='asset_stage_10.lua',
    },
    [11] = { 
        id=11,
        name='stage_name_11',
        desc='stage_desc_11',
        action_point=5,
        file='asset_stage_11.lua',
    },
    [12] = { 
        id=12,
        name='stage_name_12',
        desc='stage_desc_12',
        action_point=5,
        file='asset_stage_12.lua',
        reward_box='gamebill/1000/item/1/2/item/3/2',
    },
    [13] = { 
        id=13,
        name='stage_name_13',
        desc='stage_desc_13',
        action_point=5,
        file='asset_stage_13.lua',
    },
    [14] = { 
        id=14,
        name='stage_name_14',
        desc='stage_desc_14',
        action_point=5,
        file='asset_stage_14.lua',
    },
    [15] = { 
        id=15,
        name='stage_name_15',
        desc='stage_desc_15',
        action_point=5,
        file='asset_stage_15.lua',
    },
    [16] = { 
        id=16,
        name='stage_name_16',
        desc='stage_desc_16',
        action_point=5,
        file='asset_stage_16.lua',
    },
    [17] = { 
        id=17,
        name='stage_name_17',
        desc='stage_desc_17',
        action_point=5,
        file='asset_stage_17.lua',
    },
    [18] = { 
        id=18,
        name='stage_name_18',
        desc='stage_desc_18',
        action_point=5,
        file='asset_stage_18.lua',
    },
    [19] = { 
        id=19,
        name='stage_name_19',
        desc='stage_desc_19',
        action_point=5,
        file='asset_stage_19.lua',
    },
    [20] = { 
        id=20,
        name='stage_name_20',
        desc='stage_desc_20',
        action_point=5,
        file='asset_stage_20.lua',
        reward_box='item/3/3',
    },
    [21] = { 
        id=21,
        name='stage_name_21',
        desc='stage_desc_21',
        action_point=5,
        file='asset_stage_21.lua',
    },
    [22] = { 
        id=22,
        name='stage_name_22',
        desc='stage_desc_22',
        action_point=5,
        file='asset_stage_22.lua',
    },
    [23] = { 
        id=23,
        name='stage_name_23',
        desc='stage_desc_23',
        action_point=5,
        file='asset_stage_23.lua',
    },
    [24] = { 
        id=24,
        name='stage_name_24',
        desc='stage_desc_24',
        action_point=5,
        file='asset_stage_24.lua',
    },
    [25] = { 
        id=25,
        name='stage_name_25',
        desc='stage_desc_25',
        action_point=5,
        file='asset_stage_25.lua',
    },
    [26] = { 
        id=26,
        name='stage_name_26',
        desc='stage_desc_26',
        action_point=5,
        file='asset_stage_26.lua',
        reward_box='item/5/3',
    },
    [27] = { 
        id=27,
        name='stage_name_27',
        desc='stage_desc_27',
        action_point=5,
        file='asset_stage_27.lua',
    },
    [28] = { 
        id=28,
        name='stage_name_28',
        desc='stage_desc_28',
        action_point=5,
        file='asset_stage_28.lua',
    },
    [29] = { 
        id=29,
        name='stage_name_29',
        desc='stage_desc_29',
        action_point=5,
        file='asset_stage_29.lua',
        reward_box='item/10/3',
    },
    [30] = { 
        id=30,
        name='stage_name_30',
        desc='stage_desc_30',
        action_point=5,
        file='asset_stage_30.lua',
    },
    [31] = { 
        id=31,
        name='stage_name_31',
        desc='stage_desc_31',
        action_point=5,
        file='asset_stage_31.lua',
        reward_box='item/3/2/item/4/2/item/7/3',
    },
    [32] = { 
        id=32,
        name='stage_name_32',
        desc='stage_desc_32',
        action_point=5,
        file='asset_stage_32.lua',
    },
    [33] = { 
        id=33,
        name='stage_name_33',
        desc='stage_desc_33',
        action_point=5,
        file='asset_stage_33.lua',
    },
    [34] = { 
        id=34,
        name='stage_name_34',
        desc='stage_desc_34',
        action_point=5,
        file='asset_stage_34.lua',
    },
    [35] = { 
        id=35,
        name='stage_name_35',
        desc='stage_desc_35',
        action_point=5,
        file='asset_stage_35.lua',
    },
    [36] = { 
        id=36,
        name='stage_name_36',
        desc='stage_desc_36',
        action_point=5,
        file='asset_stage_36.lua',
        reward_box='item/9/3',
    },
    [37] = { 
        id=37,
        name='stage_name_37',
        desc='stage_desc_37',
        action_point=5,
        file='asset_stage_37.lua',
    },
    [38] = { 
        id=38,
        name='stage_name_38',
        desc='stage_desc_38',
        action_point=5,
        file='asset_stage_38.lua',
    },
    [39] = { 
        id=39,
        name='stage_name_39',
        desc='stage_desc_39',
        action_point=5,
        file='asset_stage_39.lua',
    },
    [40] = { 
        id=40,
        name='stage_name_40',
        desc='stage_desc_40',
        action_point=5,
        file='asset_stage_40.lua',
    },
    [41] = { 
        id=41,
        name='stage_name_41',
        desc='stage_desc_41',
        action_point=5,
        file='asset_stage_41.lua',
    },
    [42] = { 
        id=42,
        name='stage_name_42',
        desc='stage_desc_42',
        action_point=5,
        file='asset_stage_42.lua',
    },
    [43] = { 
        id=43,
        name='stage_name_43',
        desc='stage_desc_43',
        action_point=5,
        file='asset_stage_43.lua',
    },
    [44] = { 
        id=44,
        name='stage_name_44',
        desc='stage_desc_44',
        action_point=5,
        file='asset_stage_44.lua',
    },
    [45] = { 
        id=45,
        name='stage_name_45',
        desc='stage_desc_45',
        action_point=5,
        file='asset_stage_45.lua',
    },
    [46] = { 
        id=46,
        name='stage_name_46',
        desc='stage_desc_46',
        action_point=5,
        file='asset_stage_46.lua',
    },
    [47] = { 
        id=47,
        name='stage_name_47',
        desc='stage_desc_47',
        action_point=5,
        file='asset_stage_47.lua',
    },
    [48] = { 
        id=48,
        name='stage_name_48',
        desc='stage_desc_48',
        action_point=5,
        file='asset_stage_48.lua',
    },
    [49] = { 
        id=49,
        name='stage_name_49',
        desc='stage_desc_49',
        action_point=5,
        file='asset_stage_49.lua',
    },
    [50] = { 
        id=50,
        name='stage_name_50',
        desc='stage_desc_50',
        action_point=5,
        file='asset_stage_50.lua',
    },
    [51] = { 
        id=51,
        name='stage_name_51',
        desc='stage_desc_51',
        action_point=5,
        file='asset_stage_51.lua',
        reward_box='item/3/2/item/4/2/item/7/3',
    },
    [52] = { 
        id=52,
        name='stage_name_52',
        desc='stage_desc_52',
        action_point=5,
        file='asset_stage_52.lua',
    },
    [53] = { 
        id=53,
        name='stage_name_53',
        desc='stage_desc_53',
        action_point=5,
        file='asset_stage_53.lua',
    },
    [54] = { 
        id=54,
        name='stage_name_54',
        desc='stage_desc_54',
        action_point=5,
        file='asset_stage_54.lua',
    },
    [55] = { 
        id=55,
        name='stage_name_55',
        desc='stage_desc_55',
        action_point=5,
        file='asset_stage_55.lua',
    },
    [56] = { 
        id=56,
        name='stage_name_56',
        desc='stage_desc_56',
        action_point=5,
        file='asset_stage_56.lua',
    },
    [57] = { 
        id=57,
        name='stage_name_57',
        desc='stage_desc_57',
        action_point=5,
        file='asset_stage_57.lua',
    },
    [58] = { 
        id=58,
        name='stage_name_58',
        desc='stage_desc_58',
        action_point=5,
        file='asset_stage_58.lua',
    },
    [59] = { 
        id=59,
        name='stage_name_59',
        desc='stage_desc_59',
        action_point=5,
        file='asset_stage_59.lua',
    },
    [60] = { 
        id=60,
        name='stage_name_60',
        desc='stage_desc_60',
        action_point=5,
        file='asset_stage_60.lua',
    },
    [61] = { 
        id=61,
        name='stage_name_61',
        desc='stage_desc_61',
        action_point=5,
        file='asset_stage_61.lua',
    },
    [62] = { 
        id=62,
        name='stage_name_62',
        desc='stage_desc_62',
        action_point=5,
        file='asset_stage_62.lua',
    },
    [63] = { 
        id=63,
        name='stage_name_63',
        desc='stage_desc_63',
        action_point=5,
        file='asset_stage_63.lua',
    },
    [64] = { 
        id=64,
        name='stage_name_64',
        desc='stage_desc_64',
        action_point=5,
        file='asset_stage_64.lua',
    },
    [65] = { 
        id=65,
        name='stage_name_65',
        desc='stage_desc_65',
        action_point=5,
        file='asset_stage_65.lua',
    },
    [66] = { 
        id=66,
        name='stage_name_66',
        desc='stage_desc_66',
        action_point=5,
        file='asset_stage_66.lua',
    },
    [67] = { 
        id=67,
        name='stage_name_67',
        desc='stage_desc_67',
        action_point=5,
        file='asset_stage_67.lua',
    },
    [68] = { 
        id=68,
        name='stage_name_68',
        desc='stage_desc_68',
        action_point=5,
        file='asset_stage_68.lua',
    },
    [69] = { 
        id=69,
        name='stage_name_69',
        desc='stage_desc_69',
        action_point=5,
        file='asset_stage_69.lua',
    },
    [70] = { 
        id=70,
        name='stage_name_70',
        desc='stage_desc_70',
        action_point=5,
        file='asset_stage_70.lua',
        reward_box='item/3/2/item/4/2/item/7/3',
    },
    [71] = { 
        id=71,
        name='stage_name_71',
        desc='stage_desc_71',
        action_point=5,
        file='asset_stage_71.lua',
    },
    [72] = { 
        id=72,
        name='stage_name_72',
        desc='stage_desc_72',
        action_point=5,
        file='asset_stage_72.lua',
    },
    [73] = { 
        id=73,
        name='stage_name_73',
        desc='stage_desc_73',
        action_point=5,
        file='asset_stage_73.lua',
    },
    [74] = { 
        id=74,
        name='stage_name_74',
        desc='stage_desc_74',
        action_point=5,
        file='asset_stage_74.lua',
    },
    [75] = { 
        id=75,
        name='stage_name_75',
        desc='stage_desc_75',
        action_point=5,
        file='asset_stage_75.lua',
    },
    [76] = { 
        id=76,
        name='stage_name_76',
        desc='stage_desc_76',
        action_point=5,
        file='asset_stage_76.lua',
    },
    [77] = { 
        id=77,
        name='stage_name_77',
        desc='stage_desc_77',
        action_point=5,
        file='asset_stage_77.lua',
    },
    [78] = { 
        id=78,
        name='stage_name_78',
        desc='stage_desc_78',
        action_point=5,
        file='asset_stage_78.lua',
    },
    [79] = { 
        id=79,
        name='stage_name_79',
        desc='stage_desc_79',
        action_point=5,
        file='asset_stage_79.lua',
    },
    [80] = { 
        id=80,
        name='stage_name_80',
        desc='stage_desc_80',
        action_point=5,
        file='asset_stage_80.lua',
    },
    [81] = { 
        id=81,
        name='stage_name_81',
        desc='stage_desc_81',
        action_point=5,
        file='asset_stage_81.lua',
    },
    [82] = { 
        id=82,
        name='stage_name_82',
        desc='stage_desc_82',
        action_point=5,
        file='asset_stage_82.lua',
    },
    [83] = { 
        id=83,
        name='stage_name_83',
        desc='stage_desc_83',
        action_point=5,
        file='asset_stage_83.lua',
    },
    [84] = { 
        id=84,
        name='stage_name_84',
        desc='stage_desc_84',
        action_point=5,
        file='asset_stage_84.lua',
    },
    [85] = { 
        id=85,
        name='stage_name_85',
        desc='stage_desc_85',
        action_point=5,
        file='asset_stage_85.lua',
        reward_box='item/3/2/item/4/2/item/7/3',
    },
    [86] = { 
        id=86,
        name='stage_name_86',
        desc='stage_desc_86',
        action_point=5,
        file='asset_stage_86.lua',
    },
    [87] = { 
        id=87,
        name='stage_name_87',
        desc='stage_desc_87',
        action_point=5,
        file='asset_stage_87.lua',
    },
    [88] = { 
        id=88,
        name='stage_name_88',
        desc='stage_desc_88',
        action_point=5,
        file='asset_stage_88.lua',
    },
    [89] = { 
        id=89,
        name='stage_name_89',
        desc='stage_desc_89',
        action_point=5,
        file='asset_stage_89.lua',
    },
    [90] = { 
        id=90,
        name='stage_name_90',
        desc='stage_desc_90',
        action_point=5,
        file='asset_stage_90.lua',
    },
    [91] = { 
        id=91,
        name='stage_name_91',
        desc='stage_desc_91',
        action_point=5,
        file='asset_stage_91.lua',
    },
    [92] = { 
        id=92,
        name='stage_name_92',
        desc='stage_desc_92',
        action_point=5,
        file='asset_stage_92.lua',
    },
    [93] = { 
        id=93,
        name='stage_name_93',
        desc='stage_desc_93',
        action_point=5,
        file='asset_stage_93.lua',
    },
    [94] = { 
        id=94,
        name='stage_name_94',
        desc='stage_desc_94',
        action_point=5,
        file='asset_stage_94.lua',
    },
    [95] = { 
        id=95,
        name='stage_name_95',
        desc='stage_desc_95',
        action_point=5,
        file='asset_stage_95.lua',
    },
    [96] = { 
        id=96,
        name='stage_name_96',
        desc='stage_desc_96',
        action_point=5,
        file='asset_stage_96.lua',
    },
    [97] = { 
        id=97,
        name='stage_name_97',
        desc='stage_desc_97',
        action_point=5,
        file='asset_stage_97.lua',
    },
    [98] = { 
        id=98,
        name='stage_name_98',
        desc='stage_desc_98',
        action_point=5,
        file='asset_stage_98.lua',
    },
    [99] = { 
        id=99,
        name='stage_name_99',
        desc='stage_desc_99',
        action_point=5,
        file='asset_stage_99.lua',
    },
    [100] = { 
        id=100,
        name='stage_name_100',
        desc='stage_desc_100',
        action_point=5,
        file='asset_stage_100.lua',
    },
    [101] = { 
        id=101,
        name='stage_name_101',
        desc='stage_desc_101',
        action_point=5,
        file='asset_stage_101.lua',
    },
    [102] = { 
        id=102,
        name='stage_name_102',
        desc='stage_desc_102',
        action_point=5,
        file='asset_stage_102.lua',
        reward_box='item/3/2/item/4/2/item/7/3',
    },
    [103] = { 
        id=103,
        name='stage_name_103',
        desc='stage_desc_103',
        action_point=5,
        file='asset_stage_103.lua',
    },
    [104] = { 
        id=104,
        name='stage_name_104',
        desc='stage_desc_104',
        action_point=5,
        file='asset_stage_104.lua',
    },
    [105] = { 
        id=105,
        name='stage_name_105',
        desc='stage_desc_105',
        action_point=5,
        file='asset_stage_105.lua',
    },
    [106] = { 
        id=106,
        name='stage_name_106',
        desc='stage_desc_106',
        action_point=5,
        file='asset_stage_106.lua',
    },
    [107] = { 
        id=107,
        name='stage_name_107',
        desc='stage_desc_107',
        action_point=5,
        file='asset_stage_107.lua',
    },
    [108] = { 
        id=108,
        name='stage_name_108',
        desc='stage_desc_108',
        action_point=5,
        file='asset_stage_108.lua',
    },
    [109] = { 
        id=109,
        name='stage_name_109',
        desc='stage_desc_109',
        action_point=5,
        file='asset_stage_109.lua',
    },
    [110] = { 
        id=110,
        name='stage_name_110',
        desc='stage_desc_110',
        action_point=5,
        file='asset_stage_110.lua',
    },
    [111] = { 
        id=111,
        name='stage_name_111',
        desc='stage_desc_111',
        action_point=5,
        file='asset_stage_111.lua',
    },
    [112] = { 
        id=112,
        name='stage_name_112',
        desc='stage_desc_112',
        action_point=5,
        file='asset_stage_112.lua',
    },
    [113] = { 
        id=113,
        name='stage_name_113',
        desc='stage_desc_113',
        action_point=5,
        file='asset_stage_113.lua',
    },
    [114] = { 
        id=114,
        name='stage_name_114',
        desc='stage_desc_114',
        action_point=5,
        file='asset_stage_114.lua',
    },
    [115] = { 
        id=115,
        name='stage_name_115',
        desc='stage_desc_115',
        action_point=5,
        file='asset_stage_115.lua',
    },
    [116] = { 
        id=116,
        name='stage_name_116',
        desc='stage_desc_116',
        action_point=5,
        file='asset_stage_116.lua',
    },
    [117] = { 
        id=117,
        name='stage_name_117',
        desc='stage_desc_117',
        action_point=5,
        file='asset_stage_117.lua',
    },
    [118] = { 
        id=118,
        name='stage_name_118',
        desc='stage_desc_118',
        action_point=5,
        file='asset_stage_118.lua',
    },
    [119] = { 
        id=119,
        name='stage_name_119',
        desc='stage_desc_119',
        action_point=5,
        file='asset_stage_119.lua',
        reward_box='item/3/2/item/4/2/item/7/3',
    },
    [120] = { 
        id=120,
        name='stage_name_120',
        desc='stage_desc_120',
        action_point=5,
        file='asset_stage_120.lua',
    },
}
return stages
