--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CCtrlAutoPop = {}
cc.exports.sCtrlAutoPop = game.CCtrlAutoPop
local CCtrlAutoPop = game.CCtrlAutoPop

-----------------------
-- Auto Pop

-- 登陆自动弹出
function CCtrlAutoPop:AutoPopEnterGame(close_callback)
    
    if assets.opened.is_yys then
        -- 签到, 每日一次签到坑点;
        if not sPlayer.player_modules.sign:CheckTodaySigned() then
            sCtrlMainMenu:OpenSignUI(function() 
                sGiftPackage:OpenBadGuySignGiftPackage(close_callback)
            end)
        else
            if close_callback then close_callback() end
        end
    else
        -- 签到, 每日一次首充, 每日一次进阶礼包;
        if sPlayer.player_modules.sign:CheckTodaySigned() then
            sCtrlMainMenu:OpenSignUI(function() 
                if player.db.info.today_enter_times == 1 then 
                    sGiftPackage:OpenFirstRecharge(function() 
                        sGiftPackage:OpenRewardRechargeGiftPackage(close_callback)
                    end) 
                 end
            end)
        elseif player.db.info.today_enter_times == 1 then 
            sGiftPackage:OpenFirstRecharge(function() 
                sGiftPackage:OpenRewardRechargeGiftPackage(close_callback)
            end) 
        else
            if close_callback then close_callback() end
        end
    end
end

-- 失败弹出;
function CCtrlAutoPop:AutoPopStageLose(current_stage_id, close_callback)

    if sCtrlRecharge:CanOpenBad() then
        sGiftPackage:OpenBadGuyStageLoseGiftPackage(function()
            -- sGiftPackage:OpenAdvanceGiftPackageUI(close_callback)
        end)
    elseif current_stage_id> 3 then
        sGiftPackage:OpenAdvanceGiftPackageUI(close_callback)
    else
        if close_callback then close_callback() end
    end
end

-- 回主界面弹出;
-- 开心打泡泡已经没有主界面了，这个功能砍了;
function CCtrlAutoPop:AutoPopBackMain()
    -- 第二次回主界面弹出礼包;
    self.back_main_times = self.back_main_times or 0
    self.back_main_times = self.back_main_times + 1
    if self.back_main_times > 1 then
        sGiftPackage:OpenBadGuyStageLoseGiftPackage()
    end
end

-- 退出弹出;
function CCtrlAutoPop:AutoPopQuit(close_callback)
    sGiftPackage:OpenBadGuyStageLoseGiftPackage(close_callback)
end

return CCtrlAutoPop
--endregion
