--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CCtrlGuide = {}
cc.exports.sCtrlGuide = game.CCtrlGuide
local CCtrlGuide = game.CCtrlGuide

function CCtrlGuide:Listen(condition_type, condition_value, ...)

    player.db.guide.is_passed = player.db.guide.is_passed or {}

    -- 当前是否存在活动中的引导
    if self.current_guide_data ~= nil then

        local guide_entry_step = self.current_guide_data.entry.step[self.current_guide_data.step_id]
        if guide_entry_step.condition_type == condition_type and 
        (not guide_entry_step.condition_value or (condition_value and condition_value >= guide_entry_step.condition_value)) then
            return guide_entry_step.guide( function() self:NextStep() end, ...)
        end
        return false
    end

    -- 遍历一遍引导
    for _, entry in pairs(game.CAssetGuide) do

        -- 判断引导是否PASS
        if not player.db.guide.is_passed[entry.id] == true then
            local guide_entry_step = entry.step[1]
            if guide_entry_step.condition_type == condition_type and 
            (not guide_entry_step.condition_value or (condition_value and condition_value >= guide_entry_step.condition_value)) then
                self.current_guide_data = { entry = entry, step_id = 1 }
                return guide_entry_step.guide( function() self:NextStep() end, ...)
            end
        end
    end

    return false
end

function CCtrlGuide:NextStep()

    self.current_guide_data.step_id = self.current_guide_data.step_id + 1
    if self.current_guide_data.step_id > #self.current_guide_data.entry.step then

        -- 保存起来
        player.db.guide.is_passed = player.db.guide.is_passed or {}
        player.db.guide.is_passed[self.current_guide_data.entry.id] = true

        -- 引导结束
        self.current_guide_data = nil
    end
end

return CCtrlGuide
--endregion
