--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CCtrlRank = {}
local CCtrlRank = game.CCtrlRank

-- 提交用户排行版信息;
local function CommitUserRankValue(rank_name, value, sub_value, rank_order)

    sPlayer.player_modules.rank:CommitUserRankValue(rank_name, value, sub_value, rank_order)
    if not player.db.info.name or player.db.info.name == "" or player.db.info.name == "nickname" then    
        -- 设置名字;
        sUI:Open(true, "app.views.ui.name.name_ui", function()end)
    end
end

function CCtrlRank:CommitInfiniteRank(value)

    CommitUserRankValue("infinite", value, 0, 1)
end

function CCtrlRank:CommitStageRank()

    local stage_info = sPlayer.player_modules.stage:GetTopStageInfo("normal")
    local all_star_count = sPlayer.player_modules.stage:GetAllStageStar()
    if not stage_info or not stage_info.top_stage_id or stage_info.top_stage_id == 0 then
        return
    end
    CommitUserRankValue("stage", stage_info.top_stage_id*100+stage_info.top_child_stage_id, all_star_count or 0, 1)
end

function CCtrlRank:CommitStageScoreRank(stage_id, value)
    CommitUserRankValue("stage_score_" .. stage_id, value, 0, 1)
end

function CCtrlRank:OpenInfiniteRankUI()
    if game.CAssetGame.all_open then
        sUI:OpenWithClearStack(true, "app.views.ui.rank.rank_ui")
    else 
        dxm.CMessageTipUI:Show(sStrings:GetString("system_is_not_open"))
    end
end


return CCtrlRank
-- endregion
