--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

-- 数值系统, 一般用于金币, 体力等;

game.CPlayerModuleNumbers = class("game.CPlayerModuleNumbers")

local CPlayerModuleNumbers = game.CPlayerModuleNumbers

-- 设置型配置;
local numbers_config = {}
numbers_config[enum.NumberType.kTypeGamebill] = { max = 999999999 }

function CPlayerModuleNumbers:ctor()

    self.max_numbers = {}
    self.chg_event = dxm.CEvent.new()
end

function CPlayerModuleNumbers:OnInit()

    for key, value in pairs(numbers_config) do
        self.max_numbers[key] = value.max
    end
end

-- 获取值;
function CPlayerModuleNumbers:Get(number_name)

    return player.db.numbers[number_name] or 0
end

-- 设置值;
function CPlayerModuleNumbers:Set(number_name, value)
    player.db.numbers[number_name] = value
end

-- 改变值;
function CPlayerModuleNumbers:Chg(number_name, number, force)

    self.max_numbers[number_name] = self.max_numbers[number_name] or 0
    local old_number = self:Get(number_name)
    local current_number = self:Get(number_name)
    local max_number = self.max_numbers[number_name]
    current_number = current_number + number
    if current_number < 0 then
        if force then
            current_number = 0
        else
            return false
        end
    end

    if number > 0 and not force and current_number > max_number then
        current_number = max_number
    end

    if self:Get(number_name) == current_number then
        return false
    end
    self:Set(number_name, current_number)
    sMessageDispatcher:Dispatch("player_number_changed", number_name, current_number-old_number)
    self.chg_event:Fire(number_name, number, current_number-old_number)
    return true
end

-- 是否达到上限;
function CPlayerModuleNumbers:IsFull(number_name)

    if self.max_numbers[number_name] and self.max_numbers[number_name] ~= 0 then
        return self:Get(number_name) >= self.max_numbers[number_name]
    end
    return false
end

return CPlayerModuleNumbers

--endregion
