--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CPlayerModuleInfo = class("game.CPlayerModuleInfo")

local CPlayerModuleInfo = game.CPlayerModuleInfo

function CPlayerModuleInfo:ctor()

    player.db.info = player.db.info or {}
    player.db.info.name = player.db.info.name or assets.names:Get()
    player.db.info.head_icon = player.db.info.head_icon or 1
    player.db.info.today_enter_times = player.db.info.today_enter_times or 0
    player.db.info.create_role_finish = player.db.info.create_role_finish or false
    player.db.info.user_info = player.db.info.user_info or {}
    player.db.info.user_data = player.db.info.user_data or {}
end

function CPlayerModuleInfo:OnInit()

    player.db.info.today_enter_times = player.db.info.today_enter_times + 1

    self:RequestUserInfo()

    player.player_modules.scheduler:AddDaily(function() 
        player.db.info.today_enter_times = 0
        player.db.info.today_first_enter_time = 0
    end)
end

function CPlayerModuleInfo:RequestUserInfo(callback)
    
    sHttpUser:RequestUserInfo(function(code, data)   
        if code == 0 then 
            if not self:IsSetName() then
                player.db.info.name = sHttpUser.user_name
            end

            player.db.info.user_id = sHttpUser.user_id
            player.db.info.user_info = sHttpUser.user_info
            player.db.info.user_data = sHttpUser.user_data
        end     
    end)
    if callback then callback(code) end
end

function CPlayerModuleInfo:IsSetName()

    return player.db.info.name and player.db.info.name ~= "" and player.db.info.name ~= "nickname"
end

function CPlayerModuleInfo:SetName(name)

    sHttpUser:RequestSetUserName(name, function(code, data)   
        if code == 0 then 
             player.db.info.user_id = sHttpUser.user_id
             player.db.info.user_info = sHttpUser.user_info
             player.db.info.user_data = sHttpUser.user_data
        end     
        if callback then callback(code) end
    end)
    player.db.info.name = name

    sMessageDispatcher:Dispatch("player_name_changed")
end

function CPlayerModuleInfo:GetName()

    return player.db.info.name
end

function CPlayerModuleInfo:SetHeadIcon(icon)

    player.db.info.head_icon = icon
    sHttpUser:RequestCommitUserInfo("head_icon", icon, function() end)
end

function CPlayerModuleInfo:GetHeadIcon(icon)

    return player.db.info.head_icon or 1
end

-- 0 女, 1 男
function CPlayerModuleInfo:SetSex(sex)

    player.db.info.create_role_finish = true
    player.db.info.sex = sex
    sHttpUser:RequestCommitUserInfo("sex", sex, function() end)
end

function CPlayerModuleInfo:GetSex(sex)

    return player.db.info.sex or 1
end

function CPlayerModuleInfo:IsCreateRoleFinish()

    return player.db.info.create_role_finish
end

return CPlayerModuleInfo

--endregion
