--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CPlayerModulePoint = class("game.CPlayerModulePoint")
local CPlayerModulePoint = game.CPlayerModulePoint

function CPlayerModulePoint:ctor()

    player.db.point.point = player.db.point.point or 0

    self.add_point = 0

    self.chg_event = dxm.CEvent.new()
end

function CPlayerModulePoint:SetPoint(point)
    player.db.point.point = point
end

function CPlayerModulePoint:GetPoint()
    return player.db.point.point
end

function CPlayerModulePoint:ChangePoint(point)

    if point == 0 then
        return
    end

    local old_point = self:GetPoint()
    if old_point+point<0 then
        return
    end

    -- 飘字动画使用数据
    if point > 0 then
        self.add_point = self.add_point + point
    end
    
    -- 设置点券
    local current_point = old_point + point   
    self:SetPoint(current_point)

    sMessageDispatcher:Dispatch("point_changed", current_point, point)
    self.chg_event:Fire(current_point, point)
end

function CPlayerModulePoint:SubPoint(point,callback)

    if self:GetPoint() >= point then
        self:ChangePoint(-point)
        if callback then callback(true) end
        return true
    end
    if callback then callback(false) end
    return false
end

return CPlayerModulePoint

--endregion
