--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CPlayerRandomItem = class("game.CPlayerRandomItem")

local CPlayerRandomItem = game.CPlayerRandomItem
dxm.SINGLETON(CPlayerRandomItem)

function CPlayerRandomItem:ctor()

    -- 初始化当前的随机BUFF
    player.db.random_item.random_item_id = player.db.random_item.random_item_id or 0

    self.random_item_changed_callback = dxm.CEvent.new()
end

function CPlayerRandomItem:Random()

    if #game.CAssetGame.random_item_id <= 0 then
        return
    end

    -- 随机一个BUFF
    local random_item_index = math.random(1, #game.CAssetGame.random_item_id)
    local random_item_id = game.CAssetGame.random_item_id[random_item_index]
    if random_item_id == nil then
        return
    end

    -- 确认该BUFF
    player.db.random_item.random_item_id = random_item_id

    -- 触发事件
    if self.random_item_changed_callback ~= nil then
        self.random_item_changed_callback:Fire()
    end
end

function CPlayerRandomItem:GetID()
    return player.db.random_item.random_item_id
end

function CPlayerRandomItem:Get()
    return assets.items:GetEntry(self:GetID())
end

function CPlayerRandomItem:GetMessage()

    local item_entry = self:Get()
    if item_entry == nil then
        return nil
    end
    return sStrings:GetString(item_entry.desc)
end

function CPlayerRandomItem:Consume()

    -- 清空随机BUFF
    player.db.random_item.random_item_id = nil
end

return game.CPlayerRandomItem

--endregion
