--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CPlayerModuleSign = class("game.CPlayerModuleSign")

local CPlayerModuleSign = game.CPlayerModuleSign

function CPlayerModuleSign:ctor()

    player.db.sign.is_today_signed = player.db.sign.is_today_signed or false
    player.db.sign.sign_day = player.db.sign.sign_day or 1
end

function CPlayerModuleSign:OnInit()

    sPlayer.player_modules.scheduler:AddDaily(function(times)

        if player.db.sign.is_today_signed then
            player.db.sign.is_today_signed = false            
            player.db.sign.sign_day = player.db.sign.sign_day + 1
            if player.db.sign.sign_day > self:GetDays() then
                player.db.sign.is_today_signed = false
                player.db.sign.sign_day = 1
            end
        else
            player.db.sign.is_today_signed = false
            player.db.sign.sign_day = 1
        end

        sMessageDispatcher:Dispatch("sign_daily_clear")
    end)
end

function CPlayerModuleSign:CheckSigned(day) 

    day = day or player.db.sign.sign_day
    if day < player.db.sign.sign_day then
        return true
    end

   if day > player.db.sign.sign_day then
        return false
    end

    return player.db.sign.is_today_signed
end

function CPlayerModuleSign:CheckTodaySigned() 

    return self:CheckSigned()
end

function CPlayerModuleSign:GetCurrentSignDay()

    return player.db.sign.sign_day
end

function CPlayerModuleSign:GetDays()

    return #assets.sign_reward.config
end

function CPlayerModuleSign:Sign()

    player.db.sign.is_today_signed = true

    sPlayer.player_modules.reward:TakeRewardString(assets.sign_reward.config[sPlayer.db.sign.sign_day].reward)    

    sThirdPlatformUtils:LogEvent("sign", "{\"desc\":\"\"}")
end

return CPlayerModuleSign

--endregion
