--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CPlayerModuleStageUnlock = class("game.CPlayerModuleStageUnlock")
local CPlayerModuleStageUnlock = game.CPlayerModuleStageUnlock

function CPlayerModuleStageUnlock:ctor()
    
    player.db.stage_unlock.unlock_map = player.db.stage_unlock.unlock_map or {}
end

function CPlayerModuleStageUnlock:OnInit()
  
end

-- 获取解锁状态;
function CPlayerModuleStageUnlock:GetStageLevelUnlockState(stage_level_id)

    if player.db.stage_unlock.unlock_map[stage_level_id] then 
        return false
    end
    return player.db.stage_unlock.unlock_map[stage_level_id]
end

-- 获取解锁星数;
function CPlayerModuleStageUnlock:GetStageLevelUnlockStar(stage_level_id)

    local entry = assets.stage_level:GetEntry(stage_level_id)
    if not entry then return 0 end
    return entry.star_unlock_condition
end

-- 获取解锁需要点赞数;
function CPlayerModuleStageUnlock:GetStageLevelUnlockRate(stage_level_id)

    return 5
end

-- 获取解锁钻石;
function CPlayerModuleStageUnlock:GetStageLevelUnlockPoint(stage_level_id)

    local entry = assets.stage_level:GetEntry(stage_level_id)
    if not entry then return 0 end
    return entry.star_unlock_point
end

-- 获取解锁金钱, 运营商直扣方式做准备, 策划暂时还没有这个需求;
function CPlayerModuleStageUnlock:GetStageLevelUnlockMoney(stage_level_id)

    local entry = assets.stage_level:GetEntry(stage_level_id)
    if not entry then return 0 end
    return entry.star_unlock_money
end

-- 解锁星数是否满足;
function CPlayerModuleStageUnlock:StageLevelUnlockStarIsEnough(stage_level_id)
    local stage_level_star = self:GetStageLevelStarTotal(stage_level_id)
    local stage_level_unlock_star = self:GetStageLevelUnlockStar(stage_level_id)
    return stage_level_star <= stage_level_unlock_star
end

-- 解锁操作;
function CPlayerModuleStageUnlock:UnlockStageLevel(stage_level_id, unlock_type)

    unlock_type = unlock_type or "stage_star"
    if unlock_type == "stage_star" then
        if not self:StageLevelUnlockStarIsEnough() then
            return "not_enough_star"
        end
    end

    player.db.stage_unlock.unlock_map[stage_level_id] = true
    return nil
end

return CPlayerModuleStageUnlock
--endregion
