--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

-- 数值系统, 一般用于金币, 体力等;

game.CPlayerModuleStat = class("game.CPlayerModuleStat")

local CPlayerModuleStat = game.CPlayerModuleStat

-- 设置型配置;
function CPlayerModuleStat:ctor()

    self.chg_event = dxm.CEvent.new()
end

function CPlayerModuleStat:OnInit()

end

-- 获取值;
function CPlayerModuleStat:Get(stat_name)

    return player.db.stat[stat_name] or 0
end

-- 设置值;
function CPlayerModuleStat:Set(stat_name, value)
    player.db.stat[stat_name] = value
end

-- 改变值;
function CPlayerModuleStat:Chg(stat_name, number, force)

    print("-----------------", stat_name, number)
    local old_number = self:Get(stat_name)
    local current_number = self:Get(stat_name)
    current_number = current_number + number
    if current_number < 0 then
        if force then
            current_number = 0
        else
            return false
        end
    end

    if self:Get(stat_name) == current_number then
        return false
    end
    self:Set(stat_name, current_number)
    sMessageDispatcher:Dispatch("stat_changed", stat_name, current_number-old_number)
    self.chg_event:Fire(stat_name, number, current_number-old_number)
    return true
end

return CPlayerModuleStat

--endregion
