-- region *.lua
-- Date
-- 此文件由[BabeLua]插件自动生成

game.CGameGroundIce = class("game.CGameGroundIce", game.CGameGround)
local CGameGroundIce = game.CGameGroundIce

function CGameGroundIce:ctor()
    CGameGroundIce.super.ctor(self)
    self.remove_flag = false
end

function CGameGroundIce:Init(map, config,index,tile_x,tile_y)
    if CGameGroundIce.super.Init(self, map, config,index,tile_x,tile_y) == false then
        return false
    end

    return true
end

function CGameGroundIce:Create(...)
    local ground = CGameGroundIce.new()

    if ground and ground:Init(...) then
        return ground
    end

    return
end

function CGameGroundIce:Update(dt)
    return self.remove_flag
end

function CGameGroundIce:OnEnter()
    CGameGroundIce.super.OnEnter(self)
end

function CGameGroundIce:OnExit()
    CGameGroundIce.super.OnExit(self)
end

function CGameGroundIce:OnCollide(object)
    if self.run_drop_action == false then
        self.run_drop_action = true

        local actions = { }
        actions[#actions + 1] = cc.DelayTime:create(0.3)
        actions[#actions + 1] = cc.CallFunc:create( function()
            self:Broken()
        end )
        self:runAction(cc.Sequence:create(actions))
    end
end

function CGameGroundIce:Broken()

    --TODO:播放动画
    self:setVisible(false)

    --移除地表
    self.map.tmx.ground[self.tile_x][self.tile_y] = nil
    
    --移除
    self.remove_flag = true   
end

return CGameGroundIce

-- endregion
