-- region *.lua
-- Date
-- 此文件由[BabeLua]插件自动生成

game.CObjectComponentGravity = class("game.CObjectComponentGravity")

local CObjectComponentGravity = game.CObjectComponentGravity

function CObjectComponentGravity:ctor()
    self.game_object = nil
end

function CObjectComponentGravity:Init(game_object)
    if not game_object then
        return false
    end
    self.game_object = game_object
    return true
end

function CObjectComponentGravity:Create(...)
    local component = CObjectComponentGravity.new()
    if component and component:Init(...) then
        return component
    end
    return nil
end

function CObjectComponentGravity:Update(dt)
    if self.game_object.ignore_gravity then
        return
    end

    local move_component = self.game_object.component_list.move
    if not move_component then
        return
    end

    -- 重力影响当前
    if move_component.current_y_status == game.CObjectComponentMove.YStatus.air then
        move_component.y_speed = move_component.y_speed - self.game_object.map.current_section_group_config.g * dt
    end
end

return CObjectComponentGravity
-- endregion
