-- region *.lua
-- Date
-- 此文件由[BabeLua]插件自动生成

game.CGameObjectFalling = class("game.CGameObjectFalling", game.CGameObject)
local CGameObjectFalling = game.CGameObjectFalling

function CGameObjectFalling:ctor()
    CGameObjectFalling.super.ctor(self)

    self.can_attack = true
    self.attack_group = 1

    self.ignore_gravity = true
end

function CGameObjectFalling:Init(map, object_id)
    if CGameObjectFalling.super.Init(self, map, object_id) == false then
        return false
    end

    -- 监听空中状态变更
    self.component_list.move.y_status_changed_event:Connect(function(y_status) self:YStatusChangedCallback(y_status) end)
    return true
end

function CGameObjectFalling:Create(...)
    local falling = CGameObjectFalling.new()
    if falling and falling:Init(...) then
        return falling
    end
    return nil
end

function CGameObjectFalling:Update(dt)
    return CGameObjectFalling.super.Update(self, dt)
end

function CGameObjectFalling:OnEnter()
    CGameObjectFalling.super.OnEnter(self)
end

function CGameObjectFalling:YStatusChangedCallback(y_status)

    -- 着地处理
    if y_status == game.CObjectComponentMove.YStatus.ground then
        self.component_list.move.x_speed = 0
    end
end

return CGameObjectFalling

-- endregion
