--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CGameObjectLeftRightMove = class("game.CGameObjectLeftRightMove",game.CGameObject)
local CGameObjectLeftRightMove = game.CGameObjectLeftRightMove

function CGameObjectLeftRightMove:ctor()
    CGameObjectLeftRightMove.super.ctor(self)
    
    self.can_attack = true
    self.attack_group = 1
    self.ignore_gravity = true

    self.can_be_attacked = true
end

function CGameObjectLeftRightMove:Init(map,config)
    if CGameObjectLeftRightMove.super.Init(self,map,config) == false then
        return false
    end

    local hp_component = self.component_list.hp
    if hp_component then
        hp_component:MoreHP(self.config.max_hp or 1)
    end

    return true
end

function CGameObjectLeftRightMove:Create(...)
    local object = CGameObjectLeftRightMove.new()
    if object and object:Init(...) then
        return object
    end
end

function CGameObjectLeftRightMove:OnEnter()
    CGameObjectLeftRightMove.super.OnEnter(self)

    --左右移动
    local actions = {}

    local time = self.config.move_distance / self.config.move_speed
    actions[#actions + 1] = cc.MoveBy:create(time,cc.p(-self.config.move_distance,0))
    actions[#actions + 1] = cc.CallFunc:create(function() self:setScaleX(-1) end)
    actions[#actions + 1] = cc.MoveBy:create(time,cc.p(self.config.move_distance,0))
    actions[#actions + 1] = cc.CallFunc:create(function() self:setScaleX(1) end)
    
    local action = cc.RepeatForever:create(cc.Sequence:create(actions))
    self:runAction(action)
end

function CGameObjectLeftRightMove:OnExit()
    CGameObjectLeftRightMove.super.OnExit()
end


return CGameObjectLeftRightMove

--endregion
