--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CGameScore = class("game.CGameScore", dxm.CUIWidget)

local CGameScore = game.CGameScore

function CGameScore:ctor()
    CGameScore.super.ctor(self)

    self.number = 0
    self.color = nil
end

function CGameScore:Init(number, color)
    self.number = number
    self.color = color
    return self:InitWithFile("csd/Game/Number")
end

function CGameScore:Create(...)

    local ui = CGameScore.new()
    if ui == nil or ui:Init(...) == false then
        return nil
    end
    return ui
end

function CGameScore:onEnter()

    local str = tostring(self.number)
    if self.number > 0 then
        str = "+"..str
    end
    self:SetLabelText(str, "TextNumber")

    if self.color then
        self.old_color = cc.c3b(self:getColor())
        self:setColor(self.color)
    end

    self:setOpacity(50)
    self:runAction(cc.Sequence:create(cc.Spawn:create(cc.MoveBy:create(0.5, cc.p(0, 100)), cc.FadeIn:create(0.2)), 
    cc.CallFunc:create(function() sActionUtils:Delay(0.01, nil, self) self:removeFromParent() end)))
end

function CGameScore:onExit()
    if self.old_color then
        self:setColor(self.old_color)
    end
end

return CGameScore

--endregion
