--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CGameSectionList = class("game.CGameSectionList")
local CGameSectionList = game.CGameSectionList

function CGameSectionList:ctor()
    self.map = nil

    self.current_section_config = nil
    self.current_section_data = nil

    self.section_changed_callback = nil
end

function CGameSectionList:Init(map)
    self.map = map

    self:NextSection(false)
    return true
end

function CGameSectionList:GetNextSectionConfig(is_loop)
    -- virtual
end

function CGameSectionList:NextSection(is_loop)

    -- 设置新的区域配置
    self.current_section_config = self:GetNextSectionConfig(is_loop)
    if self.current_section_config then
        self.current_section_data = {}

        -- 进入新的区块
        if self.current_section_config.onEnter then
            self.current_section_config.onEnter(self.map, self.current_section_data)
        end
    end

    -- 触发事件
    if self.section_changed_callback then
        self.section_changed_callback()
    end
end

function CGameSectionList:GetMeter()

    -- virtual
    return nil
end

return CGameSectionList

--endregion
