--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CGameUpdater = class("game.CGameUpdater")
local CGameUpdater = game.CGameUpdater

function CGameUpdater:ctor()
end

function CGameUpdater:Init()
    self.scheduler = cc.Scheduler:new()
    if self.scheduler then
        self.scheduler:retain()
    end

    self.action_manager = cc.ActionManager:new()
    if self.action_manager then
        self.action_manager:retain()
    end

    print(self.scheduler, self.action_manager)
    return true
end

function CGameUpdater:Dispose()

    if self.scheduler then
        self.scheduler:release()
        self.scheduler = nil
    end

    if self.action_manager then
        self.action_manager:release()
        self.action_manager = nil
    end
end

function CGameUpdater:Create(...)

    local updater = CGameUpdater:new()
    if updater == nil or updater:Init(...) == false then
        return nil
    end
    return updater
end

function CGameUpdater:Update(dt)

    if self.scheduler then
        self.scheduler:update(dt)
    end

    if self.action_manager then
        self.action_manager:update(dt)
    end
end

function CGameUpdater:InstallOnNode(node)

    if self.scheduler then
        node:setScheduler(self.scheduler)
    end

    if self.action_manager then
        node:setActionManager(self.action_manager)
    end
end

return CGameUpdater

--endregion
