--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CGameGroundBridge = class("game.CGameGroundBridge",game.CGameGround)
local CGameGroundBridge = game.CGameGroundBridge

function CGameGroundBridge:ctor()
    CGameGroundBridge.super.ctor(self)
end

function CGameGroundBridge:Init(map,config,index,tile_x,tile_y)
    if CGameGroundBridge.super.Init(self,map,config,index,tile_x,tile_y) == false then
        return false
    end

    return true
end

function CGameGroundBridge:Create(...)
    local ground = CGameGroundBridge.new()
    if ground and ground:Init(...) then
        return ground
    end
end

function CGameGroundBridge:Update(dt)
    if self.is_drop then
        local x = self:getPositionX()
        local y = self:getPositionY() - 500 * dt
        self:setPosition(cc.p(x,y))
        if y < 0 then
            return true
        end
    end
end

function CGameGroundBridge:OnEnter()
    CGameGroundBridge.super.OnEnter(self)
end

function CGameGroundBridge:OnExit()
    CGameGroundBridge.super.OnExit(self)
end

function CGameGroundBridge:OnCollide(object)
     if self.config.drop and self.run_drop_action == false then
        self.run_drop_action = true

        local actions = {}
        actions[#actions + 1] = cc.DelayTime:create(0.2)
        actions[#actions + 1] = cc.CallFunc:create(function()
            self.map.tmx.ground[self.tile_x][self.tile_y] = nil
            if not self.map.tmx.drop_ground[self.tile_x] then
                self.map.tmx.drop_ground[self.tile_x] = {}
            end
            self.map.tmx.drop_ground[self.tile_x][self.tile_y] = self
            self.is_drop = true
        end)

        self:runAction(cc.Sequence:create(actions))
    end
end

return CGameGroundBridge

--endregion
