-- region *.lua
-- Date
-- 此文件由[BabeLua]插件自动生成


game.CActionHelper = class("CActionHelper")

local CActionHelper = game.CActionHelper

function CActionHelper.ReadyGo(game_layer, callback)
    
    if game_layer==nil then return end

    -- local label = cc.LabelAtlas:_create("3", game.CSpriteHelper.ready_go_number, 256, 156, string.byte('1'))
    local label = cc.LabelAtlas:_create("1", game.CSpriteHelper.ready_go_number, 337, 160, string.byte('1'))
    if label then

        label:setAnchorPoint(cc.p(0.5, 0.5))
        local label_pos = game_layer:convertToNodeSpace(cc.p(dxm.VisibleRect:center().x, dxm.VisibleRect:center().y))
        label:setPosition(label_pos)
        game_layer:addChild(label, 100)

        label:setOpacity(0)
        local scale = 3
        label:setScale(scale)
        dxm.audio:playEffect(assets.const.ready_go)

        local actions = {}
        --[[
        actions[#actions + 1] = cc.Spawn:create(cc.ScaleTo:create(0.4, 0.5), cc.FadeIn:create(0.4)),
            cc.CallFunc:create( function()
                label:setString("2")
                label:setOpacity(0)
                label:setScale(scale)
            end )
        actions[#actions + 1] = cc.Spawn:create(cc.ScaleTo:create(0.4, 0.5), cc.FadeIn:create(0.4))
        actions[#actions + 1] = cc.CallFunc:create( function()
                label:setString("1")
                label:setOpacity(0)
                label:setScale(scale)
            end )

        actions[#actions + 1] = cc.Spawn:create(cc.ScaleTo:create(0.4, 0.5), cc.FadeIn:create(0.4))
        actions[#actions + 1] = cc.CallFunc:create( function()
                label:setString("4")
                label:setOpacity(0)
                label:setScale(scale)
            end )
        ]]--

        actions[#actions + 1] = cc.Spawn:create(cc.ScaleTo:create(0.4, 0.5), cc.FadeIn:create(0.4))
        -- actions[#actions + 1] = cc.DelayTime:create(0.2)
        actions[#actions + 1] = cc.CallFunc:create( function()
                label:setString("2")
                label:setOpacity(0)
                label:setScale(scale)
            end )
        actions[#actions + 1] = cc.Spawn:create(cc.ScaleTo:create(0.4, 0.5), cc.FadeIn:create(0.4))
        actions[#actions + 1] = cc.DelayTime:create(0.1)
        actions[#actions + 1] = cc.CallFunc:create( function()
                label:removeFromParent()
                if callback then callback() end
            end )
        local action = cc.Sequence:create(actions)
        label:runAction(action)
    end

end

-- 泡泡出现动画: 弹出泡泡
function CActionHelper.PopBubble(fbgame, bubble, callback)

    if bubble==nil then return end 

    --[[
    bubble:setOpacity(0)
    local spine_x, spine_y = bubble:getPosition()
    local animation = sSpineUtils:PlayEffect("spine/battle/bubble_appear", "animation", fbgame.layer, spine_x, spine_y, function()
        if callback then callback() end
    end)
    animation:setEventListener( function(trace, event_name)
        if event_name == "trigger" then
            bubble:setOpacity(255)
        end
    end )
    ]]--
    --appear
    if true then
        bubble:setScale(0)
        bubble:setOpacity(0)
        local actions = {}
        actions[#actions+1] = cc.DelayTime:create(math.random(2, 10)/20)
        actions[#actions+1] = cc.CallFunc:create( function()
            if callback then callback() end
            bubble:setScale(0.5)
            bubble:setOpacity(0)
        end )

        actions[#actions+1] = cc.Spawn:create(cc.FadeIn:create(0.2), cc.ScaleTo:create(0.2, 1.2))
        actions[#actions+1] = cc.ScaleTo:create(0.1, 1)
        actions[#actions+1] = cc.CallFunc:create( function()
        end)

        local action = cc.Sequence:create(actions)
        bubble:stopAllActions()
        bubble:runAction(action)  
        return 
    end

    local spine_name = "spine/battle/"..bubble:name()
    local animation_name = "appear"
    if bubble.color > game.BubbleType.color_6 or bubble.item_id ~= 0 or bubble.ext_type~=0 then
        bubble:setOpacity(0)
        local actions = {}
        actions[#actions+1] = cc.DelayTime:create(math.random(1, 10)/20)
        actions[#actions+1] = cc.CallFunc:create( function()
            if callback then callback() end
            bubble:setScale(0.5)
            bubble:setOpacity(0)
        end )

        actions[#actions+1] = cc.Spawn:create(cc.FadeIn:create(0.2), cc.ScaleTo:create(0.2, 1.2))
        actions[#actions+1] = cc.ScaleTo:create(0.1, 1)
        actions[#actions+1] = cc.CallFunc:create( function()
        end)

        local action = cc.Sequence:create(actions)
        bubble:stopAllActions()
        bubble:runAction(action)      
    else    
        local actions = {}
        local spine_x, spine_y = bubble:getPosition()        
        bubble:setOpacity(0)
        actions[#actions+1] = cc.DelayTime:create(math.random(1, 10)/20)
        actions[#actions+1] = cc.CallFunc:create( function()
            if callback then callback() end
            sSpineUtils:PlayEffect(spine_name, animation_name, fbgame.layer, spine_x, spine_y , function()    
                
            end)
        end )        
        -- actions[#actions+1] = cc.DelayTime:create(0.3)
        actions[#actions+1] = cc.CallFunc:create( function()
            bubble:setOpacity(255)
        end)
        local action = cc.Sequence:create(actions)
        bubble:stopAllActions()
        bubble:runAction(action)   
    end
end

local function GetDeltaTime(times)

    if times == 0 or times == 1 then
        return 0
    end
    return times*0.1 + math.random(0, 5)/60
end


-- 胜利泡泡爆炸, 爆炸结束才执行回调;
function CActionHelper.WinnerBombBubble(layer, bubble, times, callback, score)
    
    if bubble==nil then return end

    local delay_time = GetDeltaTime(times)
    local x, y = bubble:getPosition()

    local spine_name = "spine/battle/"..bubble:name()
    local animation_name = "bomb"
    if bubble.color > game.BubbleType.color_6 then
        spine_name = "spine/battle/bomb"
        animation_name = "normal_bomb"      
    end
     
    local color = bubble:GetColor(true)
    local action = cc.Sequence:create(
        cc.DelayTime:create(delay_time),
        cc.CallFunc:create( function()
            bubble:setVisible(false)
            local spine = sSpineUtils:PlayEffect(spine_name, animation_name, layer, x, y , function()    
                if callback then callback() end
            end)
            if spine then
                spine:setEventListener(function(trace, event_name)
                    if event_name == "trigger" then  
                        if score then CActionHelper:ShowBubbleNummber(layer, bubble, 0, score) end
                        -- if callback then callback() end
                    end
                end)
                if score and score>0 then
                    -- local label = dxm.CUIWidget:Create("csd/IconStrip/IconStripNumber")  
                    local label = dxm.CUIWidget:Create()  
                    if label then  
                        spine:setAttachmentWithNode("zi", label)
                        label:SetLabelText(score .. "", "TextNumber")
                        local widget = label:GetWidget("TextNumber")
                        if widget then label:GetWidget("TextNumber"):setColor(color) end
                    end
                else
                    local label = dxm.CUIWidget:Create()  
                    if label then  
                        spine:setAttachmentWithNode("zi", label)
                    end
                end
            end
        end ))

    bubble:stopAllActions()
    bubble:runAction(action)
end

-- 泡泡爆炸
function CActionHelper.BombBubble(layer, bubble, times, callback, score)
    
    if bubble==nil then return end

    local delay_time = GetDeltaTime(times)
    local x, y = bubble:getPosition()

    local spine_name = "spine/battle/"..bubble:name()
    local animation_name = "bomb"
    if bubble.color > game.BubbleType.color_6 then
        spine_name = "spine/battle/bomb"
        animation_name = "normal_bomb"      
    end
     
     local color = bubble:GetColor(true)
    local action = cc.Sequence:create(
        cc.DelayTime:create(delay_time),
        cc.CallFunc:create( function()
            bubble:setVisible(false)
            local spine = sSpineUtils:PlayEffect(spine_name, animation_name, layer, x, y , function()    
                -- if callback then callback() end
            end)
            if spine then
                spine:setEventListener(function(trace, event_name)
                    if event_name == "trigger" then  
                        if score then CActionHelper:ShowBubbleNummber(layer, bubble, 0, score) end
                        if callback then callback() end
                    end
                end)
                if score and score>0 then
                    -- local label = dxm.CUIWidget:Create("csd/IconStrip/IconStripNumber")  
                    local label = dxm.CUIWidget:Create()  
                    if label then  
                        spine:setAttachmentWithNode("zi", label)
                        label:SetLabelText(score .. "", "TextNumber")
                        local widget = label:GetWidget("TextNumber")
                        if widget then label:GetWidget("TextNumber"):setColor(color) end
                    end
                else
                    local label = dxm.CUIWidget:Create()  
                    if label then  
                        spine:setAttachmentWithNode("zi", label)
                    end
                end
            end
        end ))

    bubble:stopAllActions()
    bubble:runAction(action)
end

-- 闪电爆炸
function CActionHelper.ThunderBombBubble(layer, bubble, times, callback, score)
    
    if bubble==nil then return end

    local delay_time = GetDeltaTime(times)
    local x, y = bubble:getPosition()

    local spine_name = "spine/battle/"..bubble:name()
    local animation_name = "bomb"
    if bubble.color > game.BubbleType.color_6 then
        spine_name = "spine/battlebomb/bomb"
        animation_name = "thunder_bomb"      
    end

    local color = bubble:GetColor(true)
    local action = cc.Sequence:create(
        cc.DelayTime:create(delay_time),
        cc.CallFunc:create( function()
            -- game.audio:playEffect(assets.const.bubble_bomb_sound)
            bubble:setVisible(false)
            sSpineUtils:PlayEffect("spine/battle/bubble_thunder", "ignite", layer, x, y , function()         
                local spine = sSpineUtils:PlayEffect(spine_name, animation_name, layer, x, y , function()    
                    -- if callback then callback() end
                end)
                if spine then
                    spine:setEventListener(function(trace, event_name)
                        if event_name == "trigger" then  
                            if score then CActionHelper:ShowBubbleNummber(layer, bubble, 0, score) end
                            if callback then callback() end
                        end
                    end)
                    if score and score>0 then
                        -- local label = dxm.CUIWidget:Create("csd/IconStrip/IconStripNumber")  
                        local label = dxm.CUIWidget:Create()  
                        if label then  
                            spine:setAttachmentWithNode("zi", label)
                            label:SetLabelText(score .. "", "TextNumber")
                            local widget = label:GetWidget("TextNumber")
                            if widget then label:GetWidget("TextNumber"):setColor(color) end
                        end
                    else
                        local label = dxm.CUIWidget:Create()  
                        if label then  
                            spine:setAttachmentWithNode("zi", label)
                        end
                    end
                end
            end)
            
        end ))

    bubble:stopAllActions()
    bubble:runAction(action)
end

function CActionHelper.ThunderBombBubbleWithoutIgnite(layer, bubble, times, callback, score)

    if bubble == nil then return end

    local delay_time = GetDeltaTime(times)
    local x, y = bubble:getPosition()

    local spine_name = "spine/battle/"..bubble:name()
    local animation_name = "bomb"
    if bubble.color > game.BubbleType.color_6 then
        spine_name = "spine/battle/bomb"
        animation_name = "thunder_bomb"      
    end

    local color = bubble:GetColor(true)
    local action = cc.Sequence:create(
    cc.DelayTime:create(delay_time),
    cc.CallFunc:create( function()
        -- game.audio:playEffect(assets.const.bubble_bomb_sound)
        bubble:setVisible(false)
        local spine = sSpineUtils:PlayEffect(spine_name, animation_name, layer, x, y , function()    
            -- if callback then callback() end
        end)
        if spine then
            spine:setEventListener(function(trace, event_name)
                if event_name == "trigger" then  
                    if score then CActionHelper:ShowBubbleNummber(layer, bubble, 0, score) end
                    if callback then callback() end
                end
            end)
            if score and score>0 then
                -- local label = dxm.CUIWidget:Create("csd/IconStrip/IconStripNumber")
                local label = dxm.CUIWidget:Create()    
                if label then  
                    spine:setAttachmentWithNode("zi", label)
                    label:SetLabelText(score .. "", "TextNumber")
                    local widget = label:GetWidget("TextNumber")
                    if widget then label:GetWidget("TextNumber"):setColor(color) end
                end
            else
                local label = dxm.CUIWidget:Create()  
                if label then  
                    spine:setAttachmentWithNode("zi", label)
                end
            end
        end
    end ))

    bubble:stopAllActions()
    bubble:runAction(action)
end

-- 炸弹爆炸
function CActionHelper.FireBombBubble(layer, bubble, times, callback, score)
    
    if bubble==nil then return end

    local delay_time = GetDeltaTime(times)
    local x, y = bubble:getPosition()

    local spine_name = "spine/battle/"..bubble:name()
    local animation_name = "bomb"
    if bubble.color > game.BubbleType.color_6 then
        spine_name = "spine/battle/bomb"
        animation_name = "fire_bomb"      
    end

    local color = bubble:GetColor(true)
    local action = cc.Sequence:create(
        cc.DelayTime:create(delay_time),
        cc.CallFunc:create( function()            
            -- game.audio:playEffect(assets.const.bubble_bomb_sound)
            bubble:setVisible(false)
            local spine = sSpineUtils:PlayEffect(spine_name, animation_name, layer, x, y , function()    
                -- if callback then callback() end
            end)
            if spine then
                spine:setEventListener(function(trace, event_name)
                    if event_name == "trigger" then  
                        if score then CActionHelper:ShowBubbleNummber(layer, bubble, 0, score) end
                        if callback then callback() end
                    end
                end)
                if score and score>0 then
                    -- local label = dxm.CUIWidget:Create("csd/IconStrip/IconStripNumber")  
                    local label = dxm.CUIWidget:Create()  
                    if label then  
                        spine:setAttachmentWithNode("zi", label)
                        label:SetLabelText(score .. "", "TextNumber")
                        local widget = label:GetWidget("TextNumber")
                        if widget then label:GetWidget("TextNumber"):setColor(color) end
                    end
                else
                    local label = dxm.CUIWidget:Create()  
                    if label then  
                        spine:setAttachmentWithNode("zi", label)
                    end
                end
            end
        end ))

    bubble:stopAllActions()
    bubble:runAction(action)
end
-- 泡泡飘字
function CActionHelper:ShowBubbleNummber(game_layer, bubble, times, number)

    if bubble==nil or game_layer==nil then return end 
    if not number or number == 0 then return end

    local delay_time = GetDeltaTime(times)

    local label = dxm.CUIWidget:Create("csd/IconStrip/IconStripNumber")    
    -- local label = cc.LabelAtlas:_create(number .. "", game.CSpriteHelper.score_number, 26, 40, string.byte('0'))
    label:setScale(0)
    label:setOpacity(255)
    game_layer:addChild(label, 3)
    label:SetLabelText(number .. "", "TextNumber")
    local widget = label:GetWidget("TextNumber")
    if widget then
        widget:setOpacity(255)
        widget:setColor(bubble:GetColor(true))
        widget:runAction(
            cc.Sequence:create(
                cc.DelayTime:create(1.4),
                cc.FadeOut:create(1)
                )
            )  
    end

    label:runAction(
        cc.Sequence:create(
            --cc.DelayTime:create(0.4),
            cc.CallFunc:create( function()
                label:setScale(0.5)
            end ),
            cc.ScaleTo:create(0.3, 1.6),
            cc.ScaleTo:create(0.2, 0.8),
            cc.DelayTime:create(0.2),
            cc.Spawn:create(cc.MoveBy:create(1, cc.p(0, 100)), cc.ScaleTo:create(1, 0.2)),
            cc.CallFunc:create( function()
                label:removeFromParent()
            end )
        )
    )    
    local x, y = bubble:getPosition()
    label:setPosition(cc.p(x+math.random(-10,10), y+math.random(-10,10)))
end

-- 泡泡掉落
function CActionHelper.FallBubble(fbgame, bubble, remove_times, callback, score)

    if true then
        fbgame.front_layer:FallPhysic(bubble, callback, score)
        return
    end

    local delay_time = GetDeltaTime(remove_times)

    local center = dxm.VisibleRect:center()
    local target_pos = bubble:getParent():convertToNodeSpace(cc.p(center.x, center.y-200))
    local position = cc.p(bubble:getPosition())
    local fly_height = math.random(100,250)
    local x_random_begin = position.x - 100
    local x_random_end = position.x + 100
    if x_random_begin < 50 then
        x_random_begin = 50
    elseif x_random_end > 590 then
        x_random_end = 590
    end
    local fly_x = math.random(x_random_begin, x_random_end)
    fly_x = fly_x - position.x

    local move_action = cc.Sequence:create(
        cc.EaseOut:create(cc.MoveTo:create(0.3, cc.p(position.x + fly_x/2, position.y + fly_height)), 2),
        cc.EaseIn:create(cc.MoveTo:create(0.5, cc.p(position.x + fly_x, target_pos.y + math.random(-40,40))), 2))
    local action = cc.Sequence:create(
        cc.DelayTime:create(math.random(1,20)/100),
        cc.Spawn:create(move_action),
        cc.CallFunc:create( function()
            if callback then callback() end
        end ))
    bubble:setLocalZOrder(10)
    bubble:stopAllActions()
    bubble:runAction(action)
end

CActionHelper.game_ui = nil
function CActionHelper.KeyFly(fbgame, bubble, item_id, callback)

    if not CActionHelper.game_ui then
        CActionHelper.game_ui:RefreshCollect() 
        if callback then callback() end
        return 
    end
    
    local pos = fbgame.config:GetPassItem(item_id).pos
    local key = CActionHelper.game_ui:GetWidget("ImageLine"..pos, "PanelFlyRoot")

    local position = bubble:getParent():convertToWorldSpace(cc.p(bubble:getPosition()))
    position = key:convertToNodeSpace(position)
    local target_position = key:getAnchorPointInPoints()

    local base_ui = dxm.CBaseUI:Create()
    local sprite = cc.Sprite:create(assets.collect_items:GetIcon(item_id))
    if not sprite then 
        if callback then callback() end
        return 
    end
    base_ui.widget:addChild(sprite)
    CActionHelper.game_ui:AddChild(key, base_ui )    
    sprite:setPosition(position)

    local bezier = {
        position,
        cc.p(position.x+math.random(300, 400),position.y - math.random(100, 200)),
        cc.p(target_position.x+math.random(-20, 20), target_position.y+math.random(-20, 20))
    }
    local bezier_action = cc.BezierTo:create(1.8, bezier)
    local scale_action = cc.Sequence:create(cc.ScaleTo:create(0.5, 2.0), cc.ScaleTo:create(1.3, 0.8))
    local action = cc.Sequence:create(
        cc.Spawn:create(bezier_action, scale_action), 
        cc.CallFunc:create(function()        
            CActionHelper.game_ui:RefreshCollect()        
            CActionHelper:Rocked(CActionHelper.game_ui:GetWidget("ImageLine"..pos, "ImageDropBottom"))
        end),
        cc.FadeOut:create(0.3),
        cc.CallFunc:create( function()
            sprite:removeFromParent()        
            if callback then callback() end
        end ))
    
    sprite:runAction(action)
end

function CActionHelper.BubbleFly(fbgame, bubble, color, callback)
    CActionHelper.game_ui:RefreshCollect() 

    local pos = fbgame.config:GetPassBubble(color).pos
    local key = CActionHelper.game_ui:GetWidget("ImageLine"..pos, "PanelAtlasLabel2", "AtlasLabelNeed")
    if key then sActionUtils:NumberScaleAppear(key) end
    if callback then callback() end
end

--数字文本变化
function CActionHelper:NumberChange(label, number)
   local scale_action1 = cc.ScaleTo:create(0.1,1.8)
   local scale_action2 = cc.ScaleTo:create(0.1,1)
    local action = cc.Sequence:create(
        scale_action1,
        cc.CallFunc:create(function()
            label:setString(tostring(number))
        end),
        scale_action2)
    label:stopAllActions()
    label:runAction(action)
end

function CActionHelper:ActionPointHeartAdd(move_pos,callback)
   require("app.views.ui.animation.heart_animation_ui"):Show(move_pos,callback)
end

--关卡抖动提示
function CActionHelper:StageShakeTips(node)
    local actions = {}
    actions[#actions + 1] = cc.Spawn:create(cc.MoveBy:create(0.21,cc.p(0,35)),cc.ScaleTo:create(0.21, 0.9, 1.1))
    actions[#actions + 1] = cc.Spawn:create(cc.MoveBy:create(0.1,cc.p(0,-35)),cc.ScaleTo:create(0.1, 1, 1.05))
    actions[#actions + 1] = cc.Spawn:create(cc.ScaleTo:create(0.06, 1.1, 0.9))
    actions[#actions + 1] = cc.Spawn:create(cc.ScaleTo:create(0.06, 0.95, 1.1))
    actions[#actions + 1] = cc.Spawn:create(cc.ScaleTo:create(0.06, 1.05, 0.95))
    actions[#actions + 1] = cc.Spawn:create(cc.ScaleTo:create(0.06, 1, 1))

    local shake_action = cc.Sequence:create(actions)

    local function RandomDelayAction()
        local actions = {}
        actions[#actions + 1] = cc.DelayTime:create(math.random(1,3))
        actions[#actions + 1] = shake_action
        actions[#actions + 1] = cc.CallFunc:create( function()
            RandomDelayAction()
        end )
        local action = cc.Sequence:create(actions);
        node:runAction(action)
    end

    RandomDelayAction()
end

function CActionHelper:PopText(node,callback)
    if not node then return end
    node:stopAllActions()
    node:setScale(0.05)

    local actions = {}
    actions[#actions + 1] = cc.Spawn:create(cc.ScaleTo:create(0.21, 1, 1))
    actions[#actions + 1] = cc.Spawn:create(cc.ScaleTo:create(0.21, 0.9, 1.1))
    actions[#actions + 1] = cc.Spawn:create(cc.ScaleTo:create(0.1, 1, 1.05))
    actions[#actions + 1] = cc.Spawn:create(cc.ScaleTo:create(0.06, 1.1, 0.9))
    actions[#actions + 1] = cc.Spawn:create(cc.ScaleTo:create(0.06, 0.95, 1.1))
    actions[#actions + 1] = cc.Spawn:create(cc.ScaleTo:create(0.06, 1.05, 0.95))
    actions[#actions + 1] = cc.Spawn:create(cc.ScaleTo:create(0.06, 1, 1))
    actions[#actions + 1] = cc.Spawn:create(cc.FadeOut:create(0.2))

    if callback then
        actions[#actions + 1] = cc.CallFunc:create(function() callback() end)
    end

    local action = cc.Sequence:create(actions)
    node:runAction(action)

end

function CActionHelper:PopAndMoveText(node,callback)
    if not node then return end
    node:stopAllActions()
    node:setScale(0.05)

    local actions = {}
    actions[#actions + 1] = cc.Spawn:create(cc.ScaleTo:create(0.21, 1, 1))
    actions[#actions + 1] = cc.Spawn:create(cc.ScaleTo:create(0.21, 0.9, 1.1))
    actions[#actions + 1] = cc.Spawn:create(cc.ScaleTo:create(0.1, 1, 1.05))
    actions[#actions + 1] = cc.Spawn:create(cc.ScaleTo:create(0.06, 1.1, 0.9))
    actions[#actions + 1] = cc.Spawn:create(cc.ScaleTo:create(0.06, 0.95, 1.1))
    actions[#actions + 1] = cc.Spawn:create(cc.ScaleTo:create(0.06, 1.05, 0.95))
    actions[#actions + 1] = cc.Spawn:create(cc.ScaleTo:create(0.06, 1, 1))
    actions[#actions + 1] = cc.Spawn:create(cc.FadeOut:create(0.5),cc.MoveBy:create(0.5, cc.p(0,200)))

    if callback then
        actions[#actions + 1] = cc.CallFunc:create(function() callback() end)
    end

    local action = cc.Sequence:create(actions)
    node:runAction(action)

end

function CActionHelper:NumberScrollChange(label,number)
    if not label then return end

    local current_num = tonumber(label:getString())
    if current_num >= number then return end

    local action = cc.Sequence:create(
        cc.CallFunc:create(function()
            label:setString(tostring(current_num + 1))
        end),
        cc.DelayTime:create(0.01),
        cc.CallFunc:create(function()
            self:NumberScrollChange(label,number)
        end)
    )

    label:runAction(action)
end

function CActionHelper:LoadingTo(loading_bar,number)
    if not loading_bar then return end

    local current_num = tonumber(loading_bar:getPercent())
    if current_num >= number then return end
    local action = cc.Sequence:create(
        cc.CallFunc:create(function()
            loading_bar:setPercent(current_num + 1)
        end),
        cc.DelayTime:create(0.01),
        cc.CallFunc:create(function()
            self:LoadingTo(loading_bar,number)
        end)
    )

    loading_bar:runAction(action)
end

function CActionHelper:Rocked(node,callback)
    if not node then return end
    
    node:stopAllActions()

    local actions = {}
    actions[#actions + 1] = cc.Spawn:create(cc.RotateTo:create(0.07,-15))
    actions[#actions + 1] = cc.Spawn:create(cc.RotateTo:create(0.14,15))
    actions[#actions + 1] = cc.Spawn:create(cc.RotateTo:create(0.1,-10))
    actions[#actions + 1] = cc.Spawn:create(cc.RotateTo:create(0.11,8))
    actions[#actions + 1] = cc.Spawn:create(cc.RotateTo:create(0.08,-4))
    actions[#actions + 1] = cc.Spawn:create(cc.RotateTo:create(0.07,3))
    actions[#actions + 1] = cc.Spawn:create(cc.RotateTo:create(0.06,-1))
    actions[#actions + 1] = cc.Spawn:create(cc.RotateTo:create(0.06,0))
    actions[#actions + 1] = cc.CallFunc:create(function() if callback then callback() end end)
    local action = cc.Sequence:create(actions)

    node:runAction(action)

end

function CActionHelper:RockedLoop(node)
    if not node then return end

    node:stopAllActions()
    node:setRotation(0)

    local function RandomDelayAction()
        local actions = {}
        actions[#actions + 1] = cc.DelayTime:create(math.random(1,3))
        actions[#actions + 1] = cc.CallFunc:create(function()
            CActionHelper:Rocked(node,function() RandomDelayAction() end)
        end)
        node:runAction(cc.Sequence:create(actions))
    end
    
    RandomDelayAction()
end

function CActionHelper:Shake(node)
    if not node then return end
    
    node:stopAllActions()

    local position = cc.p( node:getPosition() )

    local actions = {}
    actions[#actions + 1] = cc.MoveTo:create(0.05, cc.p(position.x +  6, position.y +  6))
    actions[#actions + 1] = cc.MoveTo:create(0.05, cc.p(position.x + -12, position.y + -12))
    actions[#actions + 1] = cc.MoveTo:create(0.05, cc.p(position.x +  12, position.y +  12))
    actions[#actions + 1] = cc.MoveTo:create(0.05, cc.p(position.x + -12, position.y + -12))
    actions[#actions + 1] = cc.MoveTo:create(0.05, cc.p(position.x +  12, position.y +  12))
    actions[#actions + 1] = cc.MoveTo:create(0.05, cc.p(position.x + -12, position.y + -12))
    actions[#actions + 1] = cc.MoveTo:create(0.05, cc.p(position.x +  12, position.y +  12))
    actions[#actions + 1] = cc.MoveTo:create(0.05, cc.p(position.x + -12, position.y + -12))
    actions[#actions + 1] = cc.MoveTo:create(0.05, cc.p(position.x, position.y))

    local action = cc.Sequence:create(actions)

    node:runAction(action)
end

function CActionHelper:LightFly(parent, from, to)

    if not parent or  not from or not to then return end

    local light_ui = dxm.CNodeUI:Create(cc.Sprite:create("images/utils/light.png"))
    if light_ui then
        local from_pos = from:getParent():convertToWorldSpace(cc.p(from:getPosition()))
        from_pos = parent.widget:convertToWorldSpace(from_pos)
        local to_pos = to:getParent():convertToWorldSpace(cc.p(to:getPosition()))
        to_pos = parent.widget:convertToWorldSpace(to_pos)
        parent:AddChild(light_ui, 1000)
        light_ui:SetPosition(from_pos)
        light_ui.widget:runAction(cc.Sequence:create(cc.MoveTo:create(0.4, to_pos), cc.CallFunc:create(function() 
                light_ui:RemoveFromParent()
            end)))
    end
end

return CActionHelper
-- endregion
