-- region *.lua
-- Date
-- 此文件由[BabeLua]插件自动生成


game.CMainScene = class("game.CMainScene", dxm.CBaseScene)

local CMainScene = game.CMainScene

function CMainScene:ctor()
    CMainScene.super.ctor(self)
    print("CMainScene ctor")
end

function CMainScene:Init()
    
     -- _layer_ui 是静态成员变量
    if not CMainScene._layer_ui then
        CMainScene._layer_ui = dxm.CLayerUI:Create()
        CMainScene._layer_ui:SetDefaultStackUI(require("app.views.ui.stage.stage_mode_ui"):Create()) 
    end
    return CMainScene.super.Init(self, CMainScene._layer_ui)
end

function CMainScene:Create()
    local scene = CMainScene.new()
    if scene == nil or scene:Init() == false then
        return nil
    end
    return scene
end

function CMainScene:onEnter()

    CMainScene.super.onEnter(self)

    -- 播放音乐
    dxm.audio:playMusic(assets.sound.config.music.main, true)
end

function CMainScene:onExit()

    CMainScene.super.onExit(self)
end
return CMainScene

-- endregion
