-- region *.lua
-- Date
-- 此文件由[BabeLua]插件自动生成

game.CSmoothNumber = class("game.CSmoothNumber")
local CSmoothNumber = game.CSmoothNumber

function CSmoothNumber:ctor()
    self.current_number = 0
    self.target_number = 0
    self.smooth_speed = 0
end

function CSmoothNumber:Init(smooth_speed)
    if smooth_speed == 0 then
        return false
    end
    self.smooth_speed = smooth_speed
    return true
end

function CSmoothNumber:Create(...)

    local ui = CSmoothNumber.new()
    if ui == nil or ui:Init(...) == false then
        return nil
    end
    return ui
end

function CSmoothNumber:SetNumber(number, immediately)

    immediately = immediately or false
    if immediately then
        self.current_number = number
    end
    self.target_number = number
end

function CSmoothNumber:Update(dt)

    if self.target_number > self.current_number then
        self.current_number = self.current_number + dt*self.smooth_speed
        if self.current_number > self.target_number then
            self.current_number = self.target_number
        end
    elseif self.target_number < self.current_number then
        self.current_number = self.current_number - dt*self.smooth_speed
        if self.current_number < self.target_number then
            self.current_number = self.target_number
        end
    end
end

return CSmoothNumber

--endregion