--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CCartoonUI = class("game.CCartoonUI", dxm.CStackUI)

local CCartoonUI = game.CCartoonUI

function CCartoonUI:ctor()
    CCartoonUI.super.ctor(self)
end

function CCartoonUI:Init(callback)
    if CCartoonUI.super.Init(self) == false then
        return false
    end
    self.animation = nil
    self.callback = callback
    return true
end

function CCartoonUI:Create(...)
    local ui = CCartoonUI.new()
    if ui and ui:Init(...) then
        return ui
    end
    return nil
end

function CCartoonUI:onEnter()

    self.animation = spine.CSpineHelper:GetInstancePtr():CreateNodeSkeletonAnimation("spine/cartoon/skeleton.json", 
    "spine/cartoon/skeleton.atlas", false)
    if self.animation then

        self.widget:addChild(self.animation)
        self.animation:setPosition(dxm.VisibleRect:center())
                
        self.animation:setAnimation(0, "animation", false)
        self.animation:setCompleteListener(function() 
            sActionUtils:Delay(0.01, nil, self.animation)
            self:Close()

            if self.callback then
                self.callback()
            end
        end)
    else
        self:Close()

        if self.callback then
            self.callback()
        end
    end
end

function CCartoonUI:onExit()

    if self.animation ~= nil then
        self.animation:removeFromParent()
        self.animation = nil
    end
end

return CCartoonUI

--endregion
