--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CFriendAddAccountUI = class("game.CFriendAddAccountUI", dxm.CBaseUI)

local CFriendAddAccountUI = game.CFriendAddAccountUI

function CFriendAddAccountUI:ctor()
    CFriendAddAccountUI.super.ctor(self)
end

function CFriendAddAccountUI:Init(widget)
    return self:InitWithWidget(widget)
end

function CFriendAddAccountUI:Create(...)
    local ui = CFriendAddAccountUI.new()
    if ui and ui:Init(...) then
        return ui
    end
    return nil
end

function CFriendAddAccountUI:onEnter()

    -- 查询按钮
    self:AddReleaseEvent(function()
        dxm.audio:playSound(assets.sound.config.sound.ui_button_release)

        local target_user_id = tonumber(self:GetWidget("TextIDName"):getString())-assets.const.min_user_id
        sHttpUser:SearchPlayerByID(target_user_id, function(code, data)

            if code == 0 and data.result then
                sUI:Open("app.views.ui.friend.friend_info_ui", data.result)
            else
                sUI:Create("dxm.ui.prefab.message_box_tips_ui", sStrings:GetString("user_id_is_not_exist"))
            end
        end)
    end,"ButtonLookup")

    -- 复制我的ID
    self:AddReleaseEvent(function()
        dxm.audio:playSound(assets.sound.config.sound.ui_button_release)

        if sHttpUser.user_id ~= nil then
            sDeviceUtils:SetClipboard(tostring(tonumber(sHttpUser.user_id)+assets.const.min_user_id))
        end
    end,"ButtonCopy")

    -- 发送邀请
    self:AddReleaseEvent(function()
        dxm.audio:playSound(assets.sound.config.sound.ui_button_release)
        -- TODO: 分享一个自定义的网页链接
    end,"ButtonInvitation")
    self:SetWidgetEnableAndVisible(false, "ButtonInvitation")

    self:AddReleaseEvent(function(sender)
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release)   
        self:Close()
    end,
    "ButtonReturn") 

    -- 显示我的ID
    local my_user_id = ""
    if sHttpUser.user_id ~= nil then
        my_user_id = tostring(tonumber(sHttpUser.user_id)+assets.const.min_user_id)
    end
    self:SetLabelText(my_user_id, "TextMyIDName_0")
end

function CFriendAddAccountUI:onExit()

end

return CFriendAddAccountUI

--endregion
