--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CGameAdsUI = class("game.CGameAdsUI",dxm.CDialogUI)

local CGameAdsUI = game.CGameAdsUI

function CGameAdsUI:ctor()
    CGameAdsUI.super.ctor(self)
end

function CGameAdsUI:Init(ads_id)
    self.ads_id = ads_id
    self:InitWithFile("csd/Main/MainAdvertising")
    return true
end

function CGameAdsUI:Create(ads_id)
    local ui = CGameAdsUI.new()
    if ui and ui:Init(ads_id) then
        return ui
    end

    return nil
end

function CGameAdsUI:onEnter()
    self:SetLabelText(sStrings:GetString("game_tip"),"TextInformation")
    
    self:AddReleaseEvent(function()
        dxm.audio:playSound(assets.sound.config.sound.ui_button_release)
        self:Close()
    end,"ButtonClose")  

    self:AddReleaseEvent(function()
        dxm.audio:playSound(assets.sound.config.sound.ui_button_release)
        sGameRecommender:DownloadGame(self.ads_id)
    end,"PaneAdvertisingTouch")

    local image_file = sGameRecommender:GetImageFile(self.ads_id)
    local ui = dxm.CNodeUI:Create( cc.Sprite:create(image_file) )
    if ui then self:AddChild("ImageAdvertising", ui) end
end


function CGameAdsUI:onExit()

end

return CGameAdsUI

--endregion
