--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CGameSettingUpUI = class("game.CGameSettingUpUI",dxm.CDialogUI)

local CGameSettingUpUI = game.CGameSettingUpUI

function CGameSettingUpUI:ctor()
    CGameSettingUpUI.super.ctor(self)
end

function CGameSettingUpUI:Init()
    self:InitWithFile("csd/Main/MainSetUp")
    return true
end

function CGameSettingUpUI:Create()
    local ui = CGameSettingUpUI.new()
    if ui and ui:Init() then
        return ui
    end

    return nil
end

function CGameSettingUpUI:onEnter()
    
    self:AddReleaseEvent(function()
        dxm.audio:playSound(assets.sound.config.sound.ui_button_release)
        self:Close()
    end,"ButtonClose")

    self:SetWidgetVisible(not player.player_modules.setting:IsEffectOpend(),"ButtonSoundClose")
    self:SetWidgetVisible(not player.player_modules.setting:IsMusicOpend(),"ButtonVoiceClose")
    self:SetWidgetVisible(player.player_modules.setting:IsEffectOpend(),"ButtonSound")
    self:SetWidgetVisible(player.player_modules.setting:IsMusicOpend(),"ButtonVoice")

    self:AddReleaseEvent(function()
        player.player_modules.setting:SetEffectOpend(false)
        dxm.audio:playSound(assets.sound.config.sound.ui_button_release)
        self:SetWidgetVisible(true,"ButtonSoundClose")
        self:SetWidgetVisible(false,"ButtonSound")
    end,"ButtonSound")

    self:AddReleaseEvent(function()
        player.player_modules.setting:SetMusicOpend(false)
        dxm.audio:playSound(assets.sound.config.sound.ui_button_release)
        self:SetWidgetVisible(true,"ButtonVoiceClose")
        self:SetWidgetVisible(false,"ButtonVoice")
    end,"ButtonVoice")

    self:AddReleaseEvent(function()
        player.player_modules.setting:SetEffectOpend(true)
        dxm.audio:playSound(assets.sound.config.sound.ui_button_release)
        self:SetWidgetVisible(false,"ButtonSoundClose")
        self:SetWidgetVisible(true,"ButtonSound")
    end,"ButtonSoundClose")

    self:AddReleaseEvent(function()
        player.player_modules.setting:SetMusicOpend(true)
        dxm.audio:playSound(assets.sound.config.sound.ui_button_release)
        self:SetWidgetVisible(false,"ButtonVoiceClose")
        self:SetWidgetVisible(true,"ButtonVoice")
    end,"ButtonVoiceClose")

    self:AddReleaseEvent(function()
        dxm.audio:playSound(assets.sound.config.sound.ui_button_release)
        dxm.UIHelper:Open("app.views.ui.main.game_tip_ui")
        self:Close()
    end,"ButtonTip")
end


function CGameSettingUpUI:onExit()

end

return CGameSettingUpUI

--endregion
