--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CGameTipUI = class("game.CGameTipUI",dxm.CDialogUI)

local CGameTipUI = game.CGameTipUI

function CGameTipUI:ctor()
    CGameTipUI.super.ctor(self)
end

function CGameTipUI:Init()

    self:InitWithFile("csd/Main/MainUiInformationPop")
    return true
end

function CGameTipUI:Create()
    local ui = CGameTipUI.new()
    if ui and ui:Init() then
        return ui
    end

    return nil
end

function CGameTipUI:onEnter()

    if assets.version.branch == "yys" then
        self:SetLabelText(sStrings:GetString("game_tip_yys"),"TextInformation")    
    elseif assets.version.branch == "yijie" then
        self:SetLabelText(sStrings:GetString("game_tip_yijie"),"TextInformation")
    elseif assets.version.branch == "telecom" then
        self:SetLabelText(sStrings:GetString("game_tip_telecom"),"TextInformation")
    elseif assets.version.branch == "unicom" then
        self:SetLabelText(sStrings:GetString("game_tip_unicom"),"TextInformation")
    else
        self:SetLabelText(sStrings:GetString("game_tip"),"TextInformation")
    end
    
    self:AddReleaseEvent(function()
        dxm.audio:playSound(assets.sound.config.sound.ui_button_release)
        self:Close()
    end,"ButtonDetermine")
end


function CGameTipUI:onExit()

end

return CGameTipUI

--endregion
