--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CFirstRechargeUI = class("game.CFirstRechargeUI",dxm.CDialogUI)

local CFirstRechargeUI = game.CFirstRechargeUI

function CFirstRechargeUI:ctor()
    CFirstRechargeUI.super.ctor(self)
end

function CFirstRechargeUI:Init( close_callback )
    if true then return false end -- 暂时关闭
    self.close_callback = close_callback
    self:InitWithFile("csd/Additional/AdditionalFirstRecharge")
    return true
end

function CFirstRechargeUI:Create(...)
    local ui = CFirstRechargeUI.new()
    if ui and ui:Init(...) then
        return ui
    end
    return nil
end

function CFirstRechargeUI:onEnter()
    self:AddReleaseEvent(function()
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release)  
        game.CCtrlMainMenu:OpenShopUI()
        self:Close()
    end,"ButtonRecharge")

    self:AddReleaseEvent(function()
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release)  
        local close_callback = self.close_callback
        player.player_modules.recharge:FetchFirstRechargeReward()
        dxm.CMessageTipUI:Show(sStrings:GetString("fetch_reward_successful"), 35)
        self:Close()
        if close_callback then close_callback() end
    end,"ButtonReceive")

    self:SetWidgetVisible(player.player_modules.recharge:IsFirstRecharged(), "ButtonReceive")
    self:SetWidgetVisible(not player.player_modules.recharge:IsFirstRecharged(), "ButtonRecharge")

    self:AddReleaseEvent(function()
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release)  
        local close_callback = self.close_callback
        self:Close()
        if close_callback then close_callback() end
    end,"ButtonClose")
end

function CFirstRechargeUI:onExit()

end

return CFirstRechargeUI
--endregion
