--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CShareUI = class("game.CShareUI",dxm.CDialogUI)

local CShareUI = game.CShareUI

function CShareUI:ctor()
    CShareUI.super.ctor(self)
end

function CShareUI:Init(stage_id,share)
    self.stage_id = stage_id
    self.share = share
    return self:InitWithFile("csd/Battle/BattleShare")
end

function CShareUI:Create(...)
    local ui = CShareUI.new()
    if ui and ui:Init(...) then
        return ui
    end

    return nil
end

function CShareUI:onEnter()
    local message = dxm.CStringCombiner.new()
    message:Init(sStrings:GetString(self.share.entry.desc))
    
    if self.share.entry.condition_type == game.CPlayerModuleCondition.ConditionType.kTypeSingleStageRanking then
        message:SetValue("param1",self.stage_id)
        message:SetValue("param2",self.share.progress)
    else
        message:SetValue("param",self.share.progress)
    end

    local string = message:Combine()

   self:SetLabelText(string,"TextInformation")

   self:AddReleaseEvent(function()
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release)     
        sThirdPlatformUtils:Share(string, "res/images/utils/share.jpg")
    end,"ButtonShare")

    self:AddReleaseEvent(function()
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release) 
        self:Close()
    end,"Panel_5")
end

function CShareUI:onExit()

end

return CShareUI

--endregion
