--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.CActionPointShopCellUI = class("game.CActionPointShopCellUI",dxm.CBaseUI)

local CActionPointShopCellUI = game.CActionPointShopCellUI

function CActionPointShopCellUI:ctor()

    CActionPointShopCellUI.super.ctor(self)
end

function CActionPointShopCellUI:Init(entry, remove_callback)

    if self:InitWithFile("csd/IconStrip/IconStripShopGoldStrip") == false then        
        return false
    end
    self.entry = entry
    self.remove_callback = remove_callback
    return true
end                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          

function CActionPointShopCellUI:Create(entry, remove_callback)

    if not entry then
        return nil
    end

    local ui = CActionPointShopCellUI.new()
    if ui and ui:Init(entry, remove_callback) then
        return ui
    end
    return nil
end

function CActionPointShopCellUI:onEnter()

    self:SetWidgetVisible(false, "TextExtraGiftName")
    self:SetLabelText( sStringUtils:GetString("@"..self.entry.title, {action_point=self.entry.action_point}), "TextNumber" )

    local icon_widget = self:GetWidget("ImageIconBottom", "ImageIcon")
    if icon_widget then
        self.icon = cc.Sprite:create(self.entry.icon_path)
        if self.icon then
            icon_widget:addChild(self.icon)
        end
    end

    self:SetLabelText(tostring(self.entry.price), "TextBuy")

    self:AddReleaseEvent( function()
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release) 
        if player.player_modules.point:GetPoint() >= self.entry.price then
            player.player_modules.shop:BuyActionPoint(self.entry.id, function(is_successful)
                if is_successful then
                    sThirdPlatformUtils:LogEvent("item_purchase", '{"item":"action_point_'..self.entry.action_point..'", "item_count":1, "price":'..self.entry.price.."}")
                    local reward = "action_point/" .. player.player_modules.shop:GetGiftGamebill(self.entry.id) + self.entry.action_point
                    dxm.CMessageTipUI:Show(sStrings:GetString("buy_successful"))
                    local widget = self:GetWidget("ImageIcon")
                    local x, y = widget:getPositionX(), widget:getPositionX()
                    local pos = widget:convertToWorldSpace(cc.p(x, y))
                    require("app.views.ui.reward_pop.reward_pop_ui"):Show(pos, reward)
                else
                    sUI:Open("dxm.ui.prefab.message_box_ok_ui", sStrings:GetString("buy_failed"))
                end
            end)
        else
            -- 点券不足则弹出重置快链;
            sCtrlItem:PointIsNotEnough()
        end
    end , "ButtonBuy")
end

function CActionPointShopCellUI:onExit()
    if self.icon then
        self.icon:removeFromParent()
        self.icon = nil
    end
end

return CActionPointShopCellUI

--endregion
