--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

game.COneDimeGiftUI = class("game.COneDimeGiftUI",dxm.CDialogUI)

local COneDimeGiftUI = game.COneDimeGiftUI

function COneDimeGiftUI:ctor()
    COneDimeGiftUI.super.ctor(self)
end

function COneDimeGiftUI:Init()
    self:InitWithFile("csd/Additional/AdditionalSmallPackage")
    self.id = 8
    return true
end

function COneDimeGiftUI:Create()
    local ui = COneDimeGiftUI.new()
    if ui and ui:Init() then
        return ui
    end
    return nil
end

function COneDimeGiftUI:onEnter()
    self:AddReleaseEvent(function()
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release) 
        player.player_modules.recharge:BuyGiftPackage(self.id, function(is_successful)
            if is_successful then
                local center_pos = dxm.VisibleRect:center()
                require("app.views.ui.reward_pop.reward_pop_ui"):Show(center_pos, assets.shop_gift_package.config[self.id].reward)
                dxm.CMessageTipUI:Show(sStrings:GetString("buy_one_dime_gift_successful"), 35)
                self:Close()
            end
        end)
    end,"ButtonBuy")

    self:AddReleaseEvent(function()
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release) 
        self:Close()
    end,"ButtonClose")
end

function COneDimeGiftUI:onExit()

end

return COneDimeGiftUI
--endregion
