-- region *.lua
-- Date
-- 此文件由[BabeLua]插件自动生成

game.CMainShortcutUI = class("game.CMainShortcutUI", dxm.CShortcutUI)

local CMainShortcutUI = game.CMainShortcutUI

function CMainShortcutUI:ctor()
    CMainShortcutUI.super.ctor(self)

end

function CMainShortcutUI:Init()
    self.is_set_button_show = false
    return self:InitWithFile("csd/Main/MainFunctionBottom")
end

function CMainShortcutUI:Create()

    local ui = CMainShortcutUI.new()
    if ui == nil or ui:Init() == false then
        return nil
    end
    return ui
end

function CMainShortcutUI:onEnter()

    self:AddReleaseEvent(function()
        self:SwitchMenu(false)
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release)  
        sUI:Open(true, "app.views.ui.name.name_ui", function()end)
    end,"ButtonChangeName")

    self:AddReleaseEvent(function()
        self:SwitchMenu(false)
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release)  
        game.CCtrlMainMenu:OpenHome()
    end,"ButtonHome")

    self:AddReleaseEvent(function()
        self:SwitchMenu(false)
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release)  
       game.CCtrlMainMenu:OpenPackageUI()
    end,"ButtonPackage") 

    self:AddReleaseEvent(function()
        self:SwitchMenu(false)
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release)  
        game.CCtrlMainMenu:OpenShopUI()
    end,"ButtonShop")

    self:AddReleaseEvent( function(sender)
        self:SwitchMenu(false)
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release)  
        game.CCtrlRank:OpenInfiniteRankUI()
    end , "ButtonRanking")
   
   self:AddReleaseEvent(function()
        self:SwitchMenu(false)
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release)  
        game.CCtrlTask:OpenDailyTaskUI()
   end,"ButtonTask")

   self:AddReleaseEvent(function()
        self:SwitchMenu(false)
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release)  
        sHttpUser:PopCommunity()
   end,"ButtonCommunity")

   self:AddReleaseEvent(function()
        self:SwitchMenu(false)
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release)  
        game.CCtrlMainMenu:OpenRolesUI()
   end,"ButtonPetRoom")

   self:AddReleaseEvent(function()
        self:SwitchMenu(false)
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release)  
        game.CCtrlMainMenu:OpenFriendUI()
   end,"ButtonFriend")

    self:AddReleaseEvent(function()
        self:SwitchMenu(false)
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release)
        game.CCtrlMainMenu:OpenSignUI()
    end,"ButtonSign")

    self:AddReleaseEvent(function()
        self:SwitchMenu(false)
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release)
        game.CCtrlMainMenu:OpenSettingUpUI()
    end,"ButtonSetUp") 

    self:AddReleaseEvent( function(sender)
        self:SwitchMenu(false)
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release)   
        CThirdPlatformUtil:GetInstancePtr():MoreGame()
    end , "ButtonMoreGame")

    self:AddReleaseEvent( function(sender)
        self:SwitchMenu(false)
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release)   
        game.CCtrlMainMenu:OpenTurnTableUI()
    end , "ButtonTurntable")

    self:AddReleaseEvent( function(sender)
        self:SwitchMenu(false)
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release)   
        game.CCtrlBattle:GotoInfinite() 
    end , "ButtonEndless")

    self:AddReleaseEvent(function()
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release)
        self:SwitchMenu()
        -- CMainShortcutUI.hide_red_dot = true
        -- self:SetWidgetVisible(not CMainShortcutUI.hide_red_dot, "ImageRedDot")
    end,"ButtonPop")

    -- self:SetWidgetVisible(not CMainShortcutUI.hide_red_dot, "ImageRedDot")

    self.package_icon = self:GetWidget("ImageBottom","ButtonPackage")
    local widget = self:GetWidget("TextNumberTip")
    if widget then
        self.old_pos = cc.p(widget:getPositionX(), widget:getPositionY())
    end

    if assets.opened.is_yys then

        self:AddReleaseEvent(function()
            self:SwitchMenu(false)
            sUI:Open("app.views.ui.main.game_service_ui")
        end,"ButtonCustomerService")

        self:SetWidgetVisible(true,"ButtonCustomerService")
    else
        self:SetWidgetVisible(false,"ButtonCustomerService")
        self:SetWidgetVisible(false,"ButtonSmallPackage")
    end

    self:AddReleaseEvent(function()
        self:SwitchMenu(false)
        sUI:Open("app.views.ui.recharge.first_recharge_ui")
    end,"ButtonRechargePack")

    -- self:SetWidgetVisible(not sPlayer.player_modules.recharge:IsFirstRechargeRewarded(),"ButtonRechargePack")
    self:SetWidgetVisible(false,"ButtonRechargePack") -- 暂时关闭

    if assets.opened.is_yys == true then
        local gift_package_id = sGiftPackage:GetAdvanceGiftPackageID()
        for i = 1, 4 do
            self:AddReleaseEvent(function()
                self:SwitchMenu(false)
                sGiftPackage:OpenAdvanceGiftPackageUI()
            end, "ButtonPackage" .. i)
            self:SetWidgetVisible(gift_package_id == i, "ButtonPackage" .. i)
        end
        self:AddListener("buy_gift_package", function(id)

            local gift_package_id = sGiftPackage:GetAdvanceGiftPackageID()
            for i = 1, 4 do
                self:SetWidgetVisible(gift_package_id == i, "ButtonPackage" .. i)
            end        
        end)
    else
        local next_reward_times = sPlayer.player_modules.recharge:GetRechargeRewardTimes()+1
        for i = 1, 4 do
            self:AddReleaseEvent(function()
                self:SwitchMenu(false)
                sUI:Open("app.views.ui.recharge.reward_recharge_ui")
            end, "ButtonPackage" .. i)
            self:SetWidgetVisible(next_reward_times == i, "ButtonPackage" .. i)
        end

        self:AddListener("recharge_reward_fetched", function()
            local next_reward_times = sPlayer.player_modules.recharge:GetRechargeRewardTimes()+1
            for i = 1, 4 do
                self:SetWidgetVisible(next_reward_times == i, "ButtonPackage" .. i)
            end        
        end)
    end

    self:AddListener("first_recharge_reward_fetched", function()
        self:SetWidgetVisible(not sPlayer.player_modules.recharge:IsFirstRechargeRewarded(),"ButtonRechargePack")     
    end)

    self:SetWidgetEnableAndVisible(false, "ButtonPackage_0")
    self:SetWidgetEnableAndVisible(false, "ButtonActivityFB")
    self:SetWidgetEnableAndVisible(false, "ButtonUpdate")

    self:AddReleaseEvent( function(sender)
       self:SwitchMenu(false)
       dxm.audio:playEffect(assets.sound.config.sound.ui_button_release) 
       sUI:Open("app.views.ui.update.update_tip_ui")
    end , "ButtonUpdate")

    
    self:AddReleaseEvent( function()
        self:SwitchMenu(false)
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release)
        game.CCtrlTask:OpenMedalUI()
    end,"ButtonMedal")

    self:AddReleaseEvent(function()
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release)
        sUI:Open("app.views.ui.friend.friend_info_ui", sHttpUser)
    end,"ButtonMy")

    self:AddReleaseEvent( function(sender)
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release)  
        game.CCtrlStartup:SwitchLocale()
    end , "ButtonPackage_0")

    self:SetActionPointText(sPlayer.player_modules.action_point:GetActionPoint())
    self:SetPointText(sPlayer.player_modules.point:GetPoint())
    self:SetGamebillText(sPlayer.player_modules.numbers:Get(enum.NumberType.kTypeGamebill))

    self:AddListener("action_point_changed", function()
        self:SetActionPointText(sPlayer.player_modules.action_point:GetActionPoint(),true)
        local full = sPlayer.player_modules.action_point:IsFull()
        self:SetWidgetEnableAndVisible( not full, "ImageTL","ButtonAdd")
    end)

    self:AddListener("point_changed", function()
        self:SetPointText(sPlayer.player_modules.point:GetPoint(),true)
    end)
    
    self:AddListener("player_number_changed", function(number_name, delta)
        if number_name == enum.NumberType.kTypeGamebill then
            self:SetGamebillText(sPlayer.player_modules.numbers:Get(enum.NumberType.kTypeGamebill), true)
            self:PlayGamebillShake(delta)
        end
    end)

    self:AddListener("active_skin_changed", function() self:RefreshSkin() end)

    self:AddReleaseEvent(function()
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release)  
        game.CCtrlMainMenu:OpenShopUI("action_point")
    end,"ImageTL","ButtonAdd")

    self:AddReleaseEvent(function()
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release)  
        game.CCtrlMainMenu:OpenShopUI("diamon")
    end,"ImageDiamonds","ButtonAdd")

    self:AddReleaseEvent(function()
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release)  
        game.CCtrlMainMenu:OpenShopUI(enum.NumberType.kTypeGamebill)
    end,"ImageGold","ButtonAdd")

    self:AddReleaseEvent(function()
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release)  
        -- sCtrlMainMenu:OpenSkinAndMountUI("skin")
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release) 
        local skin = sPlayer.player_modules.skins:GetActiveSkin() 
        sUI:Open("app.views.ui.skin_and_mount.skin_upgrade_ui", skin)
    end,"PanelTouch")

    self:AddReleaseEvent(function()
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release)  
        -- sCtrlMainMenu:OpenSkinAndMountUI("mount")
        dxm.audio:playEffect(assets.sound.config.sound.ui_button_release)  
        local mount = sPlayer.player_modules.mounts:GetActiveMount() 
        sUI:Open("app.views.ui.skin_and_mount.mount_upgrade_ui", mount)
    end,"PanelTouch2")

    local can_add_point = true
    if assets.version.branch == "baidu" then
        can_add_point = false
    end

    local full = sPlayer.player_modules.action_point:IsFull()
    self:SetWidgetEnableAndVisible( true, "ImageTL","ButtonAdd")
    self:SetWidgetEnableAndVisible( can_add_point, "ImageDiamonds","ButtonAdd")
    self:SetWidgetEnableAndVisible( true, "ImageGold","ButtonAdd")
    
    self:SetWidgetEnableAndVisible(false, "ButtonPackage_0")
    self:SetWidgetEnableAndVisible(false, "ButtonActivityFB")
    self:SetWidgetEnableAndVisible(false, "ImageGold","TextNumberTip")
    self:SetWidgetEnableAndVisible(false, "ImageDiamonds","TextNumberTip")
    self:SetWidgetEnableAndVisible(false, "ImageTL","TextNumberTip")

    self:ScheduleUpdate(function(dt) self:Update(dt) end)

    self:RefreshPlayerInfo()
    self:AddListener("player_exp_changed", function() 
        self:RefreshPlayerInfo()
    end)    

    self:AddListener("player_exp_changed", function() 
        self:RefreshPlayerInfo()
    end)

    self:AddListener("player_name_changed", function()
        self:RefreshPlayerInfo()
    end)

    self:AddListener("upgrade_mount_ok", function(mount_id) 
        if mount_id == self.mount_id then
            self:RefreshMount(self.mount_id)
        end
    end)
    self:AddListener("upgrade_skin_ok", function(skin_id) 
        if skin_id == self.skin_id then
            self:RefreshSkin(self.skin_id)
        end
    end)

    self.skin_id = 0
    self.mount_id = 0
    self:RefreshMount()
    self:RefreshSkin()

    self:SetWidgetVisible(assets.opened.is_dev, "ButtonEShop")
    self:AddReleaseEvent(function() 
        
        sDeviceUtils:OpenWebView("http://www.baidu.com", function() 
            print("------------- OpenWebView Callback")
        end)
    end, "ButtonEShop")
end

function CMainShortcutUI:RefreshPlayerInfo()

    local exp = sPlayer.player_modules.level:GetExp()
    local next_exp = sPlayer.player_modules.level:GetNextLevelExp()
    if not next_exp or next_exp == 0 then 
        exp = 1
        next_exp = 1
    end
    self:SetLabelText(sPlayer.player_modules.info:GetName(), "TextPlayerName")
    self:SetLabelText(sPlayer.player_modules.level:GetLevel(), "TextPlayerLv")
    self:SetLoadingbarPercent(math.ceil(exp/next_exp*100), "LoadingBar")
    self:SetLabelText(exp.."/"..next_exp, "TextNumber")
end

function CMainShortcutUI:RefreshSkin(skin_id)

    if skin_id == nil then
        skin_id = player.db.skins.active_skin_id
    end

    local skin = sPlayer.player_modules.skins:GetSkin(skin_id)
    self:SetWidgetVisible(skin.buyed, "TextSkinLvName")
    self:SetLabelText(skin.level, "TextSkinLv")
    if self.skin_id == skin_id then
        return
    end
    self.skin_id = skin_id
    local skin_entry = assets.skins:GetEntry(skin_id)
    if skin_entry then
        self:RemoveAllChildren("PanelManAnimationRoot")
        local spine_ui = dxm.CSpineUI:Create(skin_entry.Spine, "idle1") 
        if spine_ui then
            self:AddChild("PanelManAnimationRoot", spine_ui)
        end
    end
end

function CMainShortcutUI:RefreshMount(mount_id)

    if mount_id == nil then
        mount_id = player.db.mounts.active_mount_id
    end

    local mount = sPlayer.player_modules.mounts:GetMount(mount_id)
    if mount then
        self:SetWidgetEnable(mount.buyed, "PanelTouch2")
        self:SetWidgetVisible(mount.buyed, "TextMountLvName")
        self:SetLabelText(mount.level, "TextMountLv")
    else
        self:SetWidgetEnable(false, "PanelTouch2")
        self:SetWidgetVisible(false, "TextMountLvName")
    end

    if self.mount_id == mount_id then
        return
    end

    self.mount_id = mount_id
    local mount_entry = assets.mounts:GetEntry(mount_id)
    if mount_entry then
        self:RemoveAllChildren("PanelMountAnimationRoot")
        local spine_ui = dxm.CSpineUI:Create(mount_entry.Spine, "idle1") 
        if spine_ui then
            self:AddChild("PanelMountAnimationRoot", spine_ui)
        end
    else
        self:RemoveAllChildren("PanelMountAnimationRoot")
    end
end

function CMainShortcutUI:Update(dt)

    self:RefreshTaskHotPoint()

    if not sPlayer.player_modules.action_point:IsFull() then
        local time = sPlayer.player_modules.action_point:GetAutoRecoverTime()
        local label = self:GetWidget("ImageTL", "TextTime")
        if label then
            label:setString(sTimeUtils:ToTimeSpanString(time))
            label:setVisible(true)
        end
    else
        self:SetWidgetVisible(false, "ImageTL", "TextTime")
    end
end

function CMainShortcutUI:RefreshTaskHotPoint()

    self:SetWidgetVisible(sPlayer.player_modules.daily_task:HasCompleteTask(), "ButtonTask", "ImageRedDot")
end

function CMainShortcutUI:onExit()
    
    -- 清理所有的动画;
    self:SetWidgetVisible(false,"TextNumberTip")
    local widget = self:GetWidget("TextNumberTip")
    if widget then 
        widget:setPosition(self.old_pos)
    end

    self:SetWidgetVisible(false,"ImageTL","TextNumberTip")
    self:SetWidgetVisible(false,"ImageDiamonds","TextNumberTip")
end


function CMainShortcutUI:PlayPackageShake()

    sActionUtils:Shake(self.package_icon,function()
        if sPlayer.player_modules.package.reward_item_count == 0 then
            return
        end

        local widget = self:GetWidget("TextNumberTip")
        if not widget then return end

        self:SetLabelText("+"..sPlayer.player_modules.package.reward_item_count,"TextNumberTip")
        self:SetWidgetVisible(true,"TextNumberTip")
        widget:setOpacity(255)
        widget:setPosition(self.old_pos)
        local pos = cc.p(widget:getPositionX(),widget:getPositionY())

        game.CActionHelper:PopAndMoveText(self:GetWidget("TextNumberTip"),function()
            self:SetWidgetVisible(false,"TextNumberTip")

        end)
        sPlayer.player_modules.package.reward_item_count = 0
    end)
end

function CMainShortcutUI:SwitchMenu(show)

    if show==nil then
        show = (not self.is_set_button_show)
    end
    if show==true and self.is_set_button_show == false then
        self.is_set_button_show = true
        self:PlayAnimation("PopAnimation",false)
    elseif show==false and self.is_set_button_show == true then
        self.is_set_button_show = false
        self:PlayAnimation("TakeBackAnimation",false)
    end
end


function CMainShortcutUI:SetActionPointText(action_point, play_action)
    
    local label = self:GetWidget("ImageTL","AtlasLabelNumber")
    -- if not play_action then
        if label then label:setString(action_point.."/"..assets.const.player_max_action_point) end
    -- else
    --     game.CActionHelper:NumberChange(label, action_point)    
    -- end
    
end

function CMainShortcutUI:SetPointText(point,play_action)

    local label = self:GetWidget("ImageDiamonds","AtlasLabelNumber")
    if not play_action then
        if label then label:setString(tostring(point)) end
    else
        game.CActionHelper:NumberChange(label,point)    
    end
end

function CMainShortcutUI:SetGamebillText(gamebill, play_action)

    local label = self:GetWidget("ImageGold","AtlasLabelNumber")
    if not play_action then
        if label then label:setString(tostring(gamebill)) end
    else
        game.CActionHelper:NumberChange(label, gamebill)
    end
end

function CMainShortcutUI:PlayGamebillShake(delta)

    sActionUtils:Shake(self:GetWidget("ImageGold","ImageIcon2"))
    local number = delta
    if number > 0 then        
        local label = self:GetWidget("ImageGold","TextNumberTip")
        self:SetWidgetVisible(true,"ImageGold","TextNumberTip")
        self:SetLabelText("+"..number,"ImageGold","TextNumberTip")
        label:setOpacity(200)
        game.CActionHelper:PopText(label,function()
            self:SetWidgetVisible(false,"ImageGold","TextNumberTip")
        end)
    end
end

function CMainShortcutUI:PlayDiamondShake()

    sActionUtils:Shake(self:GetWidget("ImageDiamonds","ImageIcon2"))
    local number = sPlayer.player_modules.point.add_point
    sPlayer.player_modules.point.add_point = 0
    if number > 0 then
        
        local label = self:GetWidget("ImageDiamonds","TextNumberTip")
        self:SetWidgetVisible(true,"ImageDiamonds","TextNumberTip")
        self:SetLabelText("+"..number,"ImageDiamonds","TextNumberTip")
        label:setOpacity(200)
        game.CActionHelper:PopText(label,function()
            self:SetWidgetVisible(false,"ImageDiamonds","TextNumberTip")
        end)
    end
end

function CMainShortcutUI:PlayHeartShake()

    sActionUtils:Shake(self:GetWidget("ImageTL","ImageIcon2"))
    local number = sPlayer.player_modules.action_point.add_action_point
    sPlayer.player_modules.action_point.add_action_point = 0
    if number > 0 then
        
        local label = self:GetWidget("ImageTL","TextNumberTip")
        self:SetWidgetVisible(true,"ImageTL","TextNumberTip")
        self:SetLabelText("+"..number,"ImageTL","TextNumberTip")
        label:setOpacity(200)
        game.CActionHelper:PopText(label,function()
            self:SetWidgetVisible(false,"ImageTL","TextNumberTip")
        end)
    end
end

return CMainShortcutUI

-- endregion
