-- region *.lua
-- Date
-- 此文件由[BabeLua]插件自动生成

game.CStageCell = class("game.CStageCell", dxm.CBaseUI)


local CStageCell = game.CStageCell

function CStageCell:ctor()
    CStageCell.super.ctor(self)
end

function CStageCell:Init()
    self.entry = assets.stages:GetEntry(self.stage_id)   
    if self:InitWithFile("csd/Checkpoint/CheckpointInformationRoot") == false then
        return false
    end

    self.icon_ui_list = {}

    return true
end

function CStageCell:Create(stage_id)
    local ui = CStageCell.new()
    if ui and ui:Init() then
        return ui
    end
end

function CStageCell:onEnter()
    for index,icon_ui in pairs(self.icon_ui_list) do
        self:AddChildWithWidgetName("PanelRoot"..index,icon_ui)
    end
end

function CStageCell:onExit()
    
end

function CStageCell:Push(icon_ui)
    self.icon_ui_list[#self.icon_ui_list + 1] = icon_ui
end

function CStageCell:IsFull()
    if #self.icon_ui_list >= 3 then
        return true
    end

    return false
end

return CStageCell
-- endregion
