-- region *.lua
-- Date
-- 此文件由[BabeLua]插件自动生成

game.CStageItemBoxRewardUI = class("game.CStageItemBoxRewardUI", dxm.CGameDialogUI)


local CStageItemBoxRewardUI = game.CStageItemBoxRewardUI

function CStageItemBoxRewardUI:ctor()

    CStageItemBoxRewardUI.super.ctor(self)
end

function CStageItemBoxRewardUI:Init(entry)

    self.entry = entry
    if self.entry == nil then
        return false
    end

    self.slot_pos = slot_pos
    if self:InitWithFile("csd/Checkpoint/CheckpointPackageOpenPop") == false then
        return false
    end
    return true
end

function CStageItemBoxRewardUI:Create(...)
    local ui = CStageItemBoxRewardUI.new()
    if ui and ui:Init(...) then
        return ui
    end
end

function CStageItemBoxRewardUI:onEnter()

    self.spine_ui = dxm.CSpineUI:Create(self.entry.path, "idle") 
    if self.spine_ui then
        self:RemoveAllChildren(self:GetWidget("PanelPackageRoot"))
        self:AddChild(self:GetWidget("PanelPackageRoot"), self.spine_ui)
        self.spine_ui:Play({"open", "loop"}, true)
    end

    self:_RefreshReward()

    self:AddReleaseEvent(function()         
        -- require("app.views.ui.reward_pop.reward_pop_ui"):Show(dxm.VisibleRect:center(), self.entry.reward)
        self:Close() 
   end, "Panel_5")
end

function CStageItemBoxRewardUI:onExit()
    
end


function CStageItemBoxRewardUI:_RefreshReward()

    local count = 1

    -- 解析奖励
    local reward_list = game.CRewardList:ParseFromString(self.entry.reward)
    for _,reward in pairs(reward_list.list) do

        self:SetWidgetVisible(true, "PanelReward"..count)
        self:SetImageViewPicture(sPathHelper:GetRewardIconPath(reward), "PanelReward"..count, "ImageIcon")
        self:SetLabelText("x"..reward.count, "PanelReward"..count, "TextNumber")
        count = count + 1
    end

    for i=count,3 do
        self:SetWidgetVisible(false, "PanelReward"..i)
    end
end

return CStageItemBoxRewardUI
-- endregion
