--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

assets.scripts = {}
local scripts = assets.scripts
cc.exports.sWidgetScripts = scripts
assets.scripts.config = {}

function scripts:Load()

    local function LoadScriptFile(file_path)
        local locale_string_file = file_path..".lua"
        local fullpath = cc.FileUtils:getInstance():fullPathForFilename(locale_string_file)
        local locale_string_file1 = file_path..".luac"
        local fullpath1 = cc.FileUtils:getInstance():fullPathForFilename(locale_string_file1)
        if cc.FileUtils:getInstance():isFileExist(fullpath) or cc.FileUtils:getInstance():isFileExist(fullpath1) then
             require(file_path)
        end  
    end

    LoadScriptFile("app/assets/xml_export/scripts_"..dxm.CLocale.locale_name)
    LoadScriptFile("app/assets/xml_export/scripts")

    self:_FilterUIString()
end

function scripts:_FilterUIString()
    if self.scripts then
        return 
    end

    self.scripts = {}
    local function split(str)
        local split_str = {}
        local k = str
        local find_begin = 1
        local find_end = string.find(k, "_")
        local name
        while find_end do        
            name = string.sub(k, find_begin, find_end-1)
            find_begin = find_end+1
            find_end = string.find(k, "_", find_begin)
            split_str[#split_str+1] = name
        end
        name = string.sub(k, find_begin)
        split_str[#split_str+1] = name
        return split_str
    end

    for k, v in pairs(assets.scripts.config) do
        local split_str = split(k)
        if #split_str>=2 and split_str[1]=="ui" then 
            local csb = split_str[2]
            table.remove(split_str, 1)
            table.remove(split_str, 1)
            self.scripts[csb] = self.scripts[csb] or {}
            self.scripts[csb][#self.scripts[csb]+1] = { widget_tree = split_str, key = v.Script }
        end
    end       
end
function scripts:GeScript(name)

    local strings = assets["scripts_"..dxm.CLocale.locale_name]
    if not strings then 
        strings = assets["scripts"]
    end

    if scripts.config[name] then 
        return scripts.config[name].Script
    end 
    return nil
end

function scripts:GetUIScripts(csb_name)

    if not self.scripts then 
        return nil
    end
    return self.scripts[csb_name]
end

return scripts

--endregion
