--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

assets.strings = {}
local strings = assets.strings
cc.exports.sStrings = strings
assets.strings.config = {}

function strings:Load()

    local function LoadScriptFile(file_path)
        local locale_string_file = file_path..".lua"
        local fullpath = cc.FileUtils:getInstance():fullPathForFilename(locale_string_file)
        local locale_string_file1 = file_path..".luac"
        local fullpath1 = cc.FileUtils:getInstance():fullPathForFilename(locale_string_file1)
        if cc.FileUtils:getInstance():isFileExist(fullpath) or cc.FileUtils:getInstance():isFileExist(fullpath1) then
             require(file_path)
        end  
    end

    LoadScriptFile("app/assets/xml_export/strings_"..dxm.CLocale.locale_name)
    LoadScriptFile("app/assets/xml_export/strings")

    self:_FilterUIString()
end

function strings:_FilterUIString()
    if self.ui_strings then
        return 
    end

    self.ui_strings = {}
    local function split(str)
        local split_str = {}
        local k = str
        local find_begin = 1
        local find_end = string.find(k, "_")
        local name
        while find_end do        
            name = string.sub(k, find_begin, find_end-1)
            find_begin = find_end+1
            find_end = string.find(k, "_", find_begin)
            split_str[#split_str+1] = name
        end
        name = string.sub(k, find_begin)
        split_str[#split_str+1] = name
        return split_str
    end

    for k, v in pairs(assets.strings.config) do
        local split_str = split(k)
        if #split_str>=3 and split_str[1]=="ui" then 
            local csb = split_str[2]
            table.remove(split_str, 1)
            table.remove(split_str, 1)
            self.ui_strings[csb] = self.ui_strings[csb] or {}
            self.ui_strings[csb][#self.ui_strings[csb]+1] = { widget_tree = split_str, key = k }
        end
    end       
end

function strings:GetString(name)

    if name == nil then
        return "<nil>"
    end

    local strings = assets["strings_"..dxm.CLocale.locale_name]
    if not strings then 
        strings = assets["strings"]
    end

    if strings.config[name] then 
        return strings.config[name].String
    end 

    return "<? " .. name .. " ?>"
end

function strings:GetUIStrings(csb_name)

    if not self.ui_strings then 
        return nil
    end
    return self.ui_strings[csb_name]
end

return strings

--endregion
