-- region *.lua
-- Date
-- 此文件由[BabeLua]插件自动生成



-- 链表
dxm.CEvent = class("dxm.CEvent")
local CEvent = dxm.CEvent

function CEvent:ctor()
    self.callback_list = { }
end

function CEvent:Connect(callback)
    local listener = { }
    local event = self
    function listener:Disconnect()
        event.callback_list[self] = nil
    end    
    self.callback_list[listener] = callback
    return listener
end

function CEvent:Disconnect(listener)
    self.callback_list[listener] = nil
end

function CEvent:DisconnectAll()
    self.callback_list = {}
end

function CEvent:Fire(...)
    
    local temp_list = {}
    for _, callback in pairs(self.callback_list) do
        temp_list[#temp_list+1] = callback
    end
       
    for _, callback in pairs(temp_list) do
        if callback then callback(...) end
    end
end

return CEvent

-- endregion
