--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

dxm.CAudioSystem = class("CAudioSystem", dxm.audio)

cc.exports.sAudioSystem = dxm.CAudioSystem

local CAudioSystem = dxm.CAudioSystem

function CAudioSystem:Init()

    sDatabase.data.audio_system = sDatabase.data.audio_system or {}

    -- 初始化数据
    sDatabase.data.audio_system.is_music_open = sDatabase.data.audio_system.is_music_open or true
    sDatabase.data.audio_system.is_sound_open = sDatabase.data.audio_system.is_sound_open or true
    sDatabase.data.audio_system.music_volume = sDatabase.data.audio_system.music_volume or 100
    sDatabase.data.audio_system.sound_volume = sDatabase.data.audio_system.sound_volume or 100

    -- 初始化音量
    self:UpdateMusicVolume()
    self:UpdateSoundVolume()
end

function CAudioSystem:IsMusicVolumeOpen()
    return sDatabase.data.audio_system.is_music_open
end

function CAudioSystem:SetMusicVolumeOpen(is_open)    
    
    if sDatabase.data.audio_system.is_music_open == is_open then
        return
    end
    sDatabase.data.audio_system.is_music_open = is_open
    
    self:UpdateMusicVolume()
end

function CAudioSystem:UpdateMusicVolume()
    if sDatabase.data.audio_system.is_music_open == false then
        self:setMusicVolume(0)
    else
        self:setMusicVolume(sDatabase.data.audio_system.music_volume)
    end
end

function CAudioSystem:IsSoundVolumeOpen()
    return sDatabase.data.audio_system.is_sound_open
end

function CAudioSystem:SetSoundVolumeOpen(is_open)    
    
    if sDatabase.data.audio_system.is_sound_open == is_open then
        return
    end
    sDatabase.data.audio_system.is_sound_open = is_open

    self:UpdateSoundVolume()
end

function CAudioSystem:UpdateSoundVolume()
    if sDatabase.data.audio_system.is_sound_open == false then
        self:setSoundsVolume(0)
    else
        self:setSoundsVolume(sDatabase.data.audio_system.sound_volume)
    end
end

return CAudioSystem

--endregion
