

dxm.CSimpleDB = { }

local CSimpleDB = dxm.CSimpleDB
cc.exports.sSimpleDB = CSimpleDB

local db_file_name = "simple_db.txt"
local event_listener = nil
local secret_key = nil

----------------------------------------
function CSimpleDB:Init(file_name)
    if type(file_name) == "string" then
        db_file_name = file_name
    end
    return true
end

function CSimpleDB:Load()
    local file_name = self:GetSavePath(db_file_name)
    self.data = dxm.CJsonUtils:Load(file_name)
end

function CSimpleDB:Save()
    
    local file_name = self:GetSavePath(db_file_name)
    dxm.CJsonUtils:Save(file_name, self.data)
end

function CSimpleDB:GetSavePath(file)
    -- return string.gsub(device.writablePath, "[\\\\/]+$", "") .. device.directorySeparator .. db_file_name
    return device.writablePath..file
end

return CSimpleDB
