--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

dxm = dxm or {}
dxm.UIHelper = {}

local UIHelper = dxm.UIHelper

function UIHelper:_Create0(ui_module, ...)
    return ui_module:Create(...) 
end

function UIHelper:_Create00(check_unique, ui_module, ...)
    if check_unique then
        if ui_module:CheckTypeRef() then return nil end
    end
    return self:_Create0(ui_module, ...)   
end

function UIHelper:_Create1(module_path, ...)
    local ui_module = require(module_path)
    if ui_module == nil then
        return nil
    end
    return self:_Create0(ui_module, ...)      
end

function UIHelper:_Create10(check_unique, module_path, ...)
    local ui_module = require(module_path)
    if ui_module == nil then
        return nil
    end
    return self:_Create00(check_unique, ui_module, ...)      
end


-- Create(module_path, ...)
-- Create(check_unique, module_path, ...)
function UIHelper:Create(...)

    local arg = {...} 
    if type(arg[1]) == "boolean" then
        if type(arg[2]) == "string" then
            return self:_Create10(...)
        else
            return self:_Create00(...)
        end
    elseif type(arg[1]) == "string" then
        return self:_Create1(...)
    else
        return self:_Create0(...)
    end
end

-- 打开界面
function UIHelper:Open(...)
    
    local ui = UIHelper:Create(...)
    if ui ~= nil then
        ui:Open()
    end
    return ui
end

function UIHelper:Close(param)
    if type(param) == "string" then
        local ui_class = require(param)
        ui_class:Close()
    else
        local ui_object = param
        ui_object:Close()
    end
end

function UIHelper:GetShortcut(param)
    
    if type(param) == "string" then
        local ui_class = require(param)
        return ui_class:GetShortcut()
    else 
        local ui_object = param
        return ui_object:GetShortcut()
    end
end

-- 打开栈界面
function UIHelper:OpenWithReplaceTop(...)
    
    local ui = UIHelper:Create(...)
    if ui ~= nil then
        ui:OpenWithReplaceTop()
    end
    return ui
end

function UIHelper:OpenWithPushStack(...)
    
    local ui = UIHelper:Create(...)
    if ui ~= nil then
        ui:OpenWithPushStack()
    end
    return ui
end

function UIHelper:OpenWithClearStack(...)
    
    local ui = UIHelper:Create(...)
    if ui ~= nil then
        ui:OpenWithClearStack()
    end
    return ui
end

-- 对话框
function UIHelper:OpenWithGame(...)
    
    local ui = UIHelper:Create(...)
    if ui ~= nil then
        ui:OpenWithGame()
    end
    return ui
end

function UIHelper:OpenWithSystem(...)
    
    local ui = UIHelper:Create(...)
    if ui ~= nil then
        ui:OpenWithSystem()
    end
    return ui
end

function UIHelper:LockTouch(...)
    
    dxm.CUIManager:GetInstancePtr():LockTouch()
end


function UIHelper:UnlockTouch(...)
    
    dxm.CUIManager:GetInstancePtr():UnlockTouch()
end

-- 缓存界面
function UIHelper:CacheWidget(config, count)
    dxm.CWidgetCacheManager:GetInstancePtr():CacheWidget(config, count or 1)
end

function UIHelper:UncacheWidget(config)
    dxm.CWidgetCacheManager:GetInstancePtr():UncacheWidget(config)
end

function UIHelper:UncacheAllWidget()
    dxm.CWidgetCacheManager:GetInstancePtr():UncacheAllWidget()
end

return UIHelper

--endregion
