-- region NewFile_1.lua
-- Author : IBM
-- Date   : 2015/4/28
-- 此文件由[BabeLua]插件自动生成



dxm.CUIManager = class("CUIManager")

local CUIManager = dxm.CUIManager
-- 单件申明
dxm.SINGLETON(CUIManager)

-- 构造函数
function CUIManager:ctor()
    self.layer_ui = nil
end

-- 成员函数
function CUIManager:InitLayerUI(layer_ui)
    self.layer_ui = layer_ui
end

-- 打开界面
function CUIManager:OpenUI(...)
    self.layer_ui:OpenUI(...)
end

function CUIManager:CloseUI(...)
    self.layer_ui:CloseUI(...)
end

-- 替换背景UI
function CUIManager:OpenBackgroundUI(ui)
    self.layer_ui:OpenBackgroundUI(ui)
end
function CUIManager:CloseBackgroundUI()
    self.layer_ui:CloseBackgroundUI(ui)
end
function CUIManager:SetDefaultBackgroundUI(ui)
    self.layer_ui:SetDefaultBackgroundUI(ui)
end

-- 打开堆栈界面

function CUIManager:OpenStackUIWithReplaceTop(ui)
    self.layer_ui:OpenStackUIWithReplaceTop(ui)
end

function CUIManager:OpenStackUIWithPushTop(ui)
    self.layer_ui:OpenStackUIWithPushTop(ui)
end

function CUIManager:OpenStackUIWithPopTop()
    self.layer_ui:OpenStackUIWithPopTop(ui)
end

function CUIManager:OpenStackUIWithClear(ui)
    self.layer_ui:OpenStackUIWithClear(ui)
end

function CUIManager:SetDefaultStackUI(ui)
    self.layer_ui:SetDefaultStackUI(ui)
end

-- 打开置顶触摸界面
function CUIManager:LockTouch()
    -- dump(self)
    self.layer_ui:LockTouch()
end

function CUIManager:UnlockTouch()
    self.layer_ui:UnlockTouch()
end

-- 打开对话框
function CUIManager:OpenGameDialog(ui)
    self.layer_ui:OpenGameDialog(ui)
end

function CUIManager:CloseAllGameDialog()
    self.layer_ui:CloseAllGameDialog()
end

function CUIManager:OpenSystemDialog(ui)
    self.layer_ui:OpenSystemDialog(ui)
end

-- 打开快捷栏
function CUIManager:OpenShortcut(ui)
    self.layer_ui:OpenShortcut(ui)
end

function CUIManager:CloseShortcut(ui)
    self.layer_ui:CloseShortcut(ui)
end

function CUIManager:CloseAllShotcut()
    self.layer_ui:CloseAllShotcut(ui)
end

function CUIManager:GetShortcut(ui)
    return self.layer_ui:GetShortcut(ui)
end

-- 打开通知栏
function CUIManager:OpenNotice(ui)
    self.layer_ui:OpenNotice(ui)
end

function CUIManager:CloseNotice(ui)
    self.layer_ui:CloseNotice(ui)
end

function CUIManager:CloseAllNoticeShotcut()
    self.layer_ui:CloseAllNoticeShotcut()
end

-- 打开引导界面 
function CUIManager:OpenGuide(ui)
    self.layer_ui:OpenGuide(ui)
end

-- 打开提示界面
function CUIManager:OpenTip(ui)
    self.layer_ui:OpenTip(ui)
end

function CUIManager:CloseTip(ui)
    self.layer_ui:CloseTip(ui)
end

function CUIManager:CloseAllTip()
    self.layer_ui:CloseAllTip()
end

return CUIManager
-- endregion
