--region *.lua
--Date
--此文件由[BabeLua]插件自动生成

dxm.CMessageBoxOkCancelUI = class("dxm.CMessageBoxOkCancelUI",dxm.CDialogUI)

local CMessageBoxOkCancelUI = dxm.CMessageBoxOkCancelUI

function CMessageBoxOkCancelUI:ctor()
    CMessageBoxOkCancelUI.super.ctor(self)
end

function CMessageBoxOkCancelUI:Init(message,callback)
    self.message = message
    self.callback = callback
    return self:InitWithFile("csd/Common/MessageBox")
end

function CMessageBoxOkCancelUI:Create(message,callback)
    local ui = CMessageBoxOkCancelUI.new()
    if ui and ui:Init(message,callback) then
        return ui
    end

    return nil
end

function CMessageBoxOkCancelUI:Show(message,callback)
    local ui = CMessageBoxOkCancelUI:Create(message,callback)
    if ui then
        ui:Open()
    end
end

function CMessageBoxOkCancelUI:onEnter()
    self:SetWidgetVisible(false,"PanelBottom2")
    self:SetWidgetVisible(true,"PanelBottom1")
        
    self:AddReleaseEvent(function()
        dxm.audio:playSound(assets.sound.config.sound.ui_button_release)
        if self.callback then self.callback(false) end
        self:Close()
    end,"PanelBottom1","ButtonCancel")

    self:AddReleaseEvent(function()
        dxm.audio:playSound(assets.sound.config.sound.ui_button_release)
        if self.callback then self.callback(true) end
        self:Close()
    end,"PanelBottom1","ButtonConfirm") 

    self:SetLabelText(self.message,"TextMessage")
end

function CMessageBoxOkCancelUI:onExit()
end

return CMessageBoxOkCancelUI
--endregion
